import { Observable } from 'rxjs';
import { FetchService } from '../net/fetch.service';
import { MenuItemModel } from '../layout/viewport/menu/menu.model';
import { MenuService } from '../layout/viewport/menu/menu.service';
export declare class AuthService {
    private fetchService;
    private menuService;
    storage: Storage;
    constructor(fetchService: FetchService, menuService: MenuService);
    login(account: string, password: string): Observable<boolean>;
    logout(): void;
    getUserProfile(): UserProfileModel;
    getUserName(): string;
    getUserImage(): string;
    getToken(): string;
    isLoggedIn(): boolean;
    private setToken;
    private setUserProfile;
    private updateUserProfile;
    private handleError;
}
export interface LoginResponseModel {
    token: string;
    menuList: Array<MenuItemModel>;
    roleList: Array<object>;
    userInfo: UserProfileModel;
}
export interface UserProfileModel {
    id: string;
    account: string;
    name: string;
    image: string;
    phone: string;
    [key: string]: any;
}
