import { OnInit } from '@angular/core';
import { MenuService } from '../../menu/menu.service';
import { MenuItemModel } from '../../menu/menu.model';
import { BreadcrumpItemModel } from '../../../../../shared/components/breadcrumb/breadcrump-item.model';
import { Observable } from 'rxjs';
import { UniversalService } from '../../../../util/universal.service';
import { Router } from '@angular/router';
import { NaviBreadcrumpService } from './navi-breadcrump.service';
export declare class NaviBreadcrumpComponent implements OnInit {
    private universalService;
    private menuService;
    private naviBreadcrumpService;
    private router;
    naviBreadcrumpItems: Observable<Array<NaviBreadcrumpItem>>;
    hasBreadcrumpSuffix: boolean;
    naviBreadcrumpSuffix: Array<{
        icon?: string;
        label: string;
    }>;
    _selectedItem: NaviBreadcrumpItem;
    selectedItem: NaviBreadcrumpItem;
    constructor(universalService: UniversalService, menuService: MenuService, naviBreadcrumpService: NaviBreadcrumpService, router: Router);
    ngOnInit(): void;
    onNaviActivate(item: NaviBreadcrumpItem): void;
    onSelectedTrigger(event: {
        item: NaviBreadcrumpItem;
        hasMenu: boolean;
    }): void;
    private updateSelectedItem;
}
declare class NaviBreadcrumpItem implements BreadcrumpItemModel {
    private menuItem;
    constructor(menuItem: MenuItemModel);
    readonly id: string;
    readonly name: string;
    readonly pid: string;
    readonly level: number;
    readonly href: string;
    readonly sort: number;
    readonly childrenCnt: number;
    readonly type: string;
    readonly icon: string;
}
export {};
