import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { MenuItemModel } from './menu.model';
import { FetchService } from '../../../net/fetch.service';
import { UtilService } from '../../../util/util.service';
export declare class MenuService {
    private http;
    private fetchService;
    private utilService;
    menuDataChanged: BehaviorSubject<MenuItemModel[]>;
    activeTopMenuChanged: BehaviorSubject<MenuItemModel>;
    sideStatusChanged: BehaviorSubject<boolean>;
    constructor(http: HttpClient, fetchService: FetchService, utilService: UtilService);
    updateMenuData(menuList: Array<MenuItemModel>): void;
    updateActiveTopMenu(activeTopMenu: MenuItemModel): void;
    getTopFlatMenuItems(menu?: Array<MenuItemModel>): Observable<Array<MenuItemModel>>;
    getTopIconMenuItems(menu?: Array<MenuItemModel>): Observable<Array<MenuItemModel>>;
    getTopMenuItems(menu?: Array<MenuItemModel>): Observable<Array<MenuItemModel>>;
    getSubMenuData(id: string, menu?: Array<MenuItemModel>): Observable<MenuItemModel>;
}
