import { EventEmitter, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Overlay, OverlayRef } from '@angular/cdk/overlay';
import { TemplatePortal } from '@angular/cdk/portal';
import { MenuItemModel } from '../../../menu.model';
import { MiniSideMenuStatusService } from '../mini-side-menu-status.service';
import { UniversalService } from '../../../../../../util/universal.service';
export declare class MiniSideMenuItemComponent implements OnInit, OnDestroy {
    private overlay;
    private viewContainerRef;
    private universalService;
    private itemStatusService;
    menuItem: MenuItemModel;
    level: number;
    overlayMenuList: TemplateRef<any>;
    menuListOut: EventEmitter<string>;
    overlayRef: OverlayRef;
    overlayPortal: TemplatePortal;
    isMenuListHover: boolean;
    readonly isFaIcon: boolean;
    readonly isMatIcon: boolean;
    readonly fontSet: string;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, universalService: UniversalService, itemStatusService: MiniSideMenuStatusService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onMouseHover(item: MenuItemModel): void;
    onMouseLeave(item: MenuItemModel): void;
    onMenuListHover(): void;
    onMenuListOut(): void;
    onSbuMenuOut(): void;
    private closeSubMenu;
    onNaviStart(item: MenuItemModel): void;
    onTitleClicked(item: MenuItemModel): void;
}
