import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { CascadeSelectComponent } from './cascade-select.component';
import { ControlValueAccessor } from '@angular/forms';
import { SelectedModel } from './cascade-select.service';
export declare class UpCascadeSelectInputDirective implements ControlValueAccessor, OnDestroy {
    private _elementRef;
    /**
     * 是否只显示叶子节点，默认false
     */
    showLeafNode: boolean;
    /** The value of the input. */
    value: SelectedModel | Array<SelectedModel> | null;
    private _value;
    /** Whether the cascade-input is disabled. */
    disabled: boolean;
    private _disabled;
    /** Emits when the disabled state has changed */
    _disabledChange: EventEmitter<boolean>;
    /** Emits when the value changes (either due to user input or programmatic change). */
    _valueChange: EventEmitter<SelectedModel | SelectedModel[]>;
    /** Emits when a `change` event is fired on this `<input>`. */
    _cascadeSelect: CascadeSelectComponent;
    /** The overlay that this input is associated with. */
    upCascadeSelect: CascadeSelectComponent;
    private _cascadeSelectSubscription;
    private _cvaOnChange;
    constructor(_elementRef: ElementRef<HTMLInputElement>);
    ngOnDestroy(): void;
    _onTouched: () => any;
    /**
     * Gets the element that the popup should be connected to.
     * @return The element to connect the popup to.
     */
    getConnectedOverlayOrigin(): ElementRef;
    writeValue(value: SelectedModel | Array<SelectedModel>): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
}
