import { EventEmitter, OnInit } from '@angular/core';
import { CascadeSelectItemModel, CascadeSelectService, SelectedModel } from '../cascade-select.service';
export declare class CascadeSelectOverlayComponent implements OnInit {
    private cascadeSelectService;
    searchResults: Array<CascadeSelectItemModel>;
    defaultId: string;
    /**
     * 最小的level 对可选中item的层级限制
     */
    minSelectable: number;
    /**
     * 最大的level 对可展开item的层级限制
     */
    maxSelectable: number;
    height: number;
    /**
     * 多选
     */
    multiple: boolean;
    /**
     * 传入的近期选择列表
     */
    latestSelections: Array<CascadeSelectItemModel>;
    /**
     * 是否有搜索功能
     */
    isSearchable: boolean;
    levelNameList: Array<string>;
    inputValue: SelectedModel | Array<SelectedModel>;
    _inputValue: SelectedModel;
    _inputValueList: Array<SelectedModel>;
    dataSource: Array<CascadeSelectItemModel>;
    _dataSource: Array<CascadeSelectItemModel>;
    selectedChange: EventEmitter<{}>;
    itemOnClick: EventEmitter<{}>;
    /**
     * 移除近期选择中item
     */
    removeLatestItem: EventEmitter<{}>;
    inputSearch: EventEmitter<any>;
    itemLevel: number;
    idList: Array<string>;
    selectableList: Array<Array<CascadeSelectItemModel>>;
    selectedItems: Array<CascadeSelectItemModel>;
    selectedItemsList: Array<Array<CascadeSelectItemModel>>;
    searchValue: string;
    constructor(cascadeSelectService: CascadeSelectService);
    ngOnInit(): void;
    updateSelectableList(level?: number, idList?: Array<string>): void;
    itemSelected(item: any): void;
    /**
     * multiple:
     * 点击item,展开下级列表（对应更新可显示数据的数组selectableList）
     */
    itemExpanded(item: any, i: any, e: any): void;
    /**
     * multiple:
     * 点击checkbox， 对应触发的selectedItems的变化
     */
    multipleSelected(item: any, i: any, e: any): void;
    /**
     * remove 近期选择中所选选项
     * @param e
     */
    removeItem(e: any): void;
    isExpanded(item: any, i: any): boolean;
    isSelected(item: any, i: any): boolean;
    /**
     * 多选，判断子节点中是否有item被选中
     */
    hasSelectedChild(item: any, i: any): boolean;
    search(): void;
}
