import { ElementRef, OnDestroy } from '@angular/core';
import { FocusMonitor } from '@angular/cdk/a11y';
import { MatFormFieldControl } from '@angular/material';
import { Subject } from 'rxjs';
import { FormBuilder, FormGroup } from '@angular/forms';
export declare class MainInput {
    firstField: string;
    secondField: string;
    constructor(firstField: string, secondField: string);
}
/** Custom `MatFormFieldControl` for telephone number input. */
export declare class CustomInputComponent implements MatFormFieldControl<MainInput>, OnDestroy {
    private fm;
    private elRef;
    static nextId: number;
    parts: FormGroup;
    stateChanges: Subject<void>;
    focused: boolean;
    ngControl: any;
    errorState: boolean;
    controlType: string;
    id: string;
    describedBy: string;
    readonly empty: boolean;
    readonly shouldLabelFloat: boolean;
    placeholder: string;
    private _placeholder;
    required: boolean;
    private _required;
    disabled: boolean;
    private _disabled;
    value: MainInput | null;
    constructor(fb: FormBuilder, fm: FocusMonitor, elRef: ElementRef<HTMLElement>);
    ngOnDestroy(): void;
    setDescribedByIds(ids: Array<string>): void;
    onContainerClick(event: MouseEvent): void;
}
