import { AbstractControl } from '@angular/forms';
import { Observable } from 'rxjs';
export declare interface UPValidationErrors {
    [key: string]: {
        message: string;
    };
}
export declare type UPValidatorFn = (self: AbstractControl) => UPValidationErrors;
export declare type UPAsyncValidatorFn = (self: AbstractControl) => Promise<UPValidationErrors | null> | Observable<UPValidationErrors | null>;
export declare class UPValidatorIntl {
    requiredMessage: string;
    matchMessage: string;
    emailMessage: string;
    numberMessage: string;
    regexMessage: string;
    integerMessage: string;
    decimalMessage: string;
    lengthMinMessage: string;
    lengthMaxMessage: string;
    numberMinMessage: string;
    numberMaxMessage: string;
}
export declare class UPValidatorService {
    private intl;
    constructor(intl: UPValidatorIntl);
    /**
     * @param message string
     */
    required: (message?: string) => UPValidatorFn;
    match: (targetField: string, message?: string) => UPValidatorFn;
    email: (message?: string) => UPValidatorFn;
    stringLength: (min?: number, max?: number, lengthMinMessage?: string, lengthMaxMessage?: string) => UPValidatorFn;
    isNumber: (value: any) => boolean;
    isValidParam: (param: any) => boolean;
    number: (message?: string) => UPValidatorFn;
    numberLength: (integer?: number, decimal?: number, integerMessage?: string, decimalMessage?: string) => UPValidatorFn;
    numberRange: (min?: number, max?: number, numberMinMessage?: string, numberMaxMessage?: string) => UPValidatorFn;
    regex: (re: RegExp, message?: string) => UPValidatorFn;
}
