import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { UPDynamicFormFieldConfig } from './interface/up-dynamic-form-field-config';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { UPDynamicFormLayoutConfig } from './interface/up-dynamic-form-layout-config';
export declare class UPDynamicFormComponent implements OnInit, OnChanges {
    layoutConfig: UPDynamicFormLayoutConfig;
    fieldConfigs: Array<UPDynamicFormFieldConfig<any>>;
    data: any;
    private configsMap;
    formGroup: FormGroup;
    private _initValuesCache;
    private _shadowValues;
    ngOnInit(): void;
    private makeForm;
    switchField: (fieldId: string, show: boolean) => void;
    /**
     * 获取form是否有效
     * 为兼容异步验证器，getValid将返回一个 Observable，让status改变成valid的时候，通知
     */
    getValid: () => Observable<boolean>;
    /**
     * 设置初始值，用以还原
     */
    setInitValues: (values: {
        [key: string]: any;
    }) => void;
    /**
     * 给表单赋值
     */
    patchValues: (values: {
        [key: string]: any;
    }) => void;
    /**
     * 获取表单value
     */
    getValues: () => {
        [key: string]: any;
    };
    /**
     * 重置表单
     * @param values 以此值重置，如果不填，则尝试以初始值重置。
     */
    resetValues: (values?: {
        [key: string]: any;
    }) => void;
    getWidth: (config: UPDynamicFormFieldConfig<any>) => string;
    ngOnChanges({ fieldConfigs, data }: SimpleChanges): void;
    getHeight: (config: UPDynamicFormFieldConfig<any>) => string;
}
