import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { SelectionModel } from '@angular/cdk/collections';
import { MatPaginator, MatPaginatorIntl, MatSort, MatTableDataSource } from '@angular/material';
import { FetchService } from '../../../core/net/fetch.service';
import { NotifyService } from '../notification/notify.service';
import { ActionColumnModel, PaginatorModel, TableColumnModel, ToolBarModel } from './dynamic-table.model';
export declare class DynamicTableComponent implements OnInit {
    private fetchService;
    private notifyService;
    el: ElementRef;
    mode: string;
    displayedColumns: Array<string>;
    selection: SelectionModel<any>;
    columns: Array<any>;
    trColumns: Array<Array<string>>;
    toolBarButtons: string[];
    private _editingFlag;
    private _validFlag;
    private _columnObject;
    private maxLevel;
    hasSelect: number;
    dataSource: MatTableDataSource<any>;
    tableColumns: Array<TableColumnModel>;
    _tableColumns: Array<TableColumnModel>;
    selectionColumn: {};
    actionColumn: ActionColumnModel;
    toolbar: ToolBarModel;
    paginator: PaginatorModel;
    theme: string;
    keyName: string;
    showOptionColumn: boolean;
    readonly save: EventEmitter<{}>;
    readonly delete: EventEmitter<{}>;
    readonly view: EventEmitter<{}>;
    readonly add: EventEmitter<{}>;
    readonly edit: EventEmitter<{}>;
    readonly pageChange: EventEmitter<{}>;
    readonly customActions: EventEmitter<{}>;
    readonly rowClick: EventEmitter<{}>;
    readonly rowDbClick: EventEmitter<{}>;
    readonly sortable: EventEmitter<{}>;
    readonly checkedChange: EventEmitter<{}>;
    readonly headCheckedChange: EventEmitter<{}>;
    matPaginator: MatPaginator;
    sort: MatSort;
    children: any;
    constructor(fetchService: FetchService, notifyService: NotifyService, el: ElementRef);
    ngOnInit(): void;
    onPageChange(event: any): void;
    getAllColumns(columns: any): Array<any>;
    convertToRows(originColumns: any): HtmlNecData;
    initToolBar(): void;
    initSelectColumn(): void;
    initTableColumns(): void;
    initTablePaginator(): void;
    initActionColumn(): void;
    editRow(row: any): void;
    saveRow(row: any): void;
    cancelRow(row: any): void;
    addItem(): void;
    viewItem(): void;
    editItem(): void;
    deleteItem(row?: any): void;
    isAllSelected(): boolean;
    /** Selects all rows if they are not all selected; otherwise clear selection. */
    masterToggle(): void;
    customAction(item: any): void;
    columnOptAction(row: any, item: any): void;
    trClick(row: any): void;
    trDbClick(row: any): void;
    tdCheckChange(row: any): void;
    trCheckChange(): void;
}
export declare class MatPaginatorIntlCn extends MatPaginatorIntl {
    itemsPerPageLabel: string;
    nextPageLabel: string;
    previousPageLabel: string;
    firstPageLabel: string;
    lastPageLabel: string;
    getRangeLabel: (page: number, pageSize: number, length: number) => string;
}
declare class HtmlNecData {
    allColumns: Array<any>;
    trColumns: Array<any>;
    rows: Array<any>;
    maxLevel: number;
    displayedColumns: Array<string>;
}
export {};
