import { AbstractControlOptions, ValidatorFn } from '@angular/forms';
export interface TableColumnModel {
    label: string;
    field: string;
    className?: string;
    align?: string;
    sortable?: boolean;
    width?: number | string;
    sticky?: boolean;
    editor?: EditOptionsModel;
    columns?: Array<TableColumnModel>;
    renderer?(value: any): string;
}
export interface EditOptionsModel {
    type?: EditorType;
    options?: Array<{
        id: string | number;
        label: string;
    }>;
    validators?: ValidatorFn | AbstractControlOptions | Array<ValidatorFn>;
}
export interface SelectionColumnModel {
    multiple: boolean;
}
export interface ActionColumnModel {
    width?: number | string;
    customActions?: [{
        id: string;
        label: string;
        icon: string;
        hidden?(value: any): boolean;
    }];
    showEditBtn(value: any): boolean;
}
export interface ToolBarModel {
    align?: 'left' | 'right';
    type?: 'menu' | 'buttons';
    hiddenActions?: Array<'new' | 'edit' | 'view' | 'delete'>;
    customActions?: Array<{
        id: string | number;
        class: string;
        label: string;
        icon: string;
        type: 'icon' | 'text';
    }>;
}
export interface PaginatorModel {
    pageSize?: number;
    pageIndex?: number;
    length?: number;
    pageActions?: {
        [action: string]: boolean;
    };
}
declare type EditorType = 'input' | 'select' | 'datepicker' | 'checkbox' | 'multipleselect' | 'datetimepicker';
export {};
