import { EventEmitter, OnInit } from '@angular/core';
import { NotifyService } from '../notification/notify.service';
import { DomSanitizer } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { ControlValueAccessor } from '@angular/forms';
export interface FileModel {
    /**
     * 文件id
     */
    id?: string;
    /**
     * 文件名
     */
    fileName: string;
    /**
     * 文件类型
     */
    contentType?: string;
    /**
     * 文件上传状态 beforeUpload, processing, success, failed
     */
    status: status_type;
    /**
     * 文件内容长度
     */
    fileLength?: string;
    /**
     * 缩略图地址
     */
    thumbnail?: string;
    /**
     * 没有缩略图时显示的图标
     */
    fileIcon?: string;
    /**
     * 预留
     */
    [key: string]: any;
}
export declare class FileUploadComponent implements OnInit, ControlValueAccessor {
    sanitizer: DomSanitizer;
    private notifyService;
    accept: string;
    autoUpload: boolean;
    maxCount: number;
    readonly: boolean;
    uploadFile: (file: FileModel) => Observable<FileModel>;
    getDownloadUrl: (id: string) => string;
    readonly statusChange: EventEmitter<any>;
    fileList: Array<FileModel>;
    _onChange: Function;
    _onTouched: Function;
    constructor(sanitizer: DomSanitizer, notifyService: NotifyService);
    ngOnInit(): void;
    getFileIcon(ext: string): string;
    onFileSelect: (e: any) => void;
    doUpload: (file: FileModel) => void;
    previewFile: (file: FileModel) => void;
    deleteFile: (i: number) => void;
    clear(): void;
    multipleUpload: () => void;
    updateFileName(fileName: string, i: number): void;
    changeStatus: (file: FileModel, status: status_type) => void;
    createNewFile: (file: File) => FileModel;
    writeValue(values: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    handleDrop(file: any): void;
}
export declare type status_type = 'pending' | 'beforeUpload' | 'processing' | 'success' | 'failed';
