import { EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { NestedSelectionDatasource } from './nested-selection-datasource';
import { MatCheckbox, MatCheckboxChange } from '@angular/material';
import { NestedSelectionItemModel } from './nested-selection-item.model';
export declare class NestedMultipleMenuComponent implements OnInit, OnDestroy {
    checkComponents: QueryList<MatCheckbox>;
    level: number;
    selectionLevel: number;
    stateChange: BehaviorSubject<Array<string | number>>;
    parentId: any;
    selectionLimit: number;
    private _dataSource;
    dataSource: NestedSelectionDatasource<NestedSelectionItemModel>;
    private _unsubscribe;
    menuItems: Array<NestedSelectionItemModel>;
    readonly checkItem: EventEmitter<{
        id: string | number;
        checked: boolean;
    }>;
    ngOnInit(): void;
    onCheckChange(event: MatCheckboxChange): void;
    onSubCheckChange(event: {
        id: string | number;
        checked: boolean;
    }): void;
    disableStatus(id: string | number): boolean;
    ngOnDestroy(): void;
}
