import { EventEmitter, OnInit, ElementRef, OnDestroy } from '@angular/core';
import { SelectionModel } from '@angular/cdk/collections';
import { CanDisableCtor, CanUpdateErrorStateCtor, ErrorStateMatcher, HasTabIndexCtor, MatMenu, MatMenuTrigger, MatSelect } from '@angular/material';
import { NestedSelectionDatasource } from './nested-selection-datasource';
import { BehaviorSubject } from 'rxjs';
import { FormGroupDirective, NgControl, NgForm } from '@angular/forms';
import { NestedSelectionItemModel } from './nested-selection-item.model';
/** @docs-private */
export declare class NestedMultipleSelectionBase {
    _elementRef: ElementRef;
    _defaultErrorStateMatcher: ErrorStateMatcher;
    _parentForm: NgForm;
    _parentFormGroup: FormGroupDirective;
    ngControl: NgControl;
    constructor(_elementRef: ElementRef, _defaultErrorStateMatcher: ErrorStateMatcher, _parentForm: NgForm, _parentFormGroup: FormGroupDirective, ngControl: NgControl);
}
export declare const _NestedMultipleSelectionMixinBase: CanDisableCtor & HasTabIndexCtor & CanUpdateErrorStateCtor & typeof NestedMultipleSelectionBase;
export declare class NestedMultipleSelectionComponent extends _NestedMultipleSelectionMixinBase implements OnInit, OnDestroy {
    selectInput: MatSelect;
    menuTrigger: MatMenuTrigger;
    menu: MatMenu;
    placeholder: string;
    selectionLevel: number;
    rootId: string | number;
    multiple: boolean;
    selectionLimit: number;
    disabled: boolean;
    readonly: boolean;
    tabIndex: number;
    readonly selectionChange: EventEmitter<Array<string | number>>;
    selection: SelectionModel<string | number>;
    optionValue: string;
    selectionText: string;
    additionText: string;
    _initSelected: Array<string | number>;
    _dataSource: NestedSelectionDatasource<NestedSelectionItemModel>;
    _selectedChange: BehaviorSubject<Array<string | number>>;
    selected: Array<string | number>;
    dataSource: NestedSelectionDatasource<NestedSelectionItemModel>;
    ngOnInit(): void;
    open(): void;
    close(): void;
    toggle(): void;
    onCheckChange(event: {
        id: string | number;
        checked: boolean;
    }): void;
    updateSelectionText(): void;
    autoClose(): void;
    ngOnDestroy(): void;
}
