import { MatDialog, MatSnackBar } from '@angular/material';
import { MatSnackBarConfig } from '@angular/material/snack-bar/typings/snack-bar-config';
import { MatDialogConfig } from '@angular/material/dialog/typings/dialog-config';
import { Observable } from 'rxjs';
export declare type TipType = 'success' | 'info' | 'warning' | 'error';
export declare type PopupType = 'alert' | 'confirm' | 'prompt';
export interface TipDataModel {
    title?: string;
    message?: string;
    icon?: string;
    iconClass?: string;
    [key: string]: any;
}
export interface PopupDataModel {
    title: string;
    message: string;
    icon?: string;
    iconColor?: string;
    showCancel?: boolean;
    [key: string]: any;
}
export declare class NotifyService {
    private tip;
    private popup;
    TIP_DEFAULT_OPTIONS: {
        [name: string]: MatSnackBarConfig<TipDataModel>;
    };
    POPUP_DEFAULT_OPTIONS: {
        [name: string]: MatDialogConfig<PopupDataModel>;
    };
    constructor(tip: MatSnackBar, popup: MatDialog);
    /**
     * show toast
     * @param type success | alert | info | warning
     * @param config MatSnackBarConfig<TipDataModel>
     */
    showToast(type: TipType, config?: MatSnackBarConfig<TipDataModel>): void;
    showConfirm(config?: MatDialogConfig<PopupDataModel>): Observable<boolean>;
    showAlert(config?: MatDialogConfig<PopupDataModel>): Observable<any>;
    showPopup(type: PopupType, config?: MatDialogConfig<PopupDataModel>): Observable<any>;
}
