import { NgModule, Component, Input, ViewChild, Inject, Injectable, EventEmitter, Output, forwardRef, Renderer2, Pipe, ElementRef, ViewChildren, Directive, ViewContainerRef, HostBinding, Optional, ɵɵdefineInjectable, ChangeDetectorRef, Host, ComponentFactoryResolver, HostListener } from '@angular/core';
import { CommonModule, DOCUMENT } from '@angular/common';
import { MatBadgeModule, MatButtonModule, MatButtonToggleModule, MatCardModule, MatCheckboxModule, MatChipsModule, MatDatepickerModule, MatExpansionModule, MatFormFieldModule, MatGridListModule, MatIconModule, MatInputModule, MatListModule, MatMenuModule, MatPaginatorModule, MatProgressBarModule, MatProgressSpinnerModule, MatRippleModule, MatRadioModule, MatSlideToggleModule, MatSidenavModule, MatSortModule, MatTableModule, MatToolbarModule, MatTooltipModule, MatStepperModule, MatNativeDateModule, MatAutocompleteModule, MatIconRegistry, MatSnackBar, MAT_SNACK_BAR_DATA, MatDialogRef, MAT_DIALOG_DATA, MatDialog, MatFormFieldControl, MatCheckbox, mixinTabIndex, mixinDisabled, mixinErrorState, DateAdapter, NativeDateAdapter, MatPaginator, MatSort, MatPaginatorIntl } from '@angular/material';
import { MatSelectModule } from '@angular/material/select';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatTabsModule } from '@angular/material/tabs';
import { MatSliderModule } from '@angular/material/slider';
import { MatDialogModule } from '@angular/material/dialog';
import { MatBottomSheetModule } from '@angular/material/bottom-sheet';
import { MatMomentDatetimeModule } from '@mat-datetimepicker/moment';
import { MatDatetimepickerModule, DatetimeAdapter, NativeDatetimeAdapter, MAT_DATETIME_FORMATS } from '@mat-datetimepicker/core';
import { LayoutModule as LayoutModule$1 } from '@angular/cdk/layout';
import { OverlayModule, Overlay, OverlayConfig } from '@angular/cdk/overlay';
import { MatTreeModule } from '@angular/material/tree';
import { FormsModule, ReactiveFormsModule, NG_VALUE_ACCESSOR, FormBuilder, NG_VALIDATORS, FormControl, Validators, FormGroup } from '@angular/forms';
import { Router, ActivationStart, NavigationEnd, RouterModule } from '@angular/router';
import { HttpHeaders, HttpErrorResponse, HttpClient, HttpResponse } from '@angular/common/http';
import { BehaviorSubject, throwError, of, Subject, Subscription, merge } from 'rxjs';
import { map, catchError, filter, debounceTime, takeUntil as takeUntil$1, mergeMap } from 'rxjs/operators';
import { defaultsDeep, chain, first, filter as filter$1, find, take, dropRight, trim, drop, cloneDeep, remove, last, forEach, findIndex, reverse, clone } from 'lodash';
import { SatPopover, SatPopoverModule } from '@ncstate/sat-popover';
import { DomSanitizer } from '@angular/platform-browser';
import { FocusMonitor } from '@angular/cdk/a11y';
import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { map as map$1, takeUntil, debounceTime as debounceTime$1 } from 'rxjs/internal/operators';
import { DataSource, SelectionModel } from '@angular/cdk/collections';
import { ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import * as moment_ from 'moment';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/shared-material.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SharedMaterialModule {
    /**
     * @param {?} matIconRegistry
     */
    constructor(matIconRegistry) {
        this.matIconRegistry = matIconRegistry;
        this.matIconRegistry.registerFontClassAlias('fa-light', 'fal');
        this.matIconRegistry.registerFontClassAlias('fa-regular', 'far');
        this.matIconRegistry.registerFontClassAlias('fa-solid', 'fas');
    }
}
SharedMaterialModule.decorators = [
    { type: NgModule, args: [{
                exports: [
                    MatBadgeModule,
                    MatButtonModule,
                    MatButtonToggleModule,
                    MatCardModule,
                    MatCheckboxModule,
                    MatChipsModule,
                    MatDatepickerModule,
                    MatExpansionModule,
                    MatFormFieldModule,
                    MatSelectModule,
                    MatGridListModule,
                    MatIconModule,
                    MatInputModule,
                    MatListModule,
                    MatMenuModule,
                    MatPaginatorModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatRippleModule,
                    MatRadioModule,
                    MatSlideToggleModule,
                    MatSidenavModule,
                    MatSnackBarModule,
                    MatSortModule,
                    MatTableModule,
                    MatTabsModule,
                    MatToolbarModule,
                    MatTooltipModule,
                    MatDialogModule,
                    MatBottomSheetModule,
                    MatDatepickerModule,
                    MatMomentDatetimeModule,
                    MatDatetimepickerModule,
                    MatSliderModule,
                    MatStepperModule,
                    LayoutModule$1,
                    OverlayModule,
                    MatTreeModule,
                    MatNativeDateModule,
                    FormsModule,
                    MatAutocompleteModule,
                    ReactiveFormsModule
                ]
            },] }
];
/** @nocollapse */
SharedMaterialModule.ctorParameters = () => [
    { type: MatIconRegistry }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    SharedMaterialModule.prototype.matIconRegistry;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/sideover/side-over.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SideOverComponent {
    constructor() {
        this.sideWidth = 500;
    }
    /**
     * @return {?}
     */
    toggleSideContainer() {
        this.sideContainer.toggle();
    }
}
SideOverComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-layout-side-over',
                template: "<div class=\"main-container\">\r\n    <ng-content select=\"[mainContainer]\"></ng-content>\r\n</div>\r\n<mat-sidenav-container style=\"visibility: hidden;\" hasBackdrop=\"false\" fullscreen>\r\n    <mat-sidenav\r\n        #sideContainer\r\n        [ngStyle]=\"{'width.px': sideWidth}\"\r\n        autoFocus=\"false\"\r\n        fixedInViewport=\"true\"\r\n        attr.role=\"dialog\"\r\n        mode=\"side\"\r\n        position=\"end\"\r\n        opened=\"true\">\r\n        <div>\r\n            <ng-content select=\"[sideContainer]\"></ng-content>\r\n        </div>\r\n    </mat-sidenav>\r\n    <mat-sidenav-content fixedInViewport=\"true\">\r\n        <button type=\"button\" class=\"sidenav-toggle-btn\" (click)=\"toggleSideContainer()\">\r\n            <mat-icon>{{sideContainer.opened ? 'arrow_right' : 'arrow_left'}}</mat-icon>\r\n        </button>\r\n    </mat-sidenav-content>\r\n</mat-sidenav-container>\r\n",
                styles: [".main-container{width:100%;height:100%}.mat-sidenav{box-shadow:3px 0 6px rgba(0,0,0,.24);margin:64px 0 0}.sidenav-toggle-btn{position:absolute;right:0;top:calc(50% - 24px);width:22px;height:48px;padding:0;cursor:pointer;visibility:visible;box-shadow:0 1px 4px rgba(0,0,0,.3)}.sidenav-toggle-btn .mat-icon{width:18px}"]
            }] }
];
SideOverComponent.propDecorators = {
    sideWidth: [{ type: Input }],
    sideContainer: [{ type: ViewChild, args: ['sideContainer', { static: false },] }]
};
if (false) {
    /** @type {?} */
    SideOverComponent.prototype.sideWidth;
    /** @type {?} */
    SideOverComponent.prototype.sideContainer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/sideover/side-over.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SideOverModule {
}
SideOverModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    SideOverComponent
                ],
                exports: [
                    SideOverComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/notification/notify-tip.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NotifyTipComponent {
    /**
     * @param {?} snackBar
     * @param {?} options
     */
    constructor(snackBar, options) {
        this.snackBar = snackBar;
        this.options = options;
    }
    /**
     * @return {?}
     */
    get icon() {
        return this.options.icon;
    }
    /**
     * @return {?}
     */
    get iconClass() {
        return this.options.iconClass;
    }
    /**
     * @return {?}
     */
    get title() {
        return this.options.title;
    }
    /**
     * @return {?}
     */
    get message() {
        return this.options.message;
    }
    /**
     * @return {?}
     */
    onClose() {
        this.snackBar.dismiss();
    }
}
NotifyTipComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-notify-tip',
                template: "<div class=\"notify-tip-content\">\r\n    <div class=\"notify-tip-icon\" [ngStyle]=\"{'top.px': message === '' ? 10 : 24}\"><mat-icon>{{icon}}</mat-icon></div>\r\n    <div><span class=\"notify-tip-title\" [innerHTML]=\"title | html\"></span>\r\n        <button mat-icon-button class=\"notify-tip-close\" (click)=\"onClose()\"><mat-icon>clear</mat-icon></button>\r\n    </div>\r\n    <div><span class=\"notify-tip-message\" [innerHTML]=\"message | html\"></span></div>\r\n</div>\r\n",
                styles: [".notify-tip-content{padding-left:48px}.notify-tip-icon{position:absolute;left:18px}.notify-tip-icon .mat-icon{font-size:32px}.notify-tip-title{font-size:16px;font-weight:700}.notify-tip-message{font-size:14px}.notify-tip-close{position:absolute;top:1px;right:1px}"]
            }] }
];
/** @nocollapse */
NotifyTipComponent.ctorParameters = () => [
    { type: MatSnackBar },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    NotifyTipComponent.prototype.snackBar;
    /**
     * @type {?}
     * @private
     */
    NotifyTipComponent.prototype.options;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/notification/notify-popup.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NotifyPopupComponent {
    /**
     * @param {?} dialogRef
     * @param {?} options
     */
    constructor(dialogRef, options) {
        this.dialogRef = dialogRef;
        this.options = options;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.dialogRef.disableClose = true;
    }
    /**
     * @return {?}
     */
    get title() {
        return this.options.title;
    }
    /**
     * @return {?}
     */
    get message() {
        return this.options.message;
    }
    /**
     * @return {?}
     */
    get icon() {
        return this.options.icon;
    }
    /**
     * @return {?}
     */
    get iconColor() {
        return this.options.iconColor;
    }
    /**
     * @return {?}
     */
    get showCancel() {
        return this.options.showCancel;
    }
}
NotifyPopupComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-notify-popup',
                template: "<div mat-dialog-title class=\"title\">\r\n    <span>{{ title }}</span>\r\n</div>\r\n<div mat-dialog-content class=\"mat-typography content\">\r\n    <mat-icon *ngIf=\"!!icon\" class=\"top-icon\" [ngStyle]=\"{'color': iconColor}\">{{ icon }}</mat-icon>\r\n    <span [innerHTML]=\"message | html\"></span>\r\n    <!--<div>{{ message }}</div>-->\r\n</div>\r\n<div mat-dialog-actions class=\"popup-operate\">\r\n    <button mat-raised-button (click)=\"dialogRef.close(true)\">\u786E\u5B9A</button>\r\n    <button mat-raised-button *ngIf=\"showCancel\" (click)=\"dialogRef.close(false)\" class=\"popup-cancel\">\u53D6\u6D88</button>\r\n</div>\r\n",
                styles: [".content{display:flex;align-items:center;justify-content:center}.content .top-icon{margin-right:10px}.title{text-align:center}.popup-operate{margin-bottom:0;margin-top:15px;align-items:center;justify-content:center}.msg-content{white-space:normal;word-break:break-all;word-wrap:break-word}"]
            }] }
];
/** @nocollapse */
NotifyPopupComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];
if (false) {
    /** @type {?} */
    NotifyPopupComponent.prototype.dialogRef;
    /** @type {?} */
    NotifyPopupComponent.prototype.options;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/notification/notify.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @record
 */
function TipDataModel() { }
if (false) {
    /** @type {?|undefined} */
    TipDataModel.prototype.title;
    /** @type {?|undefined} */
    TipDataModel.prototype.message;
    /** @type {?|undefined} */
    TipDataModel.prototype.icon;
    /** @type {?|undefined} */
    TipDataModel.prototype.iconClass;
    /* Skipping unhandled member: [key: string]: any;*/
}
/**
 * @record
 */
function PopupDataModel() { }
if (false) {
    /** @type {?} */
    PopupDataModel.prototype.title;
    /** @type {?} */
    PopupDataModel.prototype.message;
    /** @type {?|undefined} */
    PopupDataModel.prototype.icon;
    /** @type {?|undefined} */
    PopupDataModel.prototype.iconColor;
    /** @type {?|undefined} */
    PopupDataModel.prototype.showCancel;
    /* Skipping unhandled member: [key: string]: any;*/
}
class NotifyService {
    /**
     * @param {?} tip
     * @param {?} popup
     */
    constructor(tip, popup) {
        this.tip = tip;
        this.popup = popup;
        this.TIP_DEFAULT_OPTIONS = {
            success: {
                verticalPosition: 'top', duration: 2000, panelClass: 'notify-success-tip-container',
                data: { icon: 'check_circle_outline', iconClass: 'check_circle_outline-icon', title: '操作成功', message: '' }
            },
            info: {
                verticalPosition: 'top', duration: 2000, panelClass: 'notify-info-tip-container',
                data: { icon: 'info', iconClass: 'check_circle_outline-icon', title: '信息', message: '' }
            },
            warning: {
                verticalPosition: 'top', duration: 2000, panelClass: 'notify-warning-tip-container',
                data: { icon: 'report_problem', iconClass: 'check_circle_outline-icon', title: '警告', message: '' }
            },
            error: {
                verticalPosition: 'top', duration: 2000, panelClass: 'notify-error-tip-container',
                data: { icon: 'error_outline', iconClass: 'check_circle_outline-icon', title: '操作错误', message: '' }
            }
        };
        this.POPUP_DEFAULT_OPTIONS = {
            alert: {
                minWidth: '300px', panelClass: 'notify-alert-container',
                data: { icon: 'info', iconColor: '#f44336', title: '提示', message: '', showCancel: false }
            },
            confirm: {
                minWidth: '300px', panelClass: 'notify-confirm-container',
                data: { icon: 'report_problem', iconColor: '#3f51b5', title: '确认操作', message: '', showCancel: true }
            },
            prompt: {
                minWidth: '300px', panelClass: 'notify-prompt-container',
                data: { icon: 'report_problem', iconColor: '#3f51b5', title: 'prompt', message: '', showCancel: true }
            }
        };
    }
    /**
     * show toast
     * @param {?} type success | alert | info | warning
     * @param {?=} config MatSnackBarConfig<TipDataModel>
     * @return {?}
     */
    showToast(type, config) {
        if (config) {
            // config.data = Object.assign({}, this.TIP_DEFAULT_OPTIONS[type].data, config.data);
            config.data = Object.assign({}, this.TIP_DEFAULT_OPTIONS[type].data, config.data);
        }
        this.tip.openFromComponent(NotifyTipComponent, Object.assign({}, this.TIP_DEFAULT_OPTIONS[type], config));
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    showConfirm(config) {
        if (config) {
            // config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS['confirm'].data, config.data);
            config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS['confirm'].data, config.data);
        }
        return this.popup.open(NotifyPopupComponent, Object.assign({}, this.POPUP_DEFAULT_OPTIONS['confirm'], config)).afterClosed();
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    showAlert(config) {
        if (config) {
            // config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS['alert'].data, config.data);
            config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS['alert'].data, config.data);
        }
        return this.popup.open(NotifyPopupComponent, Object.assign({}, this.POPUP_DEFAULT_OPTIONS['alert'], config)).afterClosed();
    }
    /**
     * @param {?} type
     * @param {?=} config
     * @return {?}
     */
    showPopup(type, config) {
        if (config) {
            // config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS[type].data, config.data);
            config.data = Object.assign({}, this.POPUP_DEFAULT_OPTIONS[type].data, config.data);
        }
        return this.popup.open(NotifyPopupComponent, Object.assign({}, this.POPUP_DEFAULT_OPTIONS[type], config)).afterClosed();
    }
}
NotifyService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
NotifyService.ctorParameters = () => [
    { type: MatSnackBar },
    { type: MatDialog, decorators: [{ type: Inject, args: [MatDialog,] }] }
];
if (false) {
    /** @type {?} */
    NotifyService.prototype.TIP_DEFAULT_OPTIONS;
    /** @type {?} */
    NotifyService.prototype.POPUP_DEFAULT_OPTIONS;
    /**
     * @type {?}
     * @private
     */
    NotifyService.prototype.tip;
    /**
     * @type {?}
     * @private
     */
    NotifyService.prototype.popup;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/net/fetch.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const DEFAULT_CONFIG = {
    responseData: 'data',
    errorData: 'error',
    showError: true,
    notifyOptions: {
        notifyTitle: '操作成功',
        notifyMessage: '',
        notifyHorizontalPosition: 'center',
        notifyVerticalPosition: 'top'
    },
    errorNotifyOptions: {
        errorNotifyType: 'alert'
    }
};
/**
 * 数据服务API访问封装服务，提供token注入、数据预处理、及错误预处理
 */
class FetchService {
    /**
     * @param {?} http
     * @param {?} router
     * @param {?} notifyService
     */
    constructor(http, router, notifyService) {
        this.http = http;
        this.router = router;
        this.notifyService = notifyService;
        this.loadingStatusChange = new BehaviorSubject(new Set());
    }
    /**
     * 构建数据获取服务，预定义token封装，错误处理
     * @template T
     * @param {?} url 请求地址
     * @param {?=} params 请求参数
     * @param {?=} fetchCallbackConfig 预处理相关配置。具体参见 {\@link FetchCallbackConfig}
     * @return {?} Observable<T>
     */
    get(url, params, fetchCallbackConfig) {
        /** @type {?} */
        const uniqueKey = `${url}-${(new Date()).getTime()}`;
        this.pushLoadingQueue(uniqueKey);
        /** @type {?} */
        const config = defaultsDeep(fetchCallbackConfig, { showNotify: false }, DEFAULT_CONFIG);
        return this.http.get(url, { params: params }).pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        response => {
            return this.handleResponse(response, config, uniqueKey);
        })), catchError((/**
         * @param {?} responseError
         * @return {?}
         */
        responseError => {
            return throwError(this.handleError(responseError, config, uniqueKey));
        })));
    }
    /**
     * POST请求服务
     * @template T
     * @param {?} url 请求地址
     * @param {?} data POST发送数据
     * @param {?=} fetchCallbackConfig 预处理相关配置。具体参见 {\@link FetchCallbackConfig}
     * @return {?} Observable<T>
     */
    post(url, data, fetchCallbackConfig) {
        /** @type {?} */
        const uniqueKey = `${url}-${(new Date()).getTime()}`;
        this.pushLoadingQueue(uniqueKey);
        /** @type {?} */
        const config = defaultsDeep(fetchCallbackConfig, { showNotify: true }, DEFAULT_CONFIG);
        return this.http.post(url, data, {
            headers: new HttpHeaders(Object.assign({}, config.headerOptions)) // (Object.assign({}, config.headerOptions))
        }).pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        response => {
            return this.handleResponse(response, config, uniqueKey);
        })), catchError((/**
         * @param {?} responseError
         * @return {?}
         */
        responseError => {
            return throwError(this.handleError(responseError, config, uniqueKey));
        })));
    }
    /**
     * @private
     * @template T
     * @param {?} response
     * @param {?} config
     * @param {?} uniqueKey
     * @return {?}
     */
    handleResponse(response, config, uniqueKey) {
        this.shiftLoadingQueue(uniqueKey);
        if (response[config.errorData]) {
            // throwError(response);
            this.handleError(response, config, uniqueKey);
            return response[config.errorData];
        }
        if (config.showNotify) {
            /** @type {?} */
            const msg = {
                data: { title: config.notifyOptions.notifyTitle, message: config.notifyOptions.notifyMessage },
                horizontalPosition: config.notifyOptions.notifyHorizontalPosition,
                verticalPosition: config.notifyOptions.notifyVerticalPosition
            };
            this.notifyService.showToast('success', msg);
        }
        return response[config.responseData];
    }
    /**
     * @private
     * @param {?} responseError
     * @param {?} config
     * @param {?} uniqueKey
     * @return {?}
     */
    handleError(responseError, config, uniqueKey) {
        this.shiftLoadingQueue(uniqueKey);
        /** @type {?} */
        let error = { code: '未知错误', msg: '未知错误' };
        if (responseError['body'] && responseError['body'][config.errorData]) {
            error = defaultsDeep(responseError['body'][config.errorData], error);
        }
        else if (responseError[config.errorData]) {
            error = defaultsDeep(responseError[config.errorData], error);
        }
        else if (responseError instanceof HttpErrorResponse) {
            error.code = responseError.status.toString();
            error.msg = responseError.message;
        }
        if (config.showError) {
            /** @type {?} */
            const info = `错误代码：${error.code}<br/>错误信息：${error.msg}`;
            /** @type {?} */
            const options = { data: { title: '操作失败', message: info } };
            if (config.errorNotifyOptions.errorNotifyType !== 'alert') {
                this.notifyService.showToast('error', options);
            }
            else {
                this.notifyService.showAlert(options);
            }
        }
        return error;
    }
    /**
     * @private
     * @param {?} uniqueKey
     * @return {?}
     */
    pushLoadingQueue(uniqueKey) {
        this.loadingStatusChange.value.add(uniqueKey);
        this.loadingStatusChange.next(this.loadingStatusChange.value);
    }
    /**
     * @private
     * @param {?} uniqueKey
     * @return {?}
     */
    shiftLoadingQueue(uniqueKey) {
        /** @type {?} */
        const loadingQueue = this.loadingStatusChange.value;
        if (loadingQueue.has(uniqueKey)) {
            loadingQueue.delete(uniqueKey);
            this.loadingStatusChange.next(loadingQueue);
        }
    }
}
FetchService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
FetchService.ctorParameters = () => [
    { type: HttpClient },
    { type: Router },
    { type: NotifyService }
];
if (false) {
    /** @type {?} */
    FetchService.prototype.loadingStatusChange;
    /**
     * @type {?}
     * @private
     */
    FetchService.prototype.http;
    /**
     * @type {?}
     * @private
     */
    FetchService.prototype.router;
    /**
     * @type {?}
     * @private
     */
    FetchService.prototype.notifyService;
}
/**
 * FetchService调用预处理、后处理相关设置
 * @record
 */
function FetchCallbackConfig() { }
if (false) {
    /**
     * response数据内容标签，默认为data
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.responseData;
    /**
     * error数据内容标签，默认为error
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.errorData;
    /**
     * 是否显示成功操作提示，默认为true
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.showNotify;
    /**
     * 是否显示操作失败提示，默认为true
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.showError;
    /**
     * 操作成功提示消息设置选项
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.notifyOptions;
    /**
     * 操作失败提示消息设置选项
     * @type {?|undefined}
     */
    FetchCallbackConfig.prototype.errorNotifyOptions;
    /** @type {?|undefined} */
    FetchCallbackConfig.prototype.headerOptions;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/util/util.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UtilService {
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    defaultValue(a, b) {
        if (a === null || a === undefined) {
            return b;
        }
        return a;
    }
    /**
     * @return {?}
     */
    createGuid() {
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, (/**
         * @param {?} c
         * @return {?}
         */
        c => {
            /** @type {?} */
            const r = Math.random() * 16 | 0;
            /** @type {?} */
            const v = c === 'x' ? r : (r & 0x3 | 0x8);
            return v.toString(16);
        }));
    }
    /**
     * 转换数组为树形结构
     *
     * @template T
     * @param {?} data 待处理数据对象
     * @param {?} options 数据选项
     * @return {?} Observable<T>
     */
    flat2Nested(data, options) {
        /** @type {?} */
        const ops = Object.assign({ idProperty: 'id', pathProperty: 'path', parentIdProperty: 'parentId', childrenProperty: 'children', pathSeparator: ',', depth: -1 }, options);
        // 参数错误判断
        /** @type {?} */
        const error = '树转换错误(from UtilService.flat2Nested)：';
        if (data.length <= 0) {
            console.error(`数据不应为空: \n${error}`);
            return throwError(new Error(`数据不应为空: \n${error}`));
        }
        // 数据预处理
        /** @type {?} */
        let newData = JSON.parse(JSON.stringify(data));
        /** @type {?} */
        const rootItem = newData.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item[ops.idProperty] === ops.rootId;
        }))[0];
        if (!rootItem) {
            console.error(`无法找到指定根节点: \n${error}`);
            return throwError(new Error(`无法找到指定根节点: \n${error}`));
        }
        /** @type {?} */
        const rootLevel = rootItem[ops.pathProperty].split(ops.pathSeparator).length;
        if (ops.depth > 0) {
            newData = newData.filter((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                /** @type {?} */
                const level = item[ops.pathProperty].split(ops.pathSeparator).length;
                /** @type {?} */
                let res = level > rootLevel;
                if (ops.depth > 0) {
                    res = res || level <= rootLevel + ops.depth;
                }
                return res;
            }));
        }
        // 构建树
        /** @type {?} */
        const result = rootItem;
        /** @type {?} */
        const temp = {};
        temp[ops.rootId] = rootItem;
        newData.sort((/**
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        (a, b) => {
            return a[ops.pathProperty].split(ops.pathSeparator).length - b[ops.pathProperty].split(ops.pathSeparator).length;
        }));
        while (newData.length > 0) {
            /** @type {?} */
            const item = newData[0];
            /** @type {?} */
            const parentItem = temp[item[ops.parentIdProperty]];
            if (parentItem) {
                if (!parentItem.children) {
                    parentItem.children = new Array();
                }
                parentItem.children.push(item);
                temp[item[ops.idProperty]] = item;
            }
            newData.shift();
        }
        return of(result);
    }
}
UtilService.decorators = [
    { type: Injectable }
];
/**
 * @record
 */
function TreeNodeOptions() { }
if (false) {
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.idProperty;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.pathProperty;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.parentIdProperty;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.sortProperty;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.childrenProperty;
    /** @type {?} */
    TreeNodeOptions.prototype.rootId;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.pathSeparator;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.filterProperties;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.filterValues;
    /** @type {?|undefined} */
    TreeNodeOptions.prototype.depth;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/menu.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MenuService {
    /**
     * @param {?} http
     * @param {?} fetchService
     * @param {?} utilService
     */
    constructor(http, fetchService, utilService) {
        this.http = http;
        this.fetchService = fetchService;
        this.utilService = utilService;
        this.menuDataChanged = new BehaviorSubject(JSON.parse(localStorage.getItem('menuList')));
        this.activeTopMenuChanged = new BehaviorSubject(JSON.parse(localStorage.getItem('activeTopMenu')));
        this.sideStatusChanged = new BehaviorSubject(undefined);
    }
    /**
     * @param {?} menuList
     * @return {?}
     */
    updateMenuData(menuList) {
        if (!menuList) {
            localStorage.removeItem('menuList');
            this.menuDataChanged.next(undefined);
        }
        /** @type {?} */
        const menuStr = JSON.stringify(menuList);
        if (menuStr !== localStorage.getItem('menuList')) {
            menuList.sort((/**
             * @param {?} a
             * @param {?} b
             * @return {?}
             */
            (a, b) => {
                return a.sort - b.sort;
            }));
            // localStorage.setItem('menuList', menuStr);
            localStorage.setItem('menuList', JSON.stringify(menuList));
            this.menuDataChanged.next(menuList);
        }
    }
    /**
     * @param {?} activeTopMenu
     * @return {?}
     */
    updateActiveTopMenu(activeTopMenu) {
        if (!activeTopMenu) {
            localStorage.removeItem('activeTopMenu');
            this.activeTopMenuChanged.next(undefined);
        }
        /** @type {?} */
        const menuItemStr = JSON.stringify(activeTopMenu);
        if (menuItemStr !== localStorage.getItem('activeTopMenu')) {
            localStorage.setItem('activeTopMenu', menuItemStr);
            this.activeTopMenuChanged.next(activeTopMenu);
        }
        else {
            this.sideStatusChanged.next(true);
        }
    }
    /**
     * @param {?=} menu
     * @return {?}
     */
    getTopFlatMenuItems(menu) {
        // return this.fetchService.get<Array<TopMenuItemModel>>('sys/topMenu/list', {}).pipe(map(results => {
        //     return results.filter(item => item.type == 'flat');
        // }));
        /** @type {?} */
        const menuValue = menu ? menu : this.menuDataChanged.getValue();
        return of(menuValue.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => /*item.accessible && */ item.type === '1')));
    }
    /**
     * @param {?=} menu
     * @return {?}
     */
    getTopIconMenuItems(menu) {
        // return this.fetchService.get<Array<TopMenuItemModel>>('sys/topMenu/list', {}).pipe(map(results => {
        //     return results.filter(item => item.type == 'icon');
        // }));
        /** @type {?} */
        const menuValue = menu ? menu : this.menuDataChanged.getValue();
        return of(menuValue.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => /*item.accessible && */ item.type === '2')));
    }
    /**
     * @param {?=} menu
     * @return {?}
     */
    getTopMenuItems(menu) {
        /** @type {?} */
        const menuValue = menu ? menu : this.menuDataChanged.getValue();
        return of(menuValue.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => /*item.accessible && */ item.type !== '3')));
    }
    /**
     * @param {?} id
     * @param {?=} menu
     * @return {?}
     */
    getSubMenuData(id, menu) {
        /** @type {?} */
        const menuValue = menu ? menu : this.menuDataChanged.getValue();
        // menu = this.menuDataChanged.getValue().filter(item => item.accessible);
        return this.utilService.flat2Nested(menuValue, { pathProperty: 'parentIds', rootId: id });
    }
}
MenuService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
MenuService.ctorParameters = () => [
    { type: HttpClient },
    { type: FetchService },
    { type: UtilService }
];
if (false) {
    /** @type {?} */
    MenuService.prototype.menuDataChanged;
    /** @type {?} */
    MenuService.prototype.activeTopMenuChanged;
    /** @type {?} */
    MenuService.prototype.sideStatusChanged;
    /**
     * @type {?}
     * @private
     */
    MenuService.prototype.http;
    /**
     * @type {?}
     * @private
     */
    MenuService.prototype.fetchService;
    /**
     * @type {?}
     * @private
     */
    MenuService.prototype.utilService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/detail-overlay/detail-overlay.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DetailOverlayComponent {
    constructor() {
        this.detailPadding = 120;
    }
    /**
     * @return {?}
     */
    openDrawer() {
        this.drawer.open();
    }
    /**
     * @return {?}
     */
    closeDrawer() {
        this.drawer.close();
    }
    /**
     * @return {?}
     */
    toggleDrawer() {
        this.drawer.toggle();
    }
}
DetailOverlayComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-layout-detail-overlay',
                template: "<mat-drawer-container fullscreen [hasBackdrop]=\"true\">\r\n    <mat-drawer-content>\r\n        <ng-content select=\"[overview]\"></ng-content>\r\n    </mat-drawer-content>\r\n    <!-- FIXME: \u8FD9\u91CC\u4E3A\u4F55\u9700\u8981\u6392\u81F3100% \u51CF\u53BB\uFF0C\u8FD9\u4E2Aoverlay\u7684\u5BBD\u5EA6\u4E0D\u662F\u5E94\u8BE5\u6839\u636E\u5185\u5BB9\u6765\u5417 -->\r\n    <mat-drawer #detailDrawer\r\n                [mode]=\"'over'\"\r\n                [opened]=\"false\"\r\n                [position]=\"'end'\"\r\n                [style.width]=\"'calc(100% - ' + detailPadding + 'px)'\"\r\n                fixedInViewport=\"true\">\r\n        <ng-content select=\"[detail]\"></ng-content>\r\n    </mat-drawer>\r\n</mat-drawer-container>"
            }] }
];
DetailOverlayComponent.propDecorators = {
    detailPadding: [{ type: Input }],
    drawer: [{ type: ViewChild, args: ['detailDrawer', { static: false },] }]
};
if (false) {
    /** @type {?} */
    DetailOverlayComponent.prototype.detailPadding;
    /** @type {?} */
    DetailOverlayComponent.prototype.drawer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/detail-overlay/detail-overlay.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DetailOverlayModule {
}
DetailOverlayModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    DetailOverlayComponent
                ],
                exports: [
                    DetailOverlayComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/route/deactivate-guard.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DeactivateGuard {
    /**
     * @param {?} notifyService
     */
    constructor(notifyService) {
        this.notifyService = notifyService;
        this.pendingObserver = undefined;
        this.headerChecked = false;
    }
    /**
     * @param {?} component
     * @param {?=} fromHeader
     * @return {?}
     */
    can(component, fromHeader) {
        if (component && component.hasUnsavedChanges && component.hasUnsavedChanges()) {
            this.pendingObserver = this.notifyService.showConfirm({
                data: {
                    title: '有未保存信息',
                    message: '监测到存在未提交信息，如果继续则修改信息将丢失。<br/>确认继续？'
                }
            }).pipe(map((/**
             * @param {?} res
             * @return {?}
             */
            res => {
                this.pendingObserver = undefined;
                this.headerChecked = fromHeader ? res : false;
                return res;
            })));
            return this.pendingObserver;
        }
        return of(true);
    }
    /**
     * @param {?} component
     * @param {?} currentRoute
     * @param {?} currentState
     * @param {?=} nextState
     * @return {?}
     */
    canDeactivate(component, currentRoute, currentState, nextState) {
        if (this.pendingObserver) {
            // 避免连续跳出确认
            return this.pendingObserver;
        }
        if (this.headerChecked) {
            // 避免用户选择继续后，紧接着的路由跳转
            this.headerChecked = false;
            return true;
        }
        return this.can(component);
    }
}
DeactivateGuard.decorators = [
    { type: Injectable }
];
/** @nocollapse */
DeactivateGuard.ctorParameters = () => [
    { type: NotifyService }
];
if (false) {
    /** @type {?} */
    DeactivateGuard.prototype.pendingObserver;
    /** @type {?} */
    DeactivateGuard.prototype.headerChecked;
    /**
     * @type {?}
     * @private
     */
    DeactivateGuard.prototype.notifyService;
}
/**
 * @record
 */
function ChangeDetector() { }
if (false) {
    /**
     * @return {?}
     */
    ChangeDetector.prototype.hasUnsavedChanges = function () { };
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/util/universal.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UniversalService {
    /**
     * @param {?} router
     * @param {?} menuService
     */
    constructor(router, menuService) {
        this.router = router;
        this.menuService = menuService;
        this._loginTitle = '信达支撑平台';
        this._appTitle = '信达支撑平台';
        this._logoSrc = 'assets/images/logo.png';
        this.routeHistory = new Array(10);
        /**
         * TODO: get version from package.json after v1.0.0 release
         */
        this.version = 'alpha（内部测试版）';
        this.info = `

        _    ____ ____ __   ____ ____ _      ____ __   ___  ____ ____ ____ ____ _    
        || \\ |_ _\\|___\\| |  |___\\|_ _\\||_/\\  | . \\| |  |  \\ |_ _\\|  _\\|   || . \\|\\/\\ 
        ||_|\\  || | /  | |__| /    || | __/  | __/| |__| . \\  || | _\\ | . ||  <_|   \\
        |___/  |/ |/   |___/|/     |/ |/     |/   |___/|/\\_/  |/ |/   |___/|/\\_/|/v\\/
        
        %c信达基础支撑平台 - Utility Platform
        版本号: ${this.version}
        GIT: http://10.6.181.244/rd/utility-platform-web
        技术支持: 信达公司产品研发部
    `;
        this.fontsetMap = new Map([['fa-', 'fa'], ['icon-', 'iconfont']]);
        this.bindMenuToRouter();
        this.printInfo();
    }
    /**
     * @return {?}
     */
    get loginTitle() {
        return this._loginTitle;
    }
    /**
     * @param {?} title
     * @return {?}
     */
    set loginTitle(title) {
        this._loginTitle = title;
    }
    /**
     * @return {?}
     */
    get appTitle() {
        return this._appTitle;
    }
    /**
     * @param {?} title
     * @return {?}
     */
    set appTitle(title) {
        this._appTitle = title;
    }
    /**
     * @return {?}
     */
    get logoSrc() {
        return this._logoSrc;
    }
    /**
     * @param {?} src
     * @return {?}
     */
    set logoSrc(src) {
        this._logoSrc = src;
    }
    /**
     * @private
     * @return {?}
     */
    printInfo() {
        console.log(this.info, 'padding-top: 5px;');
    }
    /**
     * @private
     * @return {?}
     */
    bindMenuToRouter() {
        this.router.events.pipe(filter((/**
         * @param {?} event
         * @return {?}
         */
        event => event instanceof ActivationStart || event instanceof NavigationEnd))).subscribe((/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (event instanceof ActivationStart) {
                UniversalService.ROUTE_ACTIVATE = true;
            }
            else {
                this.pushRouteHistory(event.url);
                if (this.isLoggedIn()) {
                    /** @type {?} */
                    const menuList = this.menuService.menuDataChanged.getValue();
                    /** @type {?} */
                    const activeMenu = chain(menuList).filter(['href', event.url]).head().value();
                    if (activeMenu) {
                        /** @type {?} */
                        let topMenuId = chain(activeMenu.parentIds.split(',')).dropRight().last().value();
                        if (!topMenuId) {
                            topMenuId = activeMenu.id;
                        }
                        /** @type {?} */
                        const activeTopMenu = chain(menuList).filter((/**
                         * @param {?} item
                         * @return {?}
                         */
                        item => {
                            return item.id === topMenuId && (item.type === '1' || item.type === '2');
                        })).head().value();
                        if (!this.preventTopActive) {
                            this.menuService.updateActiveTopMenu(activeTopMenu);
                        }
                        this.preventTopActive = false;
                    }
                }
                UniversalService.ROUTE_ACTIVATE = false;
            }
        }));
    }
    /**
     * @return {?}
     */
    getRouterHistory() {
        return chain(this.routeHistory).clone().reverse().value();
    }
    /**
     * @return {?}
     */
    getPreviousRoute() {
        return first(this.getRouterHistory());
    }
    /**
     * @param {?} url
     * @return {?}
     */
    pushRouteHistory(url) {
        this.routeHistory = chain(this.routeHistory).drop().concat(url).value();
    }
    /**
     * @return {?}
     */
    getUserName() {
        return this.getUserProfile() && this.getUserProfile().name;
    }
    /**
     * @return {?}
     */
    getUserImage() {
        return this.getUserProfile() && this.getUserProfile().image;
    }
    /**
     * @return {?}
     */
    isLoggedIn() {
        return !!localStorage.getItem('token') && !!localStorage.getItem('userInfo');
    }
    /**
     * @private
     * @return {?}
     */
    getUserProfile() {
        /** @type {?} */
        const profile = localStorage.getItem('userInfo');
        return profile ? JSON.parse(localStorage.getItem('userInfo')) : undefined;
    }
    /**
     * @param {?} prefix
     * @param {?} fontset
     * @return {?}
     */
    registerFontIcon(prefix, fontset) {
        if (prefix.endsWith('-')) {
            this.fontsetMap.set(prefix, fontset);
        }
    }
    /**
     * @param {?} iconName
     * @return {?}
     */
    getFontsetByPrefix(iconName) {
        if (iconName) {
            /** @type {?} */
            const prefix = iconName.split('-')[0];
            return this.fontsetMap.get(`${prefix}-`);
        }
        return undefined;
    }
}
UniversalService.ROUTE_ACTIVATE = false;
UniversalService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
UniversalService.ctorParameters = () => [
    { type: Router },
    { type: MenuService }
];
if (false) {
    /** @type {?} */
    UniversalService.ROUTE_ACTIVATE;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype._loginTitle;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype._appTitle;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype._logoSrc;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype.routeHistory;
    /**
     * TODO: get version from package.json after v1.0.0 release
     * @type {?}
     */
    UniversalService.prototype.version;
    /** @type {?} */
    UniversalService.prototype.info;
    /** @type {?} */
    UniversalService.prototype.fontsetMap;
    /** @type {?} */
    UniversalService.prototype.preventTopActive;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype.router;
    /**
     * @type {?}
     * @private
     */
    UniversalService.prototype.menuService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/default/header/header.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HeaderComponent {
    /**
     * @param {?} overlay
     * @param {?} router
     * @param {?} menuService
     * @param {?} universalService
     * @param {?} deactivateGuard
     */
    constructor(overlay, router, menuService, universalService, deactivateGuard) {
        this.overlay = overlay;
        this.router = router;
        this.menuService = menuService;
        this.universalService = universalService;
        this.deactivateGuard = deactivateGuard;
        this.sideMenuToggle = new EventEmitter();
        this.notifyCenterOpen = new EventEmitter();
        this.activeMenuItem = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.menuService.activeTopMenuChanged.subscribe((/**
         * @param {?} menuItem
         * @return {?}
         */
        menuItem => {
            this.selectedTopMenuItem = menuItem;
            this.activeMenuItem.emit(menuItem);
        }));
    }
    /**
     * @return {?}
     */
    onSideMenuToggle() {
        this.sideMenuToggle.emit();
    }
    /**
     * @return {?}
     */
    onNotifyCenterOpen() {
        this.notifyCenterOpen.emit();
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onMenuItemActive(item) {
        if (item.type === '2' && !item.subnodeCnt) {
            return;
        }
        this.deactivateGuard.can(this.currentMainComponent, true).subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            if (res) {
                if (item.href) {
                    this.universalService.preventTopActive = true;
                }
                this.menuService.updateActiveTopMenu(item);
            }
        }));
    }
}
HeaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-header-default',
                template: "<mat-toolbar color=\"primary\" class=\"mat-elevation-z4 header\">\r\n    <div class=\"logo\">\r\n        <button type=\"button\" aria-label=\"LOGO\" mat-icon-button (click)=\"onSideMenuToggle()\">\r\n            <img [src]=\"logoSource\" class=\"logo-img\"/>\r\n        </button>\r\n        <span class=\"logo-title\">{{ appTitle }}</span>\r\n    </div>\r\n\r\n    <!--<button id=\"toggleButton\"\r\n            type=\"button\"\r\n            aria-label=\"Toggle sidenav\"\r\n            mat-icon-button\r\n            *ngIf=\"sideMenuVisible\"\r\n            (click)=\"onSideToggle()\">\r\n        <mat-icon aria-label=\"Side nav toggle icon\">menu</mat-icon>\r\n    </button>-->\r\n    <nav mat-tab-nav-bar backgroundColor=\"primary\" class=\"tab-links\">\r\n        <a mat-tab-link *ngFor=\"let item of flatMenuItems\"\r\n           class=\"tab-link\"\r\n           (click)=\"onMenuItemActive(item)\"\r\n           [routerLink]=\"item.href\"\r\n           [active]=\"item.id == selectedTopMenuItem.id\">\r\n            <mat-icon matBadgeColor=\"warn\">{{ item.icon }}</mat-icon>\r\n            {{ item.name }}\r\n        </a>\r\n    </nav>\r\n\r\n    <!--<button *ngFor=\"let item of flatMenuItems\"\r\n            mat-button\r\n            [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n            [routerLink]=\"item.href\"\r\n            aria-label=\"item.name\" (click)=\"onMenuItemActive(item)\">\r\n        &lt;!&ndash;[matBadge]=\"item.badge\"&ndash;&gt;\r\n        <mat-icon matBadgeColor=\"warn\">\r\n            {{ item.icon }}\r\n        </mat-icon>\r\n        {{ item.name }}\r\n    </button>-->\r\n\r\n    <span class=\"header-separator\"></span>\r\n\r\n    <button *ngFor=\"let item of iconMenuItems\"\r\n            type=\"button\"\r\n            [id]=\"item.id\"\r\n            [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n            [routerLink]=\"item.href\"\r\n            (click)=\"onMenuItemActive(item)\"\r\n            mat-icon-button>\r\n        <!--[matBadge]=\"item.badge\"-->\r\n        <mat-icon matBadgeColor=\"warn\">{{ item.icon }}</mat-icon>\r\n    </button>\r\n\r\n    <span style=\"padding: 0 8px\"></span>\r\n    <button type=\"button\"\r\n            aria-label=\"User Image\"\r\n            mat-icon-button\r\n            class=\"badge-offset\"\r\n            matBadgeColor=\"warn\"\r\n            [matBadge]=\"''\"\r\n            (click)=\"onNotifyCenterOpen()\">\r\n        <img src=\"{{ userImageUrl }}\" class=\"user-img\"/>\r\n    </button>\r\n    <span class=\"user-name\">{{ userName }}</span>\r\n</mat-toolbar>\r\n",
                styles: [".mat-toolbar{position:fixed;top:0;z-index:2;padding:0;height:55px}.header{background-image:url(assets/images/header-background.png);background-repeat:no-repeat;background-position:right center;background-size:100% 55px}.logo{min-width:calc(300px - 16px * 2);height:100%;align-items:center;display:flex;padding:0 16px}.logo-img{width:36px;height:36px}.logo-title{padding:0 16px}.header-separator{flex:1 1 auto}.user-img{width:36px;height:36px;border-radius:50%}.user-name{font:300 14px/20px \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;padding:0 16px 0 8px}.fab-menu-panel{width:340px;background:#fff;box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.tab-link,.tab-links{height:55px}.tab-link.mat-tab-label-active{opacity:1}::ng-deep .mat-tab-links{background:0 0!important}.item-selected{background-color:#303f9f;font-weight:700}.badge-offset .mat-badge-content{right:-7px!important;top:-7px!important}"]
            }] }
];
/** @nocollapse */
HeaderComponent.ctorParameters = () => [
    { type: Overlay },
    { type: Router },
    { type: MenuService },
    { type: UniversalService },
    { type: DeactivateGuard }
];
HeaderComponent.propDecorators = {
    appTitle: [{ type: Input }],
    logoSource: [{ type: Input }],
    flatMenuItems: [{ type: Input }],
    iconMenuItems: [{ type: Input }],
    userName: [{ type: Input }],
    userImageUrl: [{ type: Input }],
    currentMainComponent: [{ type: Input }],
    sideMenuToggle: [{ type: Output }],
    notifyCenterOpen: [{ type: Output }],
    activeMenuItem: [{ type: Output }],
    toggleButtonRef: [{ type: ViewChild, args: ['toggleButton', { static: false },] }]
};
if (false) {
    /** @type {?} */
    HeaderComponent.prototype.appTitle;
    /** @type {?} */
    HeaderComponent.prototype.logoSource;
    /** @type {?} */
    HeaderComponent.prototype.flatMenuItems;
    /** @type {?} */
    HeaderComponent.prototype.iconMenuItems;
    /** @type {?} */
    HeaderComponent.prototype.userName;
    /** @type {?} */
    HeaderComponent.prototype.userImageUrl;
    /** @type {?} */
    HeaderComponent.prototype.currentMainComponent;
    /** @type {?} */
    HeaderComponent.prototype.sideMenuToggle;
    /** @type {?} */
    HeaderComponent.prototype.notifyCenterOpen;
    /** @type {?} */
    HeaderComponent.prototype.activeMenuItem;
    /** @type {?} */
    HeaderComponent.prototype.toggleButtonRef;
    /** @type {?} */
    HeaderComponent.prototype.selectedTopMenuItem;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent.prototype.overlay;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent.prototype.router;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent.prototype.menuService;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent.prototype.universalService;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent.prototype.deactivateGuard;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/base/viewport-base.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ViewportBase {
    /**
     * @param {?} universalService
     * @param {?} menuService
     * @param {?} fetchService
     */
    constructor(universalService, menuService, fetchService) {
        this.universalService = universalService;
        this.menuService = menuService;
        this.fetchService = fetchService;
        this.hideNaviBreadcrump = false;
        this.initLoading = false;
    }
    /**
     * @return {?}
     */
    get routeActivating() {
        return UniversalService.ROUTE_ACTIVATE || this.initLoading;
    }
    /**
     * @return {?}
     */
    onInit() {
        this.userName = this.universalService.getUserName() || '匿名用户';
        this.userImageUrl = this.universalService.getUserImage() || 'assets/images/user_img.png';
        this.menuService.menuDataChanged.subscribe((/**
         * @return {?}
         */
        () => {
            this.menuService.getTopMenuItems().subscribe((/**
             * @param {?} items
             * @return {?}
             */
            items => {
                /** @type {?} */
                let activeTopMenu;
                if (items.length > 0) {
                    activeTopMenu = this.menuService.activeTopMenuChanged.getValue() || items[0];
                }
                this.menuService.updateActiveTopMenu(activeTopMenu);
                this.topFlatMenuItems = filter$1(items, ['type', '1']);
                this.topIconMenuItems = filter$1(items, ['type', '2']);
            }));
        }));
    }
    /**
     * @param {?} component
     * @return {?}
     */
    onRouterOutletDeactivate(component) {
        this.initLoading = true;
    }
    /**
     * @param {?} component
     * @return {?}
     */
    onRouterOutletActivate(component) {
        this.currentMainComponent = component;
        this.hideNaviBreadcrump = !!component['hideNaviBreadcrump'];
        this.fetchService.loadingStatusChange.pipe(debounceTime(10)).subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            if (res.size === 0) {
                this.initLoading = false;
            }
        }));
    }
}
if (false) {
    /** @type {?} */
    ViewportBase.prototype.userName;
    /** @type {?} */
    ViewportBase.prototype.userImageUrl;
    /** @type {?} */
    ViewportBase.prototype.topFlatMenuItems;
    /** @type {?} */
    ViewportBase.prototype.topIconMenuItems;
    /** @type {?} */
    ViewportBase.prototype.currentMainComponent;
    /** @type {?} */
    ViewportBase.prototype.hideNaviBreadcrump;
    /** @type {?} */
    ViewportBase.prototype.initLoading;
    /**
     * @type {?}
     * @protected
     */
    ViewportBase.prototype.universalService;
    /**
     * @type {?}
     * @protected
     */
    ViewportBase.prototype.menuService;
    /**
     * @type {?}
     * @protected
     */
    ViewportBase.prototype.fetchService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/default/default-viewport.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DefaultViewportComponent extends ViewportBase {
    /**
     * @param {?} universalService
     * @param {?} menuService
     * @param {?} fetchService
     */
    constructor(universalService, menuService, fetchService) {
        super(universalService, menuService, fetchService);
        this.universalService = universalService;
        this.menuService = menuService;
        this.fetchService = fetchService;
        this.appTitle = this.universalService.appTitle;
        this.logoSource = this.universalService.logoSrc;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.onInit();
    }
    /**
     * @return {?}
     */
    toggleSideMenu() {
        if (this.sideMenuVisible) {
            this.sideMenu.toggle();
        }
    }
    /**
     * @return {?}
     */
    openNotifyCenter() {
        this.noticeCenter.open();
    }
    /**
     * @param {?} item
     * @return {?}
     */
    activeTopMenu(item) {
        this.sideMenuVisible = !!item.subnodeCnt;
        this.updateSideMenu(item);
        if (this.sideMenuVisible && !this.sideMenu.opened) {
            this.sideMenu.setSideMenuVisible(true);
        }
    }
    /**
     * @param {?} item
     * @return {?}
     */
    updateSideMenu(item) {
        this.sideMenuVisible = !!item.subnodeCnt;
        if (!this.sideMenuVisible) {
            this.sideMenuData = null;
            this.sideMenu.setSideMenuVisible(false);
            return;
        }
        /** @type {?} */
        const id = !item ? '0' : item.id;
        this.menuService.getSubMenuData(id).subscribe((/**
         * @param {?} menuItem
         * @return {?}
         */
        menuItem => {
            if (!menuItem) {
                this.sideMenuData = null;
                this.sideMenu.setSideMenuVisible(false);
            }
            else {
                this.sideMenuData = menuItem;
            }
        }), (/**
         * @param {?} error
         * @return {?}
         */
        error => {
            console.error(error);
            this.sideMenuData = null;
            this.sideMenu.setSideMenuVisible(false);
        }));
    }
}
DefaultViewportComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-viewport-default',
                template: "<mat-drawer-container fullscreen [hasBackdrop]=\"true\">\r\n    <mat-drawer-content [ngClass]=\"{'main-content': true, 'blur-filter': noticeCenter.opened}\">\r\n        <up-header-default #header\r\n                    [appTitle]=\"appTitle\"\r\n                    [logoSource]=\"logoSource\"\r\n                    [userName]=\"userName\"\r\n                    [userImageUrl]=\"userImageUrl\"\r\n                    [flatMenuItems]=\"topFlatMenuItems\"\r\n                    [iconMenuItems]=\"topIconMenuItems\"\r\n                    [currentMainComponent]=\"currentMainComponent\"\r\n                    (activeMenuItem)=\"activeTopMenu($event)\"\r\n                    (notifyCenterOpen)=\"openNotifyCenter()\"></up-header-default>\r\n        <div fixedInViewport=\"true\" style=\"margin-top: 55px; width: 100%; height: calc(100% - 55px);\">\r\n            <up-side-menu #sideMenu initMode=\"collapse\" [sideMenuData]=\"sideMenuData\">\r\n                <div content style=\"width: 100%; height: 100%;\">\r\n                    <mat-progress-bar *ngIf=\"routeActivating\" class=\"loading-progress-bar\" color=\"accent\" mode=\"indeterminate\"></mat-progress-bar>\r\n                    <div [ngClass]=\"{'transitioning': routeActivating}\"\r\n                         style=\"height: 100%; opacity: 1; transition: all 200ms ease-in-out 0s;\">\r\n                        <router-outlet [ngClass]=\"{'blur-filter': routeActivating}\"\r\n                                       (deactivate)=\"onRouterOutletDeactivate($event)\"\r\n                                       (activate)=\"onRouterOutletActivate($event)\">\r\n                        </router-outlet>\r\n                    </div>\r\n                </div>\r\n            </up-side-menu>\r\n        </div>\r\n    </mat-drawer-content>\r\n    <mat-drawer #noticeCenter\r\n                [mode]=\"'over'\"\r\n                [opened]=\"false\"\r\n                [position]=\"'end'\"\r\n                fixedInViewport=\"true\"\r\n                class=\"notify-center-filtered\">\r\n        <ng-content select=\"[notifyCenter]\"></ng-content>\r\n        <!--<up-notification-center></up-notification-center>-->\r\n    </mat-drawer>\r\n</mat-drawer-container>\r\n\r\n\r\n\r\n",
                styles: [".mat-sidenav-container{height:calc(100% - 55px);margin-top:55px}.main-content{overflow-x:hidden!important}.mat-sidenav{width:300px;margin-top:55px;box-shadow:3px 0 6px rgba(0,0,0,.24);background:#32404e}.mat-sidenav::-webkit-scrollbar{height:0;width:0}.mat-sidenav::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 0 transparent}.mat-sidenav::-webkit-scrollbar-thumb{background-color:transparent}.notify-center-filtered{width:350px;background:rgba(255,255,255,.8)}.blur-filter{-moz-filter:blur(3px);-webkit-filter:blur(3px);-o-filter:blur(3px);-ms-filter:blur(3px);filter:blur(3px)}.loading-progress-bar{position:absolute;top:0}.transitioning{opacity:.1!important}"]
            }] }
];
/** @nocollapse */
DefaultViewportComponent.ctorParameters = () => [
    { type: UniversalService },
    { type: MenuService },
    { type: FetchService }
];
DefaultViewportComponent.propDecorators = {
    appTitle: [{ type: Input }],
    logoSource: [{ type: Input }],
    noticeCenter: [{ type: ViewChild, args: ['noticeCenter', { static: false },] }],
    header: [{ type: ViewChild, args: ['header', { static: false },] }],
    sideMenu: [{ type: ViewChild, args: ['sideMenu', { static: true },] }]
};
if (false) {
    /** @type {?} */
    DefaultViewportComponent.prototype.sideMenuVisible;
    /** @type {?} */
    DefaultViewportComponent.prototype.sideMenuData;
    /** @type {?} */
    DefaultViewportComponent.prototype.appTitle;
    /** @type {?} */
    DefaultViewportComponent.prototype.logoSource;
    /** @type {?} */
    DefaultViewportComponent.prototype.noticeCenter;
    /** @type {?} */
    DefaultViewportComponent.prototype.header;
    /** @type {?} */
    DefaultViewportComponent.prototype.sideMenu;
    /**
     * @type {?}
     * @protected
     */
    DefaultViewportComponent.prototype.universalService;
    /**
     * @type {?}
     * @protected
     */
    DefaultViewportComponent.prototype.menuService;
    /**
     * @type {?}
     * @protected
     */
    DefaultViewportComponent.prototype.fetchService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/rate/rate.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class RateComponent {
    /**
     * @param {?} renderer
     */
    constructor(renderer) {
        this.renderer = renderer;
        this._allowClear = true;
        this._allowHalf = false;
        this._disabled = false;
        this._count = 5;
        this._value = 0;
        this._autoFocus = false;
        this.rateOnBlur = new EventEmitter();
        this.rateOnFocus = new EventEmitter();
        this.keyDown = new EventEmitter();
        this.hoverChange = new EventEmitter();
        this.prefixCls = 'rate';
        this.isInit = false;
        this.hasHalf = false;
        this.innerPrefixCls = `${this.prefixCls}-star`;
        this.starArray = [];
        this.hoverValue = 0;
        this.isFocused = false;
        this.floatReg = /^\d+(\.\d+)?$/;
        this.onChange = (/**
         * @return {?}
         */
        () => undefined);
        this.onTouched = (/**
         * @return {?}
         */
        () => undefined);
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set autoFocus(value) {
        this._autoFocus = value !== undefined;
        this.updateAutoFocus();
    }
    /**
     * @return {?}
     */
    get autoFocus() {
        return this._autoFocus;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set count(value) {
        if (this._count === value) {
            return;
        }
        this._count = value;
        this.updateStarArray();
    }
    /**
     * @return {?}
     */
    get count() {
        return this._count;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set allowHalf(value) {
        this._allowHalf = value !== undefined;
    }
    /**
     * @return {?}
     */
    get allowHalf() {
        return this._allowHalf;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set allowClear(value) {
        this._allowClear = value !== undefined;
    }
    /**
     * @return {?}
     */
    get allowClear() {
        return this._allowClear;
    }
    /**
     * @return {?}
     */
    get value() {
        return this._value;
    }
    /**
     * @param {?} input
     * @return {?}
     */
    set value(input) {
        /** @type {?} */
        let value = input;
        if (this._value === value) {
            return;
        }
        this._value = value;
        if (this.floatReg.test(value.toString())) {
            value += 0.5;
            this.hasHalf = true;
        }
        this.hoverValue = value;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set disabled(value) {
        this._disabled = value !== undefined;
        this.setClassMap();
    }
    /**
     * @return {?}
     */
    get disabled() {
        return this._disabled;
    }
    /**
     * @return {?}
     */
    setClassMap() {
        this.classMap = {
            [this.prefixCls]: true,
            [`${this.prefixCls}-disabled`]: this.disabled
        };
    }
    /**
     * @return {?}
     */
    updateAutoFocus() {
        if (this.isInit && !this.disabled) {
            if (this.autoFocus) {
                this.renderer.setAttribute(this.ulElement.nativeElement, 'autofocus', 'autofocus');
            }
            else {
                this.renderer.removeAttribute(this.ulElement.nativeElement, 'autofocus');
            }
        }
    }
    /**
     * @param {?} e
     * @param {?} index
     * @param {?} isFull
     * @return {?}
     */
    clickRate(e, index, isFull) {
        e.stopPropagation();
        if (this.disabled) {
            return;
        }
        this.hasHalf = !isFull && this.allowHalf;
        /** @type {?} */
        let actualValue = index + 1;
        this.hoverValue = actualValue;
        if (this.hasHalf) {
            actualValue -= 0.5;
        }
        if (this.value === actualValue) {
            if (this.allowClear) {
                this.value = 0;
                this.onChange(this.value);
            }
        }
        else {
            this.value = actualValue;
            this.onChange(this.value);
        }
    }
    /**
     * @param {?} e
     * @param {?} index
     * @param {?} isFull
     * @return {?}
     */
    hoverRate(e, index, isFull) {
        e.stopPropagation();
        if (this.disabled) {
            return;
        }
        /** @type {?} */
        const isHalf = !isFull && this.allowHalf;
        if (this.hoverValue === index + 1 && isHalf === this.hasHalf) {
            return;
        }
        this.hoverValue = index + 1;
        this.hoverChange.emit(this.hoverValue);
        this.hasHalf = isHalf;
    }
    /**
     * @param {?} e
     * @return {?}
     */
    leaveRate(e) {
        e.stopPropagation();
        /** @type {?} */
        let oldVal = this.value;
        if (this.floatReg.test(oldVal.toString())) {
            oldVal += 0.5;
            this.hasHalf = true;
        }
        this.hoverValue = oldVal;
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onFocus(e) {
        this.isFocused = true;
        this.rateOnFocus.emit(e);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onBlur(e) {
        this.isFocused = false;
        this.rateOnBlur.emit(e);
    }
    /**
     * @return {?}
     */
    focus() {
        this.ulElement.nativeElement.focus();
    }
    /**
     * @return {?}
     */
    blur() {
        this.ulElement.nativeElement.blur();
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onKeyDown(e) {
        /** @type {?} */
        const code = e.code;
        if ((code === 'ArrowRight' || e.keyCode === 39) && (this.value < this.count)) {
            if (this.allowHalf) {
                this.value += 0.5;
            }
            else {
                this.value += 1;
            }
            this.onChange(this.value);
        }
        else if ((code === 'ArrowLeft' || e.keyCode === 37) && (this.value > 0)) {
            if (this.allowHalf) {
                this.value -= 0.5;
            }
            else {
                this.value -= 1;
            }
            this.onChange(this.value);
        }
        this.keyDown.emit(e);
        e.preventDefault();
    }
    /**
     * @param {?} i
     * @return {?}
     */
    setClasses(i) {
        return {
            [this.innerPrefixCls]: true,
            [`${this.innerPrefixCls}-full`]: (i + 1 < this.hoverValue) || (!this.hasHalf) && (i + 1 === this.hoverValue),
            [`${this.innerPrefixCls}-half`]: (this.hasHalf) && (i + 1 === this.hoverValue),
            [`${this.innerPrefixCls}-active`]: (this.hasHalf) && (i + 1 === this.hoverValue),
            [`${this.innerPrefixCls}-zero`]: (i + 1 > this.hoverValue),
            [`${this.innerPrefixCls}-focused`]: (this.hasHalf) && (i + 1 === this.hoverValue) && this.isFocused
        };
    }
    /**
     * @return {?}
     */
    updateStarArray() {
        /** @type {?} */
        let index = 0;
        this.starArray = [];
        while (index < this.count) {
            this.starArray.push(index++);
        }
    }
    /**
     * @param {?} value
     * @return {?}
     */
    writeValue(value) {
        this.value = value || 0;
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnChange(fn) {
        this.onChange = fn;
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    /**
     * @param {?} isDisabled
     * @return {?}
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.setClassMap();
        this.updateStarArray();
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        this.isInit = true;
    }
}
RateComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-rate',
                preserveWhitespaces: false,
                template: "<ng-template #defaultCharacter>\r\n    <mat-icon>star</mat-icon>\r\n</ng-template>\r\n<ul\r\n        #ulElement\r\n        [ngClass]=\"classMap\"\r\n        (mouseleave)=\"leaveRate($event)\"\r\n        (focus)=\"onFocus($event)\"\r\n        (blur)=\"onBlur($event)\"\r\n        (keydown)=\"onKeyDown($event)\"\r\n        [tabindex]=\"disabled?-1:1\">\r\n    <li *ngFor=\"let star of starArray\"\r\n        [ngClass]=\"setClasses(star)\"\r\n        (mouseover)=\"hoverRate($event, star, true)\"\r\n        (click)=\"clickRate($event, star, true)\">\r\n        <div class=\"rate-star-first\" (mouseover)=\"hoverRate($event, star, false)\" (click)=\"clickRate($event, star, false)\">\r\n            <ng-template [ngTemplateOutlet]=\"character||defaultCharacter\"></ng-template>\r\n        </div>\r\n        <div class=\"rate-star-second\" (mouseover)=\"hoverRate($event, star, true)\" (click)=\"clickRate($event, star, true)\">\r\n            <ng-template [ngTemplateOutlet]=\"character||defaultCharacter\"></ng-template>\r\n        </div>\r\n    </li>\r\n</ul>\r\n",
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => RateComponent)),
                        multi: true
                    }
                ],
                styles: [".rate{line-height:unset;margin:0;padding:0;list-style:none;font-size:20px;display:inline-block;color:#fadb14;outline:0}.rate-star{margin:0 6px 0 0;padding:0;display:inline-block;position:relative;transition:.3s;color:inherit;cursor:pointer}.rate-disabled .rate-star{cursor:default}.rate-disabled .rate-star:hover{transform:scale(1)}.rate-star:focus{outline:0}.rate-star:focus,.rate-star:hover{transform:scale(1.1)}.rate-star-first,.rate-star-second{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;transition:.3s;color:#e8e8e8;vertical-align:middle}.rate-star-first{position:absolute;left:0;top:0;width:50%;height:100%;overflow:hidden;opacity:0}.rate-star-half .rate-star-first,.rate-star-half .rate-star-second{opacity:1}.rate-star-full .rate-star-second,.rate-star-half .rate-star-first{color:inherit}.rate-text{margin-left:6px;display:inline-block}"]
            }] }
];
/** @nocollapse */
RateComponent.ctorParameters = () => [
    { type: Renderer2 }
];
RateComponent.propDecorators = {
    character: [{ type: Input }],
    rateOnBlur: [{ type: Output }],
    rateOnFocus: [{ type: Output }],
    keyDown: [{ type: Output }],
    hoverChange: [{ type: Output }],
    ulElement: [{ type: ViewChild, args: ['ulElement', { static: false },] }],
    autoFocus: [{ type: Input }],
    count: [{ type: Input }],
    allowHalf: [{ type: Input }],
    allowClear: [{ type: Input }],
    disabled: [{ type: Input }]
};
if (false) {
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._allowClear;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._allowHalf;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._disabled;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._count;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._value;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype._autoFocus;
    /** @type {?} */
    RateComponent.prototype.character;
    /** @type {?} */
    RateComponent.prototype.rateOnBlur;
    /** @type {?} */
    RateComponent.prototype.rateOnFocus;
    /** @type {?} */
    RateComponent.prototype.keyDown;
    /** @type {?} */
    RateComponent.prototype.hoverChange;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype.ulElement;
    /** @type {?} */
    RateComponent.prototype.prefixCls;
    /** @type {?} */
    RateComponent.prototype.isInit;
    /** @type {?} */
    RateComponent.prototype.hasHalf;
    /** @type {?} */
    RateComponent.prototype.innerPrefixCls;
    /** @type {?} */
    RateComponent.prototype.classMap;
    /** @type {?} */
    RateComponent.prototype.starArray;
    /** @type {?} */
    RateComponent.prototype.hoverValue;
    /** @type {?} */
    RateComponent.prototype.isFocused;
    /** @type {?} */
    RateComponent.prototype.floatReg;
    /** @type {?} */
    RateComponent.prototype.onChange;
    /** @type {?} */
    RateComponent.prototype.onTouched;
    /**
     * @type {?}
     * @private
     */
    RateComponent.prototype.renderer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/breadcrumb/breadcrumb.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BreadcrumbComponent {
    constructor() {
        this.rootLabel = 'root';
        this.model = 'flat';
        this.restrictLevel = 0;
        this.active = new EventEmitter();
        this.selectedTrigger = new EventEmitter();
        this.flatBreadcrumpItems = [];
        this.selectedItems = [];
        this._initialized = false;
        this._maxLevel = 0;
    }
    /**
     * @param {?} item
     * @return {?}
     */
    set selectedItem(item) {
        this._selectedItem = item;
        if (this._initialized) {
            this.updateSelection(item);
        }
    }
    /**
     * @param {?} data
     * @return {?}
     */
    set dataSource(data) {
        data.subscribe((/**
         * @param {?} result
         * @return {?}
         */
        result => {
            this.flatBreadcrumpItems = Array.isArray(result) ? result : this.flatConvert(result);
            this.addRoot();
            this.cleanUnsatisfy();
            this.updateSelection(this._selectedItem);
            this._initialized = true;
        }));
    }
    /**
     * @private
     * @param {?} tree
     * @return {?}
     */
    flatConvert(tree) {
        /** @type {?} */
        let result = [];
        if (Array.isArray(tree.children) && tree.children.length > 0) {
            tree.children.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => result = result.concat(this.flatConvert(item))));
            delete tree.children;
        }
        result = result.concat(tree);
        return result;
    }
    /**
     * @private
     * @return {?}
     */
    addRoot() {
        if (!this.getItemsByLevel(0) || this.getItemsByLevel(0).length <= 0) {
            /** @type {?} */
            const id = this.getItemsByLevel(1)[0].pid;
            this.flatBreadcrumpItems.push({
                id: id,
                name: this.rootLabel,
                level: 0,
                pid: '',
                childrenCnt: this.getItemsByLevel(1).length
            });
        }
    }
    /**
     * @private
     * @return {?}
     */
    cleanUnsatisfy() {
        if (this.restrictLevel <= 0) {
            return;
        }
        // 去除低级节点
        this.flatBreadcrumpItems = this.flatBreadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.level <= this.restrictLevel;
        }));
        /** @type {?} */
        let result = this.flatBreadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.level === this.restrictLevel;
        }));
        /** @type {?} */
        let level = this.restrictLevel;
        while (level > 0) {
            /** @type {?} */
            const temp = result.filter((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                return item.level === level;
            }));
            /** @type {?} */
            const pids = [];
            temp.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                pids.push(item.pid);
            }));
            result = result.concat(this.flatBreadcrumpItems.filter((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                return item.level === level - 1 && pids.indexOf(item.id) >= 0;
            })));
            level--;
        }
        this.flatBreadcrumpItems = result;
    }
    /**
     * @private
     * @param {?} selectedItem
     * @return {?}
     */
    updateSelection(selectedItem) {
        /** @type {?} */
        let item;
        if (this.restrictLevel > 0) {
            item = selectedItem ? selectedItem : this.getItemsByLevel(this.restrictLevel)[0];
            this.selectedItems[this.restrictLevel] = item;
        }
        else {
            this.selectedItems = [];
            item = selectedItem ? selectedItem : this.getItemsByLevel(0)[0];
            this.selectedItems[item.level] = item;
        }
        /** @type {?} */
        let pid = item.pid;
        /** @type {?} */
        let level = item.level - 1;
        while (level >= 0) {
            item = this.getItemById(pid);
            this.selectedItems[level] = item;
            pid = item.pid;
            level--;
        }
    }
    /**
     * @private
     * @param {?} level
     * @return {?}
     */
    getItemsByLevel(level) {
        return this.flatBreadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.level === level;
        }));
    }
    /**
     * @private
     * @param {?} id
     * @return {?}
     */
    getItemById(id) {
        return this.flatBreadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.id === id;
        }))[0];
    }
    /**
     * @private
     * @param {?} root
     * @return {?}
     */
    getSubItems(root) {
        return this.flatBreadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.pid === root.id;
        }));
    }
    // private getSubItems(pid: string): BreadcrumpItemModel[] {
    //     return this.flatBreadcrumpItems.filter(item => {return item.pid == pid;});
    // }
    /**
     * @private
     * @param {?} level
     * @return {?}
     */
    getSelectedItem(level) {
        return this.selectedItems[level];
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onActive(item) {
        this.updateSelection(item);
        this.active.emit(item);
    }
    /**
     * @param {?} item
     * @param {?} hasMenu
     * @return {?}
     */
    onTrigger(item, hasMenu) {
        this.selectedTrigger.emit({ item: item, hasMenu: hasMenu });
    }
}
BreadcrumbComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-breadcrumb',
                template: "<ng-container *ngFor=\"let item of selectedItems; index as i\">\r\n    <ng-container *ngIf=\"(restrictLevel > 0 && i < restrictLevel) || (restrictLevel <= 0 && item.childrenCnt > 0); else noMenuTrigger\">\r\n        <button mat-button (click)=\"onTrigger(item, true)\" [matMenuTriggerFor]=\"main_menu\" class=\"menu-trigger-btn\">\r\n            <mat-icon *ngIf=\"item.icon\">{{item.icon}}</mat-icon>{{item.name}}\r\n            <mat-icon>chevron_right</mat-icon>\r\n        </button>\r\n    </ng-container>\r\n    <ng-template #noMenuTrigger>\r\n        <button mat-button (click)=\"onTrigger(item, false)\">\r\n            <mat-icon *ngIf=\"item.icon\">{{item.icon}}</mat-icon>\r\n            {{item.name}}\r\n        </button>\r\n    </ng-template>\r\n    <mat-menu #main_menu=\"matMenu\">\r\n        <up-breadcrumb-nested-menu (active)=\"onActive($event)\" [item]=\"item\" [breadcrumpItems]=\"flatBreadcrumpItems\" [restrictLevel]=\"restrictLevel\"></up-breadcrumb-nested-menu>\r\n    </mat-menu>\r\n</ng-container>\r\n\r\n",
                styles: [".menu-trigger-btn{padding-right:0}"]
            }] }
];
BreadcrumbComponent.propDecorators = {
    rootLabel: [{ type: Input }],
    model: [{ type: Input }],
    restrictLevel: [{ type: Input }],
    selectedItem: [{ type: Input }],
    dataSource: [{ type: Input }],
    active: [{ type: Output }],
    selectedTrigger: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    BreadcrumbComponent.prototype.rootLabel;
    /** @type {?} */
    BreadcrumbComponent.prototype.model;
    /** @type {?} */
    BreadcrumbComponent.prototype.restrictLevel;
    /** @type {?} */
    BreadcrumbComponent.prototype.active;
    /** @type {?} */
    BreadcrumbComponent.prototype.selectedTrigger;
    /** @type {?} */
    BreadcrumbComponent.prototype.flatBreadcrumpItems;
    /** @type {?} */
    BreadcrumbComponent.prototype.selectedItems;
    /** @type {?} */
    BreadcrumbComponent.prototype._selectedItem;
    /** @type {?} */
    BreadcrumbComponent.prototype._initialized;
    /** @type {?} */
    BreadcrumbComponent.prototype._maxLevel;
}
class BreadcrumbNestedMenuComponent {
    constructor() {
        this.active = new EventEmitter();
    }
    /**
     * @param {?} level
     * @return {?}
     */
    getItemsByLevel(level) {
        return this.breadcrumpItems.filter((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            return item.level === level && item.pid === this.item.id;
        }));
    }
    /**
     * @param {?} item
     * @return {?}
     */
    updateSelection(item) {
        this.active.emit(item);
    }
}
BreadcrumbNestedMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-breadcrumb-nested-menu',
                template: `
        <ng-container *ngFor="let mainItem of getItemsByLevel(item.level + 1)">
            <div *ngIf="(restrictLevel > 0 && mainItem.level < restrictLevel) || (restrictLevel <= 0 && mainItem.childrenCnt > 0); else no_trigger">
                <button mat-menu-item [matMenuTriggerFor]="sub_menu">
                    <mat-icon>{{mainItem.icon}}</mat-icon>
                    {{mainItem.name}}
                </button>
                <mat-menu #sub_menu="matMenu">
                    <up-breadcrumb-nested-menu (active)="updateSelection($event)" [item]="mainItem" [breadcrumpItems]="breadcrumpItems"
                                               [restrictLevel]="restrictLevel"></up-breadcrumb-nested-menu>
                </mat-menu>
            </div>
            <ng-template #no_trigger>
                <button mat-menu-item (click)="updateSelection(mainItem)">
                    <mat-icon>{{mainItem.icon}}</mat-icon>
                    {{mainItem.name}}
                </button>
            </ng-template>
        </ng-container>
    `
            }] }
];
BreadcrumbNestedMenuComponent.propDecorators = {
    item: [{ type: Input }],
    breadcrumpItems: [{ type: Input }],
    restrictLevel: [{ type: Input }],
    active: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    BreadcrumbNestedMenuComponent.prototype.item;
    /** @type {?} */
    BreadcrumbNestedMenuComponent.prototype.breadcrumpItems;
    /** @type {?} */
    BreadcrumbNestedMenuComponent.prototype.restrictLevel;
    /** @type {?} */
    BreadcrumbNestedMenuComponent.prototype.active;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/breadcrumb/breadcrup.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BreadcrumbModule {
}
BreadcrumbModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    BreadcrumbNestedMenuComponent,
                    BreadcrumbComponent
                ],
                exports: [
                    BreadcrumbComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/pipes/innerhtml-pipe.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class InnerHtmlPipe {
    /**
     * @param {?} sanitizer
     */
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    /**
     * @param {?} style
     * @return {?}
     */
    transform(style) {
        return this.sanitizer.bypassSecurityTrustHtml(style);
    }
}
InnerHtmlPipe.decorators = [
    { type: Pipe, args: [{
                name: 'html'
            },] }
];
/** @nocollapse */
InnerHtmlPipe.ctorParameters = () => [
    { type: DomSanitizer }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    InnerHtmlPipe.prototype.sanitizer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/pipes/pipes.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class PipesModule {
}
PipesModule.decorators = [
    { type: NgModule, args: [{
                imports: [],
                declarations: [
                    InnerHtmlPipe
                ],
                exports: [
                    InnerHtmlPipe
                ],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/notification/notification.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NotificationModule {
}
NotificationModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    // SharedModule,
                    SharedMaterialModule,
                    PipesModule
                ],
                declarations: [
                    NotifyTipComponent,
                    NotifyPopupComponent
                ],
                exports: [
                    NotifyTipComponent,
                    NotifyPopupComponent
                ],
                providers: [
                    NotifyService
                ],
                entryComponents: [
                    NotifyTipComponent,
                    NotifyPopupComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/custom-input/custom-input.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MainInput {
    /**
     * @param {?} firstField
     * @param {?} secondField
     */
    constructor(firstField, secondField) {
        this.firstField = firstField;
        this.secondField = secondField;
    }
}
if (false) {
    /** @type {?} */
    MainInput.prototype.firstField;
    /** @type {?} */
    MainInput.prototype.secondField;
}
/**
 * Custom `MatFormFieldControl` for telephone number input.
 */
class CustomInputComponent {
    /**
     * @param {?} fb
     * @param {?} fm
     * @param {?} elRef
     */
    constructor(fb, fm, elRef) {
        this.fm = fm;
        this.elRef = elRef;
        this.stateChanges = new Subject();
        this.focused = false;
        this.ngControl = null;
        this.errorState = false;
        this.controlType = 'custom-input';
        this.id = `custom-input-${CustomInputComponent.nextId++}`;
        this.describedBy = '';
        this._required = false;
        this._disabled = false;
        this.parts = fb.group({
            firstField: '',
            secondField: ''
        });
        fm.monitor(elRef.nativeElement, true).subscribe((/**
         * @param {?} origin
         * @return {?}
         */
        origin => {
            this.focused = !!origin;
            this.stateChanges.next();
        }));
    }
    /**
     * @return {?}
     */
    get empty() {
        const { value: { firstField, secondField } } = this.parts;
        return !firstField && !secondField;
    }
    /**
     * @return {?}
     */
    get shouldLabelFloat() {
        return this.focused || !this.empty;
    }
    /**
     * @return {?}
     */
    get placeholder() {
        return this._placeholder;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set placeholder(value) {
        this._placeholder = value;
        this.stateChanges.next();
    }
    /**
     * @return {?}
     */
    get required() {
        return this._required;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set required(value) {
        this._required = coerceBooleanProperty(value);
        this.stateChanges.next();
    }
    /**
     * @return {?}
     */
    get disabled() {
        return this._disabled;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set disabled(value) {
        this._disabled = coerceBooleanProperty(value);
        this.stateChanges.next();
    }
    /**
     * @return {?}
     */
    get value() {
        const { value: { firstField, secondField } } = this.parts;
        return new MainInput(firstField, secondField);
    }
    /**
     * @param {?} x
     * @return {?}
     */
    set value(x) {
        const { firstField, secondField } = x || new MainInput('', '');
        this.parts.setValue({ firstField, secondField });
        this.stateChanges.next();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.stateChanges.complete();
        this.fm.stopMonitoring(this.elRef.nativeElement);
    }
    /**
     * @param {?} ids
     * @return {?}
     */
    setDescribedByIds(ids) {
        this.describedBy = ids.join(' ');
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onContainerClick(event) {
        if (((/** @type {?} */ (event.target))).tagName.toLowerCase() !== 'input') {
            (/** @type {?} */ (this.elRef.nativeElement.querySelector('input'))).focus();
        }
    }
}
CustomInputComponent.nextId = 0;
CustomInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-custom-input',
                template: "<div [formGroup]=\"parts\" class=\"custom-input-container\">\r\n    <input class=\"custom-input-element\" formControlName=\"firstField\" size=\"13\">\r\n    <span class=\"custom-input-spacer\">&ndash;</span>\r\n    <input class=\"custom-input-element\" formControlName=\"secondField\" size=\"13\">\r\n</div>",
                providers: [{ provide: MatFormFieldControl, useExisting: CustomInputComponent }],
                host: {
                    '[class.example-floating]': 'shouldLabelFloat',
                    '[id]': 'id',
                    '[attr.aria-describedby]': 'describedBy'
                },
                styles: [`
        .custom-input-container {
            display: flex;
        }
      
        .custom-input-element {
            border: none;
            background: none;
            padding: 0;
            outline: none;
            font: inherit;
            text-align: center;
        }
      
        .custom-input-spacer {
            opacity: 0;
            transition: opacity 200ms;
        }
      
        :host.example-floating .custom-input-spacer {
            opacity: 1;
        }`]
            }] }
];
/** @nocollapse */
CustomInputComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: FocusMonitor },
    { type: ElementRef }
];
CustomInputComponent.propDecorators = {
    placeholder: [{ type: Input }],
    required: [{ type: Input }],
    disabled: [{ type: Input }],
    value: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    CustomInputComponent.nextId;
    /** @type {?} */
    CustomInputComponent.prototype.parts;
    /** @type {?} */
    CustomInputComponent.prototype.stateChanges;
    /** @type {?} */
    CustomInputComponent.prototype.focused;
    /** @type {?} */
    CustomInputComponent.prototype.ngControl;
    /** @type {?} */
    CustomInputComponent.prototype.errorState;
    /** @type {?} */
    CustomInputComponent.prototype.controlType;
    /** @type {?} */
    CustomInputComponent.prototype.id;
    /** @type {?} */
    CustomInputComponent.prototype.describedBy;
    /**
     * @type {?}
     * @private
     */
    CustomInputComponent.prototype._placeholder;
    /**
     * @type {?}
     * @private
     */
    CustomInputComponent.prototype._required;
    /**
     * @type {?}
     * @private
     */
    CustomInputComponent.prototype._disabled;
    /**
     * @type {?}
     * @private
     */
    CustomInputComponent.prototype.fm;
    /**
     * @type {?}
     * @private
     */
    CustomInputComponent.prototype.elRef;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/nested-multiple-selection/nested-selection-datasource.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import * as _ from 'lodash';
/**
 * @template T
 */
class NestedSelectionDatasource extends DataSource {
    /**
     * @param {?} dataStream
     */
    constructor(dataStream) {
        super();
        this.dataStream = dataStream;
        this._unsubscribe = new Subject();
    }
    /**
     * @return {?}
     */
    connect() {
        if (this._data) {
            return of(this._data);
        }
        return this.dataStream;
    }
    /**
     * @return {?}
     */
    disconnect() {
        this._unsubscribe.next();
        this._unsubscribe.complete();
    }
    /**
     * @param {?} id
     * @return {?}
     */
    lookup(id) {
        return this.find('id', id).pipe(map$1((/**
         * @param {?} res
         * @return {?}
         */
        res => res[0])));
    }
    /**
     * @param {?} parentId
     * @return {?}
     */
    findChildren(parentId) {
        return this.find('pid', parentId);
    }
    /*hasChildren(item: NestedSelectionItemModel): boolean {
            return _.findIndex(this._data, [this.parentIdField, item[this.idField]]) >= 0;
        }*/
    /**
     * @private
     * @param {?} field
     * @param {?} value
     * @return {?}
     */
    find(field, value) {
        // if (this._data) {
        //     return of(_.filter(this._data, [field, value]));
        // }
        return this.connect().pipe(map$1((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            this._data = res;
            return res.filter((/**
             * @param {?} r
             * @return {?}
             */
            r => r[field] === value));
        })), takeUntil(this._unsubscribe));
    }
}
if (false) {
    /**
     * @type {?}
     * @private
     */
    NestedSelectionDatasource.prototype._data;
    /**
     * @type {?}
     * @private
     */
    NestedSelectionDatasource.prototype._unsubscribe;
    /**
     * @type {?}
     * @private
     */
    NestedSelectionDatasource.prototype.dataStream;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/nested-multiple-selection/nested-multiple-menu.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NestedMultipleMenuComponent {
    constructor() {
        this.selectionLimit = 0;
        this._unsubscribe = new Subject();
        this.checkItem = new EventEmitter();
    }
    /**
     * @param {?} ds
     * @return {?}
     */
    set dataSource(ds) {
        if (ds) {
            this._dataSource = ds;
            if (this.parentId) {
                this._dataSource.findChildren(this.parentId).pipe(takeUntil(this._unsubscribe)).subscribe((/**
                 * @param {?} res
                 * @return {?}
                 */
                res => this.menuItems = res));
            }
        }
    }
    /**
     * @return {?}
     */
    get dataSource() {
        return this._dataSource;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.stateChange.pipe(debounceTime$1(10), takeUntil(this._unsubscribe)).subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            if (this.checkComponents && this.checkComponents.length > 0) {
                this.checkComponents.forEach((/**
                 * @param {?} checkBox
                 * @return {?}
                 */
                checkBox => {
                    this.dataSource.lookup(checkBox.id).subscribe((/**
                     * @param {?} item
                     * @return {?}
                     */
                    item => {
                        checkBox.checked = res.indexOf(item.id) >= 0;
                    }));
                }));
            }
        }));
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onCheckChange(event) {
        this.dataSource.lookup(event.source.id).subscribe((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            this.checkItem.emit({ id: item.id, checked: event.checked });
        }));
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onSubCheckChange(event) {
        this.checkItem.emit({ id: event.id, checked: event.checked });
    }
    /**
     * @param {?} id
     * @return {?}
     */
    disableStatus(id) {
        return this.selectionLimit > 0 && this.stateChange.value.length >= this.selectionLimit && this.stateChange.value.indexOf(id) < 0;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._unsubscribe.next();
        this._unsubscribe.complete();
    }
}
NestedMultipleMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-nested-multiple-menu',
                template: "<ng-container *ngIf=\"menuItems as menuData; else loadingMask\">\r\n    <ng-container *ngIf=\"menuData.length > 0; else emptyTemplate\">\r\n        <ng-container *ngFor=\"let data of menuData\">\r\n            <div *ngIf=\"(selectionLevel > 0 && level < selectionLevel) || (selectionLevel <= 0 && data.hasChildren); else elseTemplate\"\r\n                    (click)=\"$event.stopPropagation()\">\r\n                <button mat-menu-item\r\n                        [id]=\"data.id\"\r\n                        [matMenuTriggerFor]=\"submenu\">\r\n                    {{data.name}}\r\n                </button>\r\n                <mat-menu #submenu>\r\n                    <up-nested-multiple-menu\r\n                            [dataSource]=\"dataSource\"\r\n                            [level]=\"level + 1\"\r\n                            [selectionLevel]=\"selectionLevel\"\r\n                            [selectionLimit]=\"selectionLimit\"\r\n                            [parentId]=\"data.id\"\r\n                            [stateChange]=\"stateChange\"\r\n                            (checkItem)=\"onSubCheckChange($event)\">\r\n                    </up-nested-multiple-menu>\r\n                </mat-menu>\r\n            </div>\r\n            <ng-template #elseTemplate>\r\n                <span mat-menu-item (click)=\"$event.stopPropagation()\">\r\n                    <mat-checkbox\r\n                            [id]=\"data.id\"\r\n                            [disabled]=\"disableStatus(data.id)\"\r\n                            (change)=\"onCheckChange($event)\">\r\n                        {{data.name}}\r\n                    </mat-checkbox>\r\n                </span>\r\n            </ng-template>\r\n        </ng-container>\r\n    </ng-container>\r\n    <ng-template #emptyTemplate>\r\n        <button mat-menu-item disabled>\u5B50\u9879\u4E3A\u7A7A</button>\r\n    </ng-template>\r\n</ng-container>\r\n<ng-template #loadingMask>\r\n    <button mat-menu-item disabled>loading...</button>\r\n</ng-template>",
                styles: [""]
            }] }
];
NestedMultipleMenuComponent.propDecorators = {
    checkComponents: [{ type: ViewChildren, args: [MatCheckbox,] }],
    level: [{ type: Input }],
    selectionLevel: [{ type: Input }],
    stateChange: [{ type: Input }],
    parentId: [{ type: Input }],
    selectionLimit: [{ type: Input }],
    dataSource: [{ type: Input }],
    checkItem: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.checkComponents;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.level;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.selectionLevel;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.stateChange;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.parentId;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.selectionLimit;
    /**
     * @type {?}
     * @private
     */
    NestedMultipleMenuComponent.prototype._dataSource;
    /**
     * @type {?}
     * @private
     */
    NestedMultipleMenuComponent.prototype._unsubscribe;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.menuItems;
    /** @type {?} */
    NestedMultipleMenuComponent.prototype.checkItem;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/nested-multiple-selection/nested-multiple-selection.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@docs-private
 */
class NestedMultipleSelectionBase {
    /**
     * @param {?} _elementRef
     * @param {?} _defaultErrorStateMatcher
     * @param {?} _parentForm
     * @param {?} _parentFormGroup
     * @param {?} ngControl
     */
    constructor(_elementRef, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl) {
        this._elementRef = _elementRef;
        this._defaultErrorStateMatcher = _defaultErrorStateMatcher;
        this._parentForm = _parentForm;
        this._parentFormGroup = _parentFormGroup;
        this.ngControl = ngControl;
    }
}
if (false) {
    /** @type {?} */
    NestedMultipleSelectionBase.prototype._elementRef;
    /** @type {?} */
    NestedMultipleSelectionBase.prototype._defaultErrorStateMatcher;
    /** @type {?} */
    NestedMultipleSelectionBase.prototype._parentForm;
    /** @type {?} */
    NestedMultipleSelectionBase.prototype._parentFormGroup;
    /** @type {?} */
    NestedMultipleSelectionBase.prototype.ngControl;
}
/** @type {?} */
const _NestedMultipleSelectionMixinBase = mixinTabIndex(mixinDisabled(mixinErrorState(NestedMultipleSelectionBase)));
class NestedMultipleSelectionComponent extends _NestedMultipleSelectionMixinBase {
    constructor() {
        super(...arguments);
        this.placeholder = '请选择';
        this.selectionLevel = 0;
        this.multiple = true;
        this.selectionLimit = 0;
        this.selectionChange = new EventEmitter();
        this.selection = new SelectionModel(true);
        this.selectionText = '';
        this.additionText = '';
        this._selectedChange = new BehaviorSubject([]);
    }
    /**
     * @return {?}
     */
    get selected() {
        return this.selection.selected;
    }
    /**
     * @param {?} selectArray
     * @return {?}
     */
    set selected(selectArray) {
        if (!this.dataSource) {
            this._initSelected = selectArray;
        }
        else {
            this._selectedChange.next(selectArray);
            this.selection.clear();
            this.selection.select(...selectArray);
            this.updateSelectionText();
            this.selectionChange.emit(this.selection.selected);
        }
    }
    /**
     * @param {?} ds
     * @return {?}
     */
    set dataSource(ds) {
        if (ds) {
            this._dataSource = ds;
            if (this._initSelected && this._initSelected.length > 0) {
                this.selected = this._initSelected;
                this._initSelected = undefined;
            }
        }
    }
    /**
     * @return {?}
     */
    get dataSource() {
        return this._dataSource;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // let errorMessage: string = undefined;
        // if (!this.dataSource) {
        //     errorMessage = 'NestedMultipleMenuComponent Error: 必须指定数据源';
        // }
        // if (this.rootId == null || this.rootId == undefined) {
        //     errorMessage = 'NestedMultipleMenuComponent Error: 未指定根节点';
        // }
        // // this.menuTrigger.;
        // if (errorMessage) {
        //     console.error(errorMessage);
        //     throw new Error(errorMessage);
        // }
    }
    /**
     * @return {?}
     */
    open() {
        this.menuTrigger.openMenu();
    }
    /**
     * @return {?}
     */
    close() {
        this.menuTrigger.closeMenu();
    }
    /**
     * @return {?}
     */
    toggle() {
        this.menuTrigger.toggleMenu();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onCheckChange(event) {
        if (event.checked) {
            if (!this.multiple) {
                this.selection.deselect(...this.selection.selected);
            }
            this.selection.select(event.id);
        }
        else {
            this.selection.deselect(event.id);
        }
        this.updateSelectionText();
        this._selectedChange.next(this.selection.selected);
        this.selectionChange.emit(this.selection.selected);
    }
    /**
     * @return {?}
     */
    updateSelectionText() {
        /** @type {?} */
        const selected = this.selection.selected;
        /** @type {?} */
        const len = selected.length - 1;
        this.optionValue = selected.length <= 0 ? undefined : 'option_default';
        if (selected.length <= 0) {
            this.selectionText = '';
        }
        else {
            this.dataSource.lookup(selected[0]).subscribe((/**
             * @param {?} res
             * @return {?}
             */
            res => {
                this.selectionText = res.name;
            }));
        }
        this.additionText = `(及其他${len}项)`;
    }
    /**
     * @return {?}
     */
    autoClose() {
        this.selectInput.close();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        if (this.dataSource) {
            this.dataSource.disconnect();
        }
    }
}
NestedMultipleSelectionComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-nested-multiple-selection',
                template: "<mat-form-field>\r\n    <mat-select #selectInput #menuTrigger=\"matMenuTrigger\"\r\n                placeholder=\"{{placeholder}}\"\r\n                [disabled]=\"disabled\"\r\n                [matMenuTriggerFor]=\"menu\"\r\n                [(value)]=\"optionValue\"\r\n                [ngClass]=\"{'selection-disabled': !!disabled}\">\r\n        <mat-option value=\"option_default\" class=\"option-hidden\">{{selectionText}}</mat-option>\r\n        <mat-select-trigger>\r\n            {{selectionText}}\r\n            <span *ngIf=\"selection.selected.length > 1\" class=\"additional-text\">{{additionText}}</span>\r\n        </mat-select-trigger>\r\n    </mat-select>\r\n</mat-form-field>\r\n\r\n<mat-menu #menu (closed)=\"autoClose()\">\r\n    <up-nested-multiple-menu\r\n            [dataSource]=\"dataSource\"\r\n            [parentId]=\"rootId\"\r\n            [selectionLevel]=\"selectionLevel\"\r\n            [selectionLimit]=\"selectionLimit\"\r\n            [level]=\"0\"\r\n            [stateChange]=\"_selectedChange\"\r\n            (checkItem)=\"onCheckChange($event)\"></up-nested-multiple-menu>\r\n</mat-menu>\r\n",
                styles: [".option-hidden{display:none!important}.additional-text{opacity:.75;font-size:.75em}.selection-disabled{pointer-events:none}"]
            }] }
];
NestedMultipleSelectionComponent.propDecorators = {
    selectInput: [{ type: ViewChild, args: ['selectInput', { static: false },] }],
    menuTrigger: [{ type: ViewChild, args: ['menuTrigger', { static: false },] }],
    menu: [{ type: ViewChild, args: ['menu', { static: false },] }],
    placeholder: [{ type: Input }],
    selectionLevel: [{ type: Input }],
    rootId: [{ type: Input }],
    multiple: [{ type: Input }],
    selectionLimit: [{ type: Input }],
    disabled: [{ type: Input }],
    readonly: [{ type: Input }],
    tabIndex: [{ type: Input }],
    selectionChange: [{ type: Output }],
    dataSource: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selectInput;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.menuTrigger;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.menu;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.placeholder;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selectionLevel;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.rootId;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.multiple;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selectionLimit;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.disabled;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.readonly;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.tabIndex;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selectionChange;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selection;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.optionValue;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.selectionText;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype.additionText;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype._initSelected;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype._dataSource;
    /** @type {?} */
    NestedMultipleSelectionComponent.prototype._selectedChange;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/nested-multiple-selection/nested-selection.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NestedSelectionModule {
}
NestedSelectionModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    NestedMultipleMenuComponent,
                    NestedMultipleSelectionComponent
                ],
                exports: [
                    NestedMultipleSelectionComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/form/field-error.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldErrorDirective {
    /**
     * @param {?} _viewContainer
     */
    constructor(_viewContainer) {
        this._viewContainer = _viewContainer;
        this._unsubscribe = new Subject();
    }
    /**
     * @param {?} formControl
     * @return {?}
     */
    set upFieldErrorFor(formControl) {
        this._formControl = formControl;
        this._formControl.valueChanges.pipe(takeUntil(this._unsubscribe)).subscribe((/**
         * @return {?}
         */
        () => this.updateView()));
        this.updateView();
    }
    /**
     * @private
     * @return {?}
     */
    updateView() {
        this._viewContainer.clear();
        if (this._formControl.invalid) {
            Object.keys(this._formControl.errors).forEach((/**
             * @param {?} errorKey
             * @return {?}
             */
            errorKey => {
                if (this._formControl.hasError(errorKey)) {
                    this._viewContainer.element.nativeElement.innerHTML = this.getErrorMessage(errorKey.toLowerCase());
                    return false;
                }
            }));
        }
    }
    /**
     * @private
     * @param {?} errorKey
     * @return {?}
     */
    getErrorMessage(errorKey) {
        /** @type {?} */
        const error = this._formControl.errors;
        switch (errorKey) {
            // for default validators
            case 'required':
                return '此项为必填项';
            case 'requiredtrue':
                return '必须为真值';
            case 'email':
                return '必须为真值';
            case 'pattern':
                return '内容格式不正确';
            case 'min':
                return `数值不应小于${error.min.min}`;
            case 'max':
                return `数值不应大于${error.max.max}`;
            case 'minlength':
                return `内容长度不应小于${error.minlength.requiredLength}`;
            case 'maxlength':
                return `内容长度不应大于${error.maxlength.requiredLength}`;
            // for extension validators
            case 'nowhitespacerequired':
                return '内容不允许有空格';
            case 'noemptystring':
                return '内容不允许为空格';
            case 'numberrequired':
                return '此项仅可填写数字';
            case 'lengthrange':
                return `输入长度应在${error.lengthRange.requiredMinValue}-${error.lengthRange.requiredMaxValue}之间`;
            case 'numberrange':
                return `数值应在${error.numberRange.requiredMinValue}-${error.numberRange.requiredMaxValue}之间`;
            case 'identity':
                if (error.identity.length) {
                    return '身份证号长度不正确';
                }
                if (error.identity.pattern) {
                    return '身份证号格式不正确';
                }
                if (error.identity.city) {
                    return '地址编码错误';
                }
                if (error.identity.verify) {
                    return '校验位错误';
                }
                return '身份证号验证错误';
            case 'realname':
                return '姓名应为2-4位中文';
            default:
                return '此项填写不符合规则';
        }
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._unsubscribe.next();
        this._unsubscribe.complete();
    }
}
FieldErrorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[upFieldErrorFor]'
            },] }
];
/** @nocollapse */
FieldErrorDirective.ctorParameters = () => [
    { type: ViewContainerRef }
];
FieldErrorDirective.propDecorators = {
    upFieldErrorFor: [{ type: Input }]
};
if (false) {
    /**
     * @type {?}
     * @private
     */
    FieldErrorDirective.prototype._formControl;
    /**
     * @type {?}
     * @private
     */
    FieldErrorDirective.prototype._unsubscribe;
    /**
     * @type {?}
     * @private
     */
    FieldErrorDirective.prototype._viewContainer;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/form/extension-validators.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ExtensionValidators {
    /**
     * @param {?} control
     * @return {?}
     */
    static noWhitespace(control) {
        if (ExtensionValidators.isNotPresent(control)) {
            return undefined;
        }
        /** @type {?} */
        const pattern = '\\s';
        if (new RegExp(pattern).test(control.value)) {
            return { noWhitespaceRequired: true };
        }
        return undefined;
    }
    /**
     * @param {?} control
     * @return {?}
     */
    static noEmptyString(control) {
        if (ExtensionValidators.isNotPresent(control)) {
            return undefined;
        }
        if (control.value.trim().length === 0) {
            return { noEmptyString: true };
        }
        return undefined;
    }
    /**
     * @param {?} control
     * @return {?}
     */
    static isNumber(control) {
        if (ExtensionValidators.isNotPresent(control)) {
            return undefined;
        }
        if (isNaN(control.value)) {
            return { numberRequired: true };
        }
        return undefined;
    }
    /**
     * @param {?} minValue
     * @param {?} maxValue
     * @return {?}
     */
    static isInLengthRange(minValue, maxValue) {
        /** @type {?} */
        const fn = (/**
         * @param {?} control
         * @return {?}
         */
        (control) => {
            if (ExtensionValidators.isNotPresent(control)) {
                return undefined;
            }
            if (control.value.length < minValue) {
                return { lengthRange: { requiredMinValue: minValue, requiredMaxValue: maxValue, actual: control.value } };
            }
            if (+control.value.length > maxValue) {
                return { lengthRange: { requiredMinValue: minValue, requiredMaxValue: maxValue, actual: control.value } };
            }
            return undefined;
        });
        return fn;
    }
    /**
     * @param {?} minValue
     * @param {?} maxValue
     * @return {?}
     */
    static isInNumberRange(minValue, maxValue) {
        /** @type {?} */
        const fn = (/**
         * @param {?} control
         * @return {?}
         */
        (control) => {
            if (ExtensionValidators.isNotPresent(control)) {
                return undefined;
            }
            if (isNaN(control.value)) {
                return { numberRequired: true };
            }
            if (+control.value < minValue) {
                return { numberRange: { requiredMinValue: minValue, requiredMaxValue: maxValue, actual: control.value } };
            }
            if (+control.value > maxValue) {
                return { numberRange: { requiredMinValue: minValue, requiredMaxValue: maxValue, actual: control.value } };
            }
            return undefined;
        });
        return fn;
    }
    /**
     * @param {?} control
     * @return {?}
     */
    static identityCard(control) {
        if (ExtensionValidators.isNotPresent(control)) {
            return undefined;
        }
        /** @type {?} */
        const val = control.value.trim();
        if (val.length !== 15 && val.length !== 18) {
            return { identity: { length: true } };
        }
        /** @type {?} */
        const reg = /^[1-9][0-9]{5}(19[0-9]{2}|200[0-9]|2010)(0[1-9]|1[0-2])(0[1-9]|[12][0-9]|3[01])[0-9]{3}[0-9xX]$/i;
        if (!reg.test(val)) {
            return { identity: { pattern: true } };
        }
        if (!CITY_CODE[val.substr(0, 2)]) {
            return { identity: { city: true } };
        }
        if (val.length === 18) {
            /** @type {?} */
            const code = val.split('');
            // 加权因子
            /** @type {?} */
            const factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
            // 校验位
            /** @type {?} */
            const parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
            /** @type {?} */
            let sum = 0;
            for (let i = 0; i < 17; i++) {
                sum += code[i] * factor[i];
            }
            if (parity[sum % 11] !== code[17]) {
                return { identity: { verify: true } };
            }
        }
        return undefined;
    }
    /**
     * @param {?} control
     * @return {?}
     */
    static realName(control) {
        if (ExtensionValidators.isNotPresent(control)) {
            return undefined;
        }
        /** @type {?} */
        const val = control.value.trim();
        return /^[\u4e00-\u9fa5]{2,4}$/.test(val) ? undefined : { realname: true };
    }
    /**
     * @private
     * @param {?} control
     * @return {?}
     */
    static isNotPresent(control) {
        /** @type {?} */
        const value = control.value;
        if (value === undefined || value === null) {
            return true;
        }
        return value === '';
    }
}
/** @type {?} */
const CITY_CODE = {
    11: '北京', 12: '天津', 13: '河北', 14: '山西', 15: '内蒙古', 21: '辽宁', 22: '吉林', 23: '黑龙江 ',
    31: '上海', 32: '江苏', 33: '浙江', 34: '安徽', 35: '福建', 36: '江西', 37: '山东', 41: '河南', 42: '湖北 ', 43: '湖南',
    44: '广东', 45: '广西', 46: '海南', 50: '重庆', 51: '四川', 52: '贵州', 53: '云南', 54: '西藏 ', 61: '陕西', 62: '甘肃',
    63: '青海', 64: '宁夏', 65: '新疆', 71: '台湾', 81: '香港', 82: '澳门', 91: '国外 '
};

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/form/extension-validators.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class WhiteSpaceValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.noWhitespace;
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
WhiteSpaceValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[noWhitespace][formControlName],[noWhitespace][formControl],[noWhitespace][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => WhiteSpaceValidatorDirective)),
                        multi: true
                    }]
            },] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    WhiteSpaceValidatorDirective.prototype.validator;
}
class EmptyStringValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.noEmptyString;
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
EmptyStringValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[noEmptyString][formControlName],[noEmptyString][formControl],[noEmptyString][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => EmptyStringValidatorDirective)),
                        multi: true
                    }]
            },] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    EmptyStringValidatorDirective.prototype.validator;
}
class IsNumberValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.isNumber;
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
IsNumberValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[isNumber][formControlName],[isNumber][formControl],[isNumber][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => IsNumberValidatorDirective)),
                        multi: true
                    }]
            },] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    IsNumberValidatorDirective.prototype.validator;
}
class IsInLengthRangeValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.isInLengthRange(this.minValue, this.maxValue);
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
IsInLengthRangeValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[isInLengthRange][formControlName],[isInLengthRange][formControl],[isInLengthRange][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => IsInLengthRangeValidatorDirective)),
                        multi: true
                    }]
            },] }
];
IsInLengthRangeValidatorDirective.propDecorators = {
    minValue: [{ type: Input }],
    maxValue: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    IsInLengthRangeValidatorDirective.prototype.minValue;
    /** @type {?} */
    IsInLengthRangeValidatorDirective.prototype.maxValue;
    /**
     * @type {?}
     * @private
     */
    IsInLengthRangeValidatorDirective.prototype.validator;
}
class IsInNumberRangeValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.isInNumberRange(this.minValue, this.maxValue);
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
IsInNumberRangeValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[isInNumberRange][formControlName],[isInNumberRange][formControl],[isInNumberRange][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => IsInNumberRangeValidatorDirective)),
                        multi: true
                    }]
            },] }
];
IsInNumberRangeValidatorDirective.propDecorators = {
    minValue: [{ type: Input }],
    maxValue: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    IsInNumberRangeValidatorDirective.prototype.minValue;
    /** @type {?} */
    IsInNumberRangeValidatorDirective.prototype.maxValue;
    /**
     * @type {?}
     * @private
     */
    IsInNumberRangeValidatorDirective.prototype.validator;
}
class IdentityCardValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.identityCard;
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
IdentityCardValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[identityCard][formControlName],[identityCard][formControl],[identityCard][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => IdentityCardValidatorDirective)),
                        multi: true
                    }]
            },] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    IdentityCardValidatorDirective.prototype.validator;
}
class RealNameValidatorDirective {
    /**
     * @return {?}
     */
    ngOnInit() {
        this.validator = ExtensionValidators.realName;
    }
    /**
     * @param {?} c
     * @return {?}
     */
    validate(c) {
        return this.validator(c);
    }
}
RealNameValidatorDirective.decorators = [
    { type: Directive, args: [{
                selector: '[realName][formControlName],[realName][formControl],[realName][ngModel]',
                providers: [{
                        provide: NG_VALIDATORS,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => RealNameValidatorDirective)),
                        multi: true
                    }]
            },] }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    RealNameValidatorDirective.prototype.validator;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/form/form-extension.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FormExtensionModule {
}
FormExtensionModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    // Common Error Message Directive
                    FieldErrorDirective,
                    // Extension Validators Directives
                    WhiteSpaceValidatorDirective,
                    EmptyStringValidatorDirective,
                    IsNumberValidatorDirective,
                    IsInLengthRangeValidatorDirective,
                    IsInNumberRangeValidatorDirective,
                    IdentityCardValidatorDirective,
                    RealNameValidatorDirective
                ],
                exports: [
                    FieldErrorDirective,
                    WhiteSpaceValidatorDirective,
                    EmptyStringValidatorDirective,
                    IsNumberValidatorDirective,
                    IsInLengthRangeValidatorDirective,
                    IsInNumberRangeValidatorDirective,
                    IdentityCardValidatorDirective,
                    RealNameValidatorDirective
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @record
 */
function CascadeSelectItemModel() { }
if (false) {
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.id;
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.pid;
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.name;
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.level;
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.idPath;
    /** @type {?|undefined} */
    CascadeSelectItemModel.prototype.children;
    /* Skipping unhandled member: [key: string]: any;*/
}
class SelectedModel {
}
if (false) {
    /** @type {?} */
    SelectedModel.prototype.label;
    /** @type {?} */
    SelectedModel.prototype.value;
}
class CascadeSelectService {
    // generate display data 可选列表数据
    /**
     * @param {?} ds
     * @param {?=} value
     * @param {?=} id
     * @return {?}
     */
    getSelectableList(ds, value, id) {
        /** @type {?} */
        const intlData = [];
        // 根据是否有
        // defaultId 筛选初始ds
        if (id) {
            this.getListById(ds, id, (/**
             * @param {?} list
             * @return {?}
             */
            list => {
                intlData.push(list);
            }));
        }
        else {
            intlData.push(ds);
        }
        // 是否有传入的默认选中值 筛选初始ds
        if (value) {
            value.forEach((/**
             * @param {?} item
             * @param {?} index
             * @return {?}
             */
            (item, index) => {
                /** @type {?} */
                const selected = this.getSelectedItemById(intlData[index], item);
                if (selected && selected.children && selected.children.length > 0) {
                    intlData.push(selected.children);
                }
            }));
        }
        return intlData;
    }
    // 获取到当前被选中的items: Array(单选）
    /**
     * @param {?} list
     * @param {?} selectedIdList
     * @param {?=} multiple
     * @return {?}
     */
    getSelectedItems(list, selectedIdList, multiple) {
        /** @type {?} */
        let selectedList = [];
        selectedIdList.forEach((/**
         * @param {?} data
         * @param {?} index
         * @return {?}
         */
        (data, index) => {
            /** @type {?} */
            const selected = this.getSelectedItemById(list[index], data);
            if (selected) {
                selectedList[index] = selected; // 将被点击的item放入选中的数组中
                selectedList = selectedList.slice(0, index + 1); // 清除已选中数组中的 所有下级的数据
            }
            // 多选 且当前可选list中没有当前项，则返回null
            if (multiple && !selected) {
                selectedList = null;
            }
        }));
        return selectedList;
    }
    /**
     * @param {?} item
     * @return {?}
     */
    item2Value(item) {
        /** @type {?} */
        const namePath = [];
        /** @type {?} */
        const idPath = [];
        item.forEach((/**
         * @param {?} i
         * @return {?}
         */
        i => {
            namePath.push(i.name);
            idPath.push(i.id);
        }));
        return {
            label: namePath,
            value: idPath
        };
    }
    // 根据id 获取选中item
    /**
     * @private
     * @param {?} data
     * @param {?} id
     * @return {?}
     */
    getSelectedItemById(data, id) {
        return find(data, (/**
         * @param {?} i
         * @return {?}
         */
        i => {
            return i.id === id;
        }));
    }
    // 根据id生成可选列表
    /**
     * @private
     * @param {?} data
     * @param {?} id
     * @param {?} cb
     * @return {?}
     */
    getListById(data, id, cb) {
        if (Array.isArray(data) && data.length > 0) {
            data.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                if (item.id === id) {
                    /** @type {?} */
                    const list = [].concat(this.getSelectedItemById(data, id));
                    /** @type {?} */
                    const selectableList = [];
                    selectableList.push(list);
                    cb(list);
                }
                else {
                    this.getListById(item.children, id, cb);
                }
            }));
        }
    }
}
CascadeSelectService.decorators = [
    { type: Injectable }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select-overlay/cascade-select-overlay.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CascadeSelectOverlayComponent {
    /**
     * @param {?} cascadeSelectService
     */
    constructor(cascadeSelectService) {
        this.cascadeSelectService = cascadeSelectService;
        /**
         * 是否有搜索功能
         */
        this.isSearchable = false;
        this.selectedChange = new EventEmitter();
        this.itemOnClick = new EventEmitter();
        /**
         * 移除近期选择中item
         */
        this.removeLatestItem = new EventEmitter();
        this.inputSearch = new EventEmitter();
        this.selectableList = []; // 当前显示列表
        // 当前显示列表
        this.selectedItems = []; // 当前选择节点集合(单选、多选）
        // 当前选择节点集合(单选、多选）
        this.selectedItemsList = []; // 多选，被选中项 当前可显示的items的集合
        // 多选，被选中项 当前可显示的items的集合
        this.searchValue = null;
    }
    // 默认的级别名称列表
    /**
     * @param {?} value
     * @return {?}
     */
    set inputValue(value) {
        if (!this.multiple && !Array.isArray(value)) {
            // 单选 且传入的input value类型为 SelectedModel
            this._inputValue = value;
        }
        else if (this.multiple && Array.isArray(value)) {
            // 多选 且传入的input value类型为 Array<SelectedModel>,则用于显示的selection为Array第一项
            this._inputValue = value[0];
            this._inputValueList = value;
        }
    }
    // 多选模式下 实际传入的多个selections 数组
    /**
     * @param {?} data
     * @return {?}
     */
    set dataSource(data) {
        this._dataSource = data;
        this.updateSelectableList(this.itemLevel || 0, this.idList || (this._inputValue && this._inputValue.value));
        // 如果为多选
        if (this.multiple && this._inputValueList && this._inputValueList.length > 0) {
            this.selectedItemsList = [];
            this._inputValueList.forEach((/**
             * @param {?} o
             * @return {?}
             */
            o => {
                if (this.cascadeSelectService.getSelectedItems(this.selectableList, o.value, true)) {
                    this.selectedItemsList.push(this.cascadeSelectService.getSelectedItems(this.selectableList, o.value, true));
                }
            }));
        }
    }
    /**
     * @return {?}
     */
    get dataSource() {
        return this._dataSource;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this._inputValue && this._inputValue.value) {
            this.selectedItems = this.cascadeSelectService.getSelectedItems(this.selectableList, this._inputValue.value);
        }
        // 如果传入了最大可展开层级数， 则二次筛选selectableList，去掉大于max 的层级数据
        if (this.maxSelectable) {
            // 获取当前可选列表的第一层的level等级
            /** @type {?} */
            const startLevel = this.selectableList[0][0].level;
            this.selectableList = take(this.selectableList, this.maxSelectable - startLevel + 1);
        }
    }
    // 更新可选显示列表
    /**
     * @param {?=} level
     * @param {?=} idList
     * @return {?}
     */
    updateSelectableList(level, idList) {
        this.selectableList = (this.maxSelectable && (level || this.itemLevel) >= this.maxSelectable) ?
            this.cascadeSelectService.getSelectableList(this.dataSource, dropRight(idList || this.idList), this.defaultId) :
            this.cascadeSelectService.getSelectableList(this.dataSource, idList || this.idList, this.defaultId);
    }
    // 单选：选择item,对应更新已选中数据的数组selectedItems 和 可显示数据的数组selectableList
    /**
     * @param {?} item
     * @return {?}
     */
    itemSelected(item) {
        /** @type {?} */
        let selectedIdList;
        /** @type {?} */
        const idList = trim(item.idPath, '/').split('/');
        // 如果有defaultId，则删掉idList数组里值为defaultId之前(不含defaultId)的项
        selectedIdList = this.defaultId ? drop(idList, idList.indexOf(this.defaultId)) : idList;
        this.selectedItems = this.cascadeSelectService.getSelectedItems(this.selectableList, selectedIdList);
        /** @type {?} */
        const fullList = this.cascadeSelectService.getSelectableList(this.dataSource, idList);
        //  在存在defaultId的情况下 完整的dataSource理论上对应的可选列表数据
        /** @type {?} */
        const itemList = this.cascadeSelectService.getSelectedItems(fullList, idList);
        // 有传入min, 则被选中的selection中，没有小于min 的选项
        /** @type {?} */
        const copyList = cloneDeep(this.selectedItems);
        /** @type {?} */
        const selections = this.cascadeSelectService.item2Value(copyList);
        /** @type {?} */
        const realSelections = this.cascadeSelectService.item2Value(itemList);
        if (this.minSelectable && item.level < this.minSelectable) {
            this.selectedChange.emit([null, realSelections]);
        }
        else {
            this.selectedChange.emit([selections, realSelections]);
        }
        // 有传入max 且 当前点击的item的level>=max 则不把下一层的数据更新到selectableList
        this.itemLevel = item.level;
        this.idList = selectedIdList;
        this.updateSelectableList();
    }
    /**
     * multiple:
     * 点击item,展开下级列表（对应更新可显示数据的数组selectableList）
     * @param {?} item
     * @param {?} i
     * @param {?} e
     * @return {?}
     */
    itemExpanded(item, i, e) {
        e.stopPropagation();
        /** @type {?} */
        let selectedIdList = trim(item.idPath, '/').split('/');
        this.itemOnClick.emit(selectedIdList);
        // 如果有defaultId，则删掉idList数组里值为defaultId之前(不含defaultId)的项
        if (this.defaultId) {
            selectedIdList = drop(selectedIdList, selectedIdList.indexOf(this.defaultId));
        }
        // 有传入max 且 当前点击的item的level>=max 则不把下一层的数据更新到selectableList
        this.itemLevel = item.level;
        this.idList = selectedIdList;
        this.updateSelectableList();
        this.selectedItems = this.cascadeSelectService.getSelectedItems(this.selectableList, selectedIdList);
        if (this.multiple && this._inputValueList && this._inputValueList.length > 0) {
            this.selectedItemsList = [];
            this._inputValueList.forEach((/**
             * @param {?} o
             * @return {?}
             */
            o => {
                if (this.cascadeSelectService.getSelectedItems(this.selectableList, o.value, true)) {
                    this.selectedItemsList.push(this.cascadeSelectService.getSelectedItems(this.selectableList, o.value, true));
                }
            }));
        }
    }
    /**
     * multiple:
     * 点击checkbox， 对应触发的selectedItems的变化
     * @param {?} item
     * @param {?} i
     * @param {?} e
     * @return {?}
     */
    multipleSelected(item, i, e) {
        e.stopPropagation();
        /** @type {?} */
        let selectedIdList;
        /** @type {?} */
        const idList = trim(item.idPath, '/').split('/');
        // 如果有defaultId，则删掉idList数组里值为defaultId(不含defaultId)之前的项
        selectedIdList = this.defaultId ? drop(idList, idList.indexOf(this.defaultId)) : idList;
        /** @type {?} */
        let restIdList;
        /** @type {?} */
        let restNames;
        if (this.defaultId) {
            selectedIdList = drop(idList, idList.indexOf(this.defaultId));
            restIdList = dropRight(idList, idList.length - idList.indexOf(this.defaultId));
            restNames = restIdList.map((/**
             * @return {?}
             */
            () => {
                return '/';
            }));
        }
        else {
            selectedIdList = idList;
        }
        /** @type {?} */
        const selections = this._inputValueList && this._inputValueList.length > 0 ? cloneDeep(this._inputValueList) : [];
        if (e.target.checked) {
            // 首项追加选中项
            if (this.cascadeSelectService.getSelectedItems(this.selectableList, selectedIdList, true)) {
                this.selectedItemsList.unshift(this.cascadeSelectService.getSelectedItems(this.selectableList, selectedIdList, true));
            }
            // 在inputValueList首项加入选中项
            selections.unshift(this.cascadeSelectService.item2Value(this.cascadeSelectService.getSelectedItems(this.selectableList, selectedIdList, true)));
        }
        else {
            // remove
            remove(this.selectedItemsList, (/**
             * @param {?} n
             * @return {?}
             */
            n => {
                return last(n).id === e.target.value;
            }));
            remove(selections, (/**
             * @param {?} n
             * @return {?}
             */
            n => {
                return last(n.value) === e.target.value;
            }));
        }
        /** @type {?} */
        const realSelections = cloneDeep(selections);
        realSelections.forEach((/**
         * @param {?} n
         * @return {?}
         */
        n => {
            n.label = n.label.reverse().concat(restNames).reverse();
            n.value = n.value.reverse().concat(restIdList).reverse();
        }));
        this.selectedChange.emit([selections, realSelections]);
    }
    /**
     * remove 近期选择中所选选项
     * @param {?} e
     * @return {?}
     */
    removeItem(e) {
        this.removeLatestItem.emit(e);
    }
    // 判断 item 是否被展开
    /**
     * @param {?} item
     * @param {?} i
     * @return {?}
     */
    isExpanded(item, i) {
        if (!item || !this.selectedItems[i]) {
            return;
        }
        return item.id === this.selectedItems[i].id;
    }
    // 判断 item 是否被选中
    /**
     * @param {?} item
     * @param {?} i
     * @return {?}
     */
    isSelected(item, i) {
        if (!this.multiple) {
            if (!item || !this.selectedItems[i] || item.level < this.minSelectable) {
                return;
            }
            return item.id === this.selectedItems[i].id;
        }
        else {
            /** @type {?} */
            let res = false;
            forEach(this.selectedItemsList, (/**
             * @param {?} o
             * @return {?}
             */
            o => {
                if (!item || !o[i] || item.level < this.minSelectable) {
                    res = false;
                }
                else {
                    if (item.id === last(o).id) {
                        res = true;
                        return false;
                    }
                }
            }));
            return res;
        }
    }
    /**
     * 多选，判断子节点中是否有item被选中
     * @param {?} item
     * @param {?} i
     * @return {?}
     */
    hasSelectedChild(item, i) {
        /** @type {?} */
        let res = false;
        forEach(this._inputValueList, (/**
         * @param {?} o
         * @return {?}
         */
        o => {
            if (o.value.indexOf(item.id) > -1) {
                res = true;
                return false;
            }
        }));
        return res;
    }
    /**
     * @return {?}
     */
    search() {
        this.inputSearch.emit(this.searchValue);
    }
}
CascadeSelectOverlayComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select-overlay',
                template: "<div class=\"cascade-select-overlay\"\r\n     [ngStyle]=\"{'max-height.px': height ? height : 'auto'}\">\r\n    <mat-form-field *ngIf=\"isSearchable\" class=\"cascade-search-input\">\r\n        <input matInput\r\n               placeholder=\"\u8BF7\u8F93\u5165\u5173\u952E\u5B57\"\r\n               (keyup.enter)=\"search()\"\r\n               [(ngModel)]=\"searchValue\">\r\n        <button mat-icon-button matSuffix (click)=\"search()\">\r\n            <mat-icon>search</mat-icon>\r\n        </button>\r\n    </mat-form-field>\r\n\r\n    <up-cascade-select-search-results\r\n        *ngIf=\"isSearchable&&searchResults&&searchResults.length>0\"\r\n        [searchResults]=\"searchResults\"\r\n        (chooseResultItem)=\"itemSelected($event)\"\r\n    >\r\n\r\n    </up-cascade-select-search-results>\r\n    <up-cascade-select-history\r\n        *ngIf=\"latestSelections&&latestSelections.length>0\"\r\n        [latestSelections]=\"latestSelections\"\r\n        (chooseLatestItem)=\"itemSelected($event)\"\r\n        (removeLatestItem)=\"removeItem($event)\"\r\n    ></up-cascade-select-history>\r\n\r\n    <mat-accordion [multi]=true displayMode=\"flat\" *ngIf=\"!multiple\">\r\n        <mat-expansion-panel *ngFor=\"let selectList of selectableList, let i = index\" [expanded]=\"true\">\r\n            <mat-expansion-panel-header\r\n                collapsedHeight='42px'\r\n                expandedHeight='42px'\r\n                *ngIf=\"selectList\">\r\n                <mat-panel-title>\r\n                    {{levelNameList[+selectList[0]?.level - 1]}}\r\n                </mat-panel-title>\r\n\r\n            </mat-expansion-panel-header>\r\n            <mat-divider></mat-divider>\r\n            <div class='content' *ngIf=\"selectList\">\r\n                <mat-button-toggle-group appearance=\"legacy\" class=\"button-group\">\r\n                    <mat-button-toggle class=\"toggle-btn\"\r\n                                       *ngFor=\"let item of selectList\"\r\n                                       [value]=item\r\n                                       [ngClass]=\"{'up-selected-item': isSelected(item,i)}\"\r\n                                       [checked]=\"isExpanded(item,i)\"\r\n                                       (click)=\"itemSelected(item)\">\r\n                        {{item.name}}\r\n                    </mat-button-toggle>\r\n                </mat-button-toggle-group>\r\n            </div>\r\n        </mat-expansion-panel>\r\n    </mat-accordion>\r\n\r\n    <mat-accordion [multi]=true displayMode=\"flat\" *ngIf=\"multiple\">\r\n        <mat-expansion-panel *ngFor=\"let selectList of selectableList, let i = index\" [expanded]=\"true\">\r\n            <mat-expansion-panel-header\r\n                collapsedHeight='42px'\r\n                expandedHeight='42px'\r\n                *ngIf=\"selectList\">\r\n                <mat-panel-title>\r\n                    {{levelNameList[+selectList[0]?.level - 1]}}\r\n                </mat-panel-title>\r\n\r\n            </mat-expansion-panel-header>\r\n            <mat-divider></mat-divider>\r\n            <div class='content' *ngIf=\"selectList\">\r\n                <span class=\"up-cascade-item-checkbox\" *ngFor=\"let item of selectList\">\r\n                    <input id=\"checkbox{{item.id}}\"\r\n                           type=\"checkbox\"\r\n                           value=\"{{item.id}}\"\r\n                           [checked]=\"isSelected(item, i)\"\r\n                           (change)=\"multipleSelected(item, i, $event)\"\r\n                           [disabled]=\"!!minSelectable&&item.level<minSelectable\"\r\n                    >\r\n                    <label for=\"checkbox{{item.id}}\"></label>\r\n\r\n                    <input id=\"radio{{item.id}}\"\r\n                           type=\"radio\"\r\n                           name=\"radio{{item.level}}\"\r\n                           [checked]=\"isExpanded(item, i)\"\r\n                           value=\"{{item.id}}\">\r\n                    <label for=\"radio{{item.id}}\"\r\n                           (click)=\"itemExpanded(item, i, $event)\"\r\n                           [ngClass]=\"{'up-cascade-active': hasSelectedChild(item, i)}\">\r\n                        {{item.name}}\r\n                    </label>\r\n                </span>\r\n            </div>\r\n        </mat-expansion-panel>\r\n    </mat-accordion>\r\n</div>\r\n",
                styles: [".cascade-select-overlay{overflow-y:auto;background:#fff;box-sizing:border-box;width:425px;box-shadow:0 1px 1px -2px rgba(0,0,0,.2),0 0 3px 0 rgba(0,0,0,.14),0 1px 0 0 rgba(0,0,0,.12)}.cascade-select-overlay .cascade-search-input{padding:0 10px}.cascade-select-overlay:focus{outline:0}.cascade-select-overlay .content{padding:10px}.cascade-select-overlay .button-group{box-shadow:none;white-space:pre-wrap;display:block}.cascade-select-overlay .toggle-btn{display:inline-block;border-radius:6px;color:#000;border:1px solid transparent}.cascade-select-overlay .toggle-btn .mat-button-toggle-label-content{width:60px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.cascade-select-overlay .up-cascade-item-checkbox{position:relative;display:inline-block;color:#000;margin:3px}.cascade-select-overlay .up-cascade-item-checkbox input{position:absolute;opacity:0;visibility:hidden}.cascade-select-overlay .up-cascade-item-checkbox input[type=radio]+label{position:relative;display:inline-block;border-radius:6px;line-height:36px;padding:0 16px;cursor:pointer;border:1px solid transparent}.cascade-select-overlay .up-cascade-item-checkbox input[type=radio]+label.up-cascade-active{color:#3f51b5}.cascade-select-overlay .up-cascade-item-checkbox input[type=checkbox]+label{position:absolute;top:0;right:0;width:20px;height:20px;display:inline-block;background:0 0;border-radius:6px;cursor:pointer;z-index:10}.cascade-select-overlay .up-cascade-item-checkbox input[type=checkbox]:checked~input[type=radio]+label{background-color:#e0e0e0;border:1px solid #3f51b5;color:#3f51b5}.cascade-select-overlay .up-cascade-item-checkbox input[type=checkbox]:checked+label{height:36px;border:1px solid transparent}.cascade-select-overlay .up-cascade-item-checkbox input[type=checkbox]:checked+label:before{content:'';display:block;position:absolute;right:0;top:0;border:10px solid #3f51b5;border-bottom-color:transparent;border-left-color:transparent;color:#fff;border-top-right-radius:4px}.cascade-select-overlay .up-cascade-item-checkbox input[type=checkbox]:checked+label:after{content:'';display:block;width:2px;height:6px;position:absolute;top:0;right:2px;border:2px solid #fff;border-top-color:transparent;border-left-color:transparent;transform:rotate(45deg)}.cascade-select-overlay .up-cascade-item-checkbox input[type=radio]:checked+label{border:1px solid #e0e0e0;background-color:#e0e0e0;color:#3f51b5}.cascade-select-overlay .up-cascade-item-checkbox input[type=radio]:checked+label:before{content:'';display:block;position:absolute;right:0;top:0;border:10px solid #fff;border-bottom-color:transparent;border-left-color:transparent;color:#fff;border-top-right-radius:4px}.cascade-select-overlay .up-cascade-item-checkbox input[type=radio]:checked+label:after{content:'';display:block;width:2px;height:6px;position:absolute;top:0;right:2px;border:2px solid #e0e0e0;border-top-color:transparent;border-left-color:transparent;transform:rotate(45deg)}.cascade-select-overlay .mat-button-toggle-checked{color:#3f51b5}.cascade-select-overlay .up-selected-item{border:1px solid #3f51b5}.cascade-select-overlay .up-selected-item:before{content:'';display:block;position:absolute;right:0;top:0;border:10px solid #3f51b5;border-bottom-color:transparent;border-left-color:transparent;color:#fff}.cascade-select-overlay .up-selected-item:after{content:'';display:block;width:2px;height:6px;position:absolute;top:0;right:2px;border:2px solid #fff;border-top-color:transparent;border-left-color:transparent;transform:rotate(45deg)}"]
            }] }
];
/** @nocollapse */
CascadeSelectOverlayComponent.ctorParameters = () => [
    { type: CascadeSelectService }
];
CascadeSelectOverlayComponent.propDecorators = {
    searchResults: [{ type: Input }],
    defaultId: [{ type: Input }],
    minSelectable: [{ type: Input }],
    maxSelectable: [{ type: Input }],
    height: [{ type: Input }],
    multiple: [{ type: Input }],
    latestSelections: [{ type: Input }],
    isSearchable: [{ type: Input }],
    levelNameList: [{ type: Input }],
    inputValue: [{ type: Input }],
    dataSource: [{ type: Input }],
    selectedChange: [{ type: Output }],
    itemOnClick: [{ type: Output }],
    removeLatestItem: [{ type: Output }],
    inputSearch: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.searchResults;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.defaultId;
    /**
     * 最小的level 对可选中item的层级限制
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.minSelectable;
    /**
     * 最大的level 对可展开item的层级限制
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.maxSelectable;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.height;
    /**
     * 多选
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.multiple;
    /**
     * 传入的近期选择列表
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.latestSelections;
    /**
     * 是否有搜索功能
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.isSearchable;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.levelNameList;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype._inputValue;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype._inputValueList;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype._dataSource;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.selectedChange;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.itemOnClick;
    /**
     * 移除近期选择中item
     * @type {?}
     */
    CascadeSelectOverlayComponent.prototype.removeLatestItem;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.inputSearch;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.itemLevel;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.idList;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.selectableList;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.selectedItems;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.selectedItemsList;
    /** @type {?} */
    CascadeSelectOverlayComponent.prototype.searchValue;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectOverlayComponent.prototype.cascadeSelectService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UpCascadeSelectContentComponent {
    constructor() {
        this.class = 'up-cascade-select-content';
    }
}
UpCascadeSelectContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select-content',
                template: "<up-cascade-select-overlay cdkTrapFocus\r\n                           [dataSource]=\"cascadeSelect.dataSource\"\r\n                           [defaultId]=\"cascadeSelect.defaultId\"\r\n                           [minSelectable]=\"cascadeSelect.minSelectable\"\r\n                           [maxSelectable]=\"cascadeSelect.maxSelectable\"\r\n                           [height]=\"cascadeSelect.height\"\r\n                           [multiple]=\"cascadeSelect.multiple\"\r\n                           [searchResults]=\"cascadeSelect.searchResults\"\r\n                           [levelNameList]=\"cascadeSelect.levelNameList\"\r\n                           [latestSelections]=\"cascadeSelect.latestSelections\"\r\n                           [isSearchable]=\"cascadeSelect.isSearchable\"\r\n                           [inputValue]=\"cascadeSelect.inputValue\"\r\n                           (selectedChange)=\"cascadeSelect.changeSelected($event)\"\r\n                           (itemOnClick)=\"cascadeSelect.itemClicked($event)\"\r\n                           (removeLatestItem)=\"cascadeSelect.removeLatestItem($event)\"\r\n                           (inputSearch)=\"cascadeSelect.search($event)\">\r\n</up-cascade-select-overlay>\r\n",
                exportAs: 'upCascadeSelectContentComponent',
                styles: [".backdrop{opacity:0}"]
            }] }
];
UpCascadeSelectContentComponent.propDecorators = {
    class: [{ type: HostBinding, args: ['class',] }],
    _overlayContent: [{ type: ViewChild, args: [CascadeSelectOverlayComponent, { static: false },] }]
};
if (false) {
    /** @type {?} */
    UpCascadeSelectContentComponent.prototype.class;
    /**
     * Reference to the internal overlay component.
     * @type {?}
     */
    UpCascadeSelectContentComponent.prototype._overlayContent;
    /**
     * Reference to the cascadeSelect that created the overlay.
     * @type {?}
     */
    UpCascadeSelectContentComponent.prototype.cascadeSelect;
}
class CascadeSelectComponent {
    /**
     * @param {?} cascadeSelectService
     * @param {?} _overlay
     * @param {?} _viewContainerRef
     * @param {?} _document
     */
    constructor(cascadeSelectService, _overlay, _viewContainerRef, _document) {
        this.cascadeSelectService = cascadeSelectService;
        this._overlay = _overlay;
        this._viewContainerRef = _viewContainerRef;
        this._document = _document;
        this.selectedValue = new Subject();
        /**
         * 多选
         */
        this.multiple = false;
        this._opened = false;
        /**
         * Emits when the cascadeSelectOverlay is disabled.
         */
        this._disabledChange = new Subject();
        /**
         * 是否显示搜索框 默认不显示
         */
        this.isSearchable = false;
        /**
         * 搜索
         */
        this.inputSearch = new EventEmitter();
        /**
         * 选中项change
         */
        this.selectedOnChange = new EventEmitter();
        /**
         * item被点击
         */
        this.itemOnClick = new EventEmitter();
        /**
         * 移除近期选择
         */
        this.removeLatestSelection = new EventEmitter();
        /**
         * Emits when the selectOverlay has been opened.
         */
        this.dropdownOpened = new EventEmitter();
        /**
         * Emits when the selectOverlay has been closed.
         */
        this.dropdownClosed = new EventEmitter();
        this.clear = new EventEmitter();
        /**
         * The element that was focused before the cascadeSelect was opened.
         */
        this._focusedElementBeforeOpen = null;
        /**
         * Subscription to value changes in the associated input element.
         */
        this._inputSubscription = Subscription.EMPTY;
    }
    /**
     * @return {?}
     */
    get opened() { return this._opened; }
    /**
     * @param {?} value
     * @return {?}
     */
    set opened(value) { value ? this.open() : this.close(); }
    /**
     * @param {?} data
     * @return {?}
     */
    set dataSource(data) {
        this._dataSource = data;
    }
    /**
     * @return {?}
     */
    get dataSource() {
        return this._dataSource;
    }
    /**
     * Whether the cascadeSelectOverlay pop-up should be disabled.
     * @return {?}
     */
    get disabled() {
        return this._disabled === undefined && this._cascadeSelectInput ?
            this._cascadeSelectInput.disabled : !!this._disabled;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set disabled(value) {
        if (value !== this._disabled) {
            this._disabled = value;
            this._disabledChange.next(value);
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.close();
        this._inputSubscription.unsubscribe();
        this._disabledChange.complete();
        if (this._popupRef) {
            this._popupRef.dispose();
            this._popupComponentRef = null;
        }
    }
    /**
     * @param {?} e
     * @return {?}
     */
    search(e) {
        this.keywords = e.value;
        this.inputSearch.emit(this.keywords);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    changeSelected(e) {
        this.selectedValue.next(e[0]);
        // this.finalValue = e;
        // 只要点击就把选中的item发出去
        this.selectedOnChange.emit(e[1]);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    itemClicked(e) {
        this.itemOnClick.emit(e);
    }
    /**
     * remove 近期选择中选项
     * @param {?} e
     * @return {?}
     */
    removeLatestItem(e) {
        this.removeLatestSelection.emit(e);
    }
    /**
     * Create the popup PositionStrategy.
     * @private
     * @return {?}
     */
    _createPopupPositionStrategy() {
        return this._overlay.position()
            .flexibleConnectedTo(this._cascadeSelectInput.getConnectedOverlayOrigin())
            .withTransformOriginOn('.up-cascade-select-content')
            .withFlexibleDimensions(false)
            .withViewportMargin(8)
            .withLockedPosition()
            .withPositions([
            {
                originX: 'start',
                originY: 'bottom',
                overlayX: 'start',
                overlayY: 'top',
                offsetY: 10
            },
            {
                originX: 'start',
                originY: 'top',
                overlayX: 'start',
                overlayY: 'bottom',
                offsetY: -10
            },
            {
                originX: 'end',
                originY: 'bottom',
                overlayX: 'end',
                overlayY: 'top',
                offsetY: 10
            },
            {
                originX: 'end',
                originY: 'top',
                overlayX: 'end',
                overlayY: 'bottom',
                offsetY: -10
            }
        ]);
    }
    /**
     * @private
     * @return {?}
     */
    _createPopup() {
        /** @type {?} */
        const overlayConfig = new OverlayConfig({
            positionStrategy: this._createPopupPositionStrategy(),
            hasBackdrop: true,
            backdropClass: 'backdrop'
        });
        this._popupRef = this._overlay.create(overlayConfig);
        this._popupRef.backdropClick().subscribe((/**
         * @return {?}
         */
        () => {
            this.close();
        }));
    }
    /**
     * Register an input with this overlay.
     * @param {?} input The overlay input to register with this overlay.
     * @return {?}
     */
    _registerInput(input) {
        if (this._cascadeSelectInput) {
            throw Error('A Overlay can only be associated with a single input.');
        }
        this._cascadeSelectInput = input;
        this._inputSubscription =
            this._cascadeSelectInput._valueChange.subscribe((/**
             * @param {?} value
             * @return {?}
             */
            value => {
                this.inputValue = value;
                // input的value改变了 === 被选中
                this.finalValue = value;
            }));
    }
    /**
     * Open the overlay as a popup.
     * @private
     * @return {?}
     */
    _openAsPopup() {
        if (!this._overlayContent) {
            this._overlayContent = new ComponentPortal(UpCascadeSelectContentComponent, this._viewContainerRef);
        }
        if (!this._popupRef) {
            this._createPopup();
        }
        if (!this._popupRef.hasAttached()) {
            this._popupComponentRef = this._popupRef.attach(this._overlayContent);
            this._popupComponentRef.instance.cascadeSelect = this;
        }
    }
    /**
     * Open the overlay.
     * @return {?}
     */
    open() {
        if (this._opened) {
            return;
        }
        if (!this._cascadeSelectInput) {
            throw Error('Attempted to open an Overlay with no associated input.');
        }
        if (this._document) {
            this._focusedElementBeforeOpen = this._document.activeElement;
        }
        this._openAsPopup();
        this._opened = true;
        this.dropdownOpened.emit();
    }
    /**
     * Close the overlay.
     * @return {?}
     */
    close() {
        if (!this._opened) {
            return;
        }
        if (this._popupRef && this._popupRef.hasAttached()) {
            this._popupRef.detach();
        }
        if (this._overlayContent && this._overlayContent.isAttached) {
            this._overlayContent.detach();
        }
        this._opened = false;
        this.dropdownClosed.emit(this.finalValue);
        /** @type {?} */
        const completeClose = (/**
         * @return {?}
         */
        () => {
            // The `_opened` could've been reset already if
            // we got two events in quick succession.
            if (this._opened) {
                this._opened = false;
                this.dropdownClosed.emit(this.finalValue);
                this._focusedElementBeforeOpen = null;
            }
        });
        if (this._focusedElementBeforeOpen &&
            typeof this._focusedElementBeforeOpen.focus === 'function') {
            // Because IE moves focus asynchronously, we can't count on it being restored before we've
            // marked the datepicker as closed. If the event fires out of sequence and the element that
            // we're refocusing opens the datepicker on focus, the user could be stuck with not being
            // able to close the calendar at all. We work around it by making the logic, that marks
            // the datepicker as closed, async as well.
            this._focusedElementBeforeOpen.focus();
            setTimeout(completeClose);
        }
        else {
            completeClose();
        }
        // 每次关闭overlay将搜索结果清空
        this.searchResults = [];
    }
    // 清空input
    /**
     * @return {?}
     */
    clearInput() {
        if (Array.isArray(this.inputValue)) {
            this.inputValue = [
                {
                    label: [],
                    value: []
                }
            ];
        }
        else {
            this.inputValue = {
                label: [],
                value: []
            };
        }
        this.changeSelected([null, null]);
        this.clear.emit();
    }
}
CascadeSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select',
                template: '',
                exportAs: 'cascadeSelectComponent'
            }] }
];
/** @nocollapse */
CascadeSelectComponent.ctorParameters = () => [
    { type: CascadeSelectService },
    { type: Overlay },
    { type: ViewContainerRef },
    { type: undefined, decorators: [{ type: Optional }, { type: Inject, args: [DOCUMENT,] }] }
];
CascadeSelectComponent.propDecorators = {
    minSelectable: [{ type: Input }],
    maxSelectable: [{ type: Input }],
    height: [{ type: Input }],
    multiple: [{ type: Input }],
    opened: [{ type: Input }],
    dataSource: [{ type: Input }],
    disabled: [{ type: Input }],
    searchResults: [{ type: Input }],
    levelNameList: [{ type: Input }],
    latestSelections: [{ type: Input }],
    isSearchable: [{ type: Input }],
    defaultId: [{ type: Input }],
    inputSearch: [{ type: Output }],
    selectedOnChange: [{ type: Output }],
    itemOnClick: [{ type: Output }],
    removeLatestSelection: [{ type: Output }],
    dropdownOpened: [{ type: Output }],
    dropdownClosed: [{ type: Output }],
    clear: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    CascadeSelectComponent.prototype.selectedValue;
    /** @type {?} */
    CascadeSelectComponent.prototype.finalValue;
    /** @type {?} */
    CascadeSelectComponent.prototype.keywords;
    /**
     * 最小的level 对可选中item的层级限制
     * @type {?}
     */
    CascadeSelectComponent.prototype.minSelectable;
    /**
     * 最大的level 对可展开item的层级限制
     * @type {?}
     */
    CascadeSelectComponent.prototype.maxSelectable;
    /**
     * dropdown的最大高度
     * @type {?}
     */
    CascadeSelectComponent.prototype.height;
    /**
     * 多选
     * @type {?}
     */
    CascadeSelectComponent.prototype.multiple;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._opened;
    /** @type {?} */
    CascadeSelectComponent.prototype._dataSource;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._disabled;
    /**
     * Emits when the cascadeSelectOverlay is disabled.
     * @type {?}
     */
    CascadeSelectComponent.prototype._disabledChange;
    /**
     * 搜索结果
     * @type {?}
     */
    CascadeSelectComponent.prototype.searchResults;
    /**
     * 自定义输入层级title
     * @type {?}
     */
    CascadeSelectComponent.prototype.levelNameList;
    /**
     * 传入的近期选择列表
     * @type {?}
     */
    CascadeSelectComponent.prototype.latestSelections;
    /**
     * 是否显示搜索框 默认不显示
     * @type {?}
     */
    CascadeSelectComponent.prototype.isSearchable;
    /**
     * 默认id 如果有 从该id下的层级开始展开显示
     * @type {?}
     */
    CascadeSelectComponent.prototype.defaultId;
    /**
     * 搜索
     * @type {?}
     */
    CascadeSelectComponent.prototype.inputSearch;
    /**
     * 选中项change
     * @type {?}
     */
    CascadeSelectComponent.prototype.selectedOnChange;
    /**
     * item被点击
     * @type {?}
     */
    CascadeSelectComponent.prototype.itemOnClick;
    /**
     * 移除近期选择
     * @type {?}
     */
    CascadeSelectComponent.prototype.removeLatestSelection;
    /**
     * Emits when the selectOverlay has been opened.
     * @type {?}
     */
    CascadeSelectComponent.prototype.dropdownOpened;
    /**
     * Emits when the selectOverlay has been closed.
     * @type {?}
     */
    CascadeSelectComponent.prototype.dropdownClosed;
    /** @type {?} */
    CascadeSelectComponent.prototype.clear;
    /** @type {?} */
    CascadeSelectComponent.prototype.inputValue;
    /** @type {?} */
    CascadeSelectComponent.prototype._cascadeSelectInput;
    /**
     * A reference to the overlay when the cascadeSelect is opened as a popup.
     * @type {?}
     */
    CascadeSelectComponent.prototype._popupRef;
    /**
     * A portal containing the content for this overlay.
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._overlayContent;
    /**
     * Reference to the component instantiated in popup mode.
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._popupComponentRef;
    /**
     * The element that was focused before the cascadeSelect was opened.
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._focusedElementBeforeOpen;
    /**
     * Subscription to value changes in the associated input element.
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._inputSubscription;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype.cascadeSelectService;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._overlay;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._viewContainerRef;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectComponent.prototype._document;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-table/dynamic-table-inputs.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const moment = moment_;
const ɵ0 = {
    parse: {},
    display: {
        dateInput: { year: 'numeric', month: '2-digit', day: '2-digit' },
        monthInput: { month: 'long' },
        datetimeInput: {
            year: 'numeric',
            month: '2-digit',
            day: '2-digit',
            hour: '2-digit',
            minute: '2-digit',
            second: '2-digit',
            hour12: false
        }
    }
};
class DynamicTableInputsComponent {
    /**
     * @param {?} formBuilder
     */
    constructor(formBuilder) {
        this.formBuilder = formBuilder;
        this.isRequired = false;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.finalValue = this.value;
        this.initValidators();
        this.initDefaultValue();
    }
    /**
     * @return {?}
     */
    initValidators() {
        /** @type {?} */
        const controls = {};
        controls[this.cellData.field] = new FormControl(this.value, this.cellData.editor.validators);
        this.form = this.formBuilder.group(controls);
        if (this.cellData.editor.validators) {
            this.isRequired = this.cellData.editor.validators.indexOf(Validators.required) > -1;
        }
    }
    /**
     * @return {?}
     */
    initDefaultValue() {
        if (this.cellData.editor.type === 'datetimepicker' || this.cellData.editor.type === 'datepicker') {
            this.datetimeValue = this.value ? new Date(this.value) : new Date();
        }
    }
    /**
     * @param {?} e
     * @return {?}
     */
    getValue(e) {
        this.finalValue = e.target.value;
    }
    /**
     * @param {?} e
     * @return {?}
     */
    getSelectValue(e) {
        this.finalValue = e.value;
    }
    /**
     * @param {?} e
     * @return {?}
     */
    datetimeChange(e) {
        console.log(e);
        this.datetimeValue = e.value;
        // this.finnalValue = format(e.value, 'YYYY-MM-DD HH:mm:ss');
        this.finalValue = moment(e.value).format('YYYY-MM-DD HH:mm:ss');
    }
    /**
     * @param {?} e
     * @return {?}
     */
    dateChange(e) {
        this.datetimeValue = e.value;
        // this.finnalValue = format(e.value, 'YYYY-MM-DD');
        this.finalValue = moment(e.value).format('YYYY-MM-DD');
    }
}
DynamicTableInputsComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-dynamic-table-inputs',
                template: "<ng-container [ngSwitch]=\"cellData.editor.type\">\r\n  <form [formGroup]=\"form\">\r\n    <mat-form-field *ngSwitchCase=\"'input'\">\r\n      <input matInput type=\"text\" [required]=\"isRequired\" [value]=\"value\" [formControlName]=\"cellData.field\" (change)=\"getValue($event)\">\r\n      <mat-error [upFieldErrorFor]=\"form.controls[cellData.field]\"></mat-error>\r\n    </mat-form-field>\r\n\r\n    <mat-checkbox *ngSwitchCase=\"'checkbox'\" [checked]=\"value\"></mat-checkbox>\r\n\r\n    <mat-form-field *ngSwitchCase=\"'select'\">\r\n      <mat-select [value]=\"value\" (selectionChange)=\"getSelectValue($event)\">\r\n        <mat-option *ngFor=\"let val of cellData.editor.options\" [value]=\"val.id\">\r\n          {{val.label}}\r\n        </mat-option>\r\n      </mat-select>\r\n    </mat-form-field>\r\n\r\n    <mat-form-field *ngSwitchCase=\"'multipleselect'\">\r\n      <mat-select [value]=\"value\" (selectionChange)=\"getSelectValue($event)\" multiple>\r\n        <mat-option *ngFor=\"let val of cellData.editor.options\" [value]=\"val.id\">\r\n          {{val.label}}\r\n        </mat-option>\r\n      </mat-select>\r\n    </mat-form-field>\r\n\r\n    <mat-form-field *ngSwitchCase=\"'datetimepicker'\">\r\n      <mat-datetimepicker-toggle [for]=\"datetimePicker\" matSuffix></mat-datetimepicker-toggle>\r\n      <mat-datetimepicker  #datetimePicker type=\"datetime\" openOnFocus=\"true\" timeInterval=\"5\"></mat-datetimepicker>\r\n      <input matInput [value]=\"datetimeValue\" [matDatetimepicker]=\"datetimePicker\" [required]=\"isRequired\"\r\n             autocomplete=\"false\" (dateChange)=\"datetimeChange($event)\">\r\n    </mat-form-field>\r\n\r\n    <mat-form-field *ngSwitchCase=\"'datepicker'\">\r\n      <mat-datetimepicker-toggle [for]=\"datePicker\" matSuffix></mat-datetimepicker-toggle>\r\n      <mat-datetimepicker  #datePicker type=\"date\" openOnFocus=\"true\"></mat-datetimepicker>\r\n      <input matInput [value]=\"datetimeValue\" [matDatetimepicker]=\"datePicker\" [required]=\"isRequired\"\r\n             autocomplete=\"false\" (dateChange)=\"dateChange($event)\">\r\n    </mat-form-field>\r\n  </form>\r\n</ng-container>\r\n",
                providers: [
                    {
                        provide: DateAdapter,
                        useClass: NativeDateAdapter
                    },
                    {
                        provide: DatetimeAdapter,
                        useClass: NativeDatetimeAdapter
                    },
                    {
                        provide: MAT_DATETIME_FORMATS,
                        useValue: ɵ0
                    }
                ],
                styles: ["::ng-deep .mat-datetimepicker-calendar-header-date-time{font-size:18px!important}::ng-deep mat-datetimepicker-calendar-header-year{font-size:20px!important}"]
            }] }
];
/** @nocollapse */
DynamicTableInputsComponent.ctorParameters = () => [
    { type: FormBuilder }
];
DynamicTableInputsComponent.propDecorators = {
    key: [{ type: Input }],
    value: [{ type: Input }],
    cellData: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    DynamicTableInputsComponent.prototype.finalValue;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.form;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.key;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.value;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.cellData;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.datetimeValue;
    /** @type {?} */
    DynamicTableInputsComponent.prototype.isRequired;
    /**
     * @type {?}
     * @private
     */
    DynamicTableInputsComponent.prototype.formBuilder;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-table/dynamic-table.default.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const defaultToolbarOptions = {
    align: 'right',
    type: 'buttons',
    hiddenActions: ['view', 'edit'],
    customActions: []
};
const ɵ0$1 = /**
 * @return {?}
 */
() => true;
/** @type {?} */
const defaultActionColumnOptions = {
    showEditBtn: (ɵ0$1)
};
/** @type {?} */
const defaultPaginatorOptions = {
    pageSize: 10,
    length: 0,
    pageIndex: 1,
    pageActions: {
        showFirstLastButtons: true
    }
};

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-table/dynamic-table.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DynamicTableComponent {
    /**
     * @param {?} fetchService
     * @param {?} notifyService
     * @param {?} el
     */
    constructor(fetchService, notifyService, el) {
        this.fetchService = fetchService;
        this.notifyService = notifyService;
        this.el = el;
        this.displayedColumns = [];
        this.columns = [];
        this.toolBarButtons = ['add', 'view', 'edit', 'delete'];
        this._editingFlag = false;
        this._validFlag = true;
        this.hasSelect = 0;
        this.selectionColumn = {};
        this.theme = 'dynamic-table';
        this.keyName = 'id';
        this.showOptionColumn = true;
        this.save = new EventEmitter();
        this.delete = new EventEmitter();
        this.view = new EventEmitter();
        this.add = new EventEmitter();
        this.edit = new EventEmitter();
        this.pageChange = new EventEmitter();
        this.customActions = new EventEmitter();
        this.rowClick = new EventEmitter();
        this.rowDbClick = new EventEmitter();
        this.sortable = new EventEmitter();
        this.checkedChange = new EventEmitter();
        this.headCheckedChange = new EventEmitter();
    }
    /**
     * @param {?} data
     * @return {?}
     */
    set tableColumns(data) {
        this._tableColumns = data;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.sort.sortChange.subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            this.sortable.emit({ orderByField: res.active, orderBy: res.direction });
        }));
        this.hasSelect = Object.keys(this.selectionColumn).length;
        this.initToolBar();
        this.initActionColumn();
        this.initSelectColumn();
        this.initTableColumns();
        this.initTablePaginator();
        this.dataSource.connect().subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            if (this.selection) {
                // 判断之前勾选记录是否存在于tableDataSource中，如果不在，则从selection里面清除
                this.selection.selected.forEach((/**
                 * @param {?} item
                 * @return {?}
                 */
                item => {
                    if (findIndex(res, item) === -1) {
                        this.selection.deselect(item);
                    }
                }));
                console.log(this.selection);
            }
        }));
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onPageChange(event) {
        this.pageChange.emit(event);
    }
    /**
     * @param {?} columns
     * @return {?}
     */
    getAllColumns(columns) {
        /** @type {?} */
        const result = [];
        columns.forEach((/**
         * @param {?} column
         * @return {?}
         */
        column => {
            if (column.children) {
                column.isLeaf = false;
                result.push(column);
                result.push.apply(result, this.getAllColumns(column.children));
            }
            else {
                column.isLeaf = true;
                result.push(column);
            }
        }));
        return result;
    }
    /**
     * @param {?} originColumns
     * @return {?}
     */
    convertToRows(originColumns) {
        /** @type {?} */
        let maxLevel = 1;
        /** @type {?} */
        const traverse = (/**
         * @param {?} column
         * @param {?=} parent
         * @return {?}
         */
        (column, parent) => {
            if (parent) {
                column.level = parent.level + 1;
                if (maxLevel < column.level) {
                    maxLevel = column.level;
                }
            }
            if (column.children) {
                /** @type {?} */
                let colSpan = 0;
                column.children.forEach((/**
                 * @param {?} subColumn
                 * @return {?}
                 */
                subColumn => {
                    traverse(subColumn, column);
                    colSpan += subColumn.colSpan;
                }));
                column.colSpan = colSpan;
            }
            else {
                column.colSpan = 1;
            }
        });
        originColumns.forEach((/**
         * @param {?} column
         * @return {?}
         */
        column => {
            column.level = 1;
            traverse(column);
        }));
        /** @type {?} */
        const rows = [];
        /** @type {?} */
        const trColumns = [];
        for (let i = 0; i < maxLevel; i++) {
            rows.push([]);
            trColumns.push([]);
        }
        /** @type {?} */
        const allColumns = this.getAllColumns(originColumns);
        /** @type {?} */
        const displayedColumns = [];
        allColumns.forEach((/**
         * @param {?} column
         * @return {?}
         */
        column => {
            column.children ? column.rowSpan = 1 : column.rowSpan = maxLevel - column.level + 1;
            if (column.isLeaf) {
                displayedColumns.push(column.field);
            }
            rows[column.level - 1].push(column);
            trColumns[column.level - 1].push(column.field);
        }));
        return {
            rows: rows,
            trColumns: trColumns,
            allColumns: allColumns,
            maxLevel: maxLevel,
            displayedColumns: displayedColumns
        };
    }
    // 初始化工具栏
    /**
     * @return {?}
     */
    initToolBar() {
        if (this.toolbar) {
            this.toolbar = defaultsDeep(this.toolbar, defaultToolbarOptions);
            if (this.toolbar.hiddenActions) {
                /** @type {?} */
                let b = '';
                for (const item of this.toolbar.hiddenActions) {
                    for (let i = 0; i < this.toolBarButtons.length; i++) {
                        b = this.toolBarButtons[i];
                        if (item === b) {
                            this.toolBarButtons.splice(i, 1);
                            break;
                        }
                    }
                }
            }
        }
    }
    // 初始化带下拉框的数据
    /**
     * @return {?}
     */
    initSelectColumn() {
        if (this.hasSelect > 0) {
            this.selection = new SelectionModel(this.selectionColumn['multiple'], []);
        }
    }
    // 初始化表格行数据
    /**
     * @return {?}
     */
    initTableColumns() {
        if (this.hasSelect > 0) {
            this._tableColumns.unshift({ field: 'up_select', label: '选择' });
        }
        if (this.showOptionColumn) {
            this._tableColumns.push({ field: 'up_control', label: '操作' });
        }
        this._columnObject = this.convertToRows(this._tableColumns);
        this.columns = this._columnObject.allColumns;
        this.trColumns = this._columnObject.trColumns;
        this.maxLevel = this._columnObject.maxLevel;
        this.displayedColumns = this._columnObject.displayedColumns;
    }
    // 初始化表格分页
    /**
     * @return {?}
     */
    initTablePaginator() {
        if (this.paginator) {
            this.paginator = defaultsDeep(this.paginator, defaultPaginatorOptions);
        }
        this.dataSource['paginator'] = this.matPaginator;
    }
    // 初始化操作列按钮
    /**
     * @return {?}
     */
    initActionColumn() {
        this.actionColumn = defaultsDeep(this.actionColumn, defaultActionColumnOptions);
    }
    // 编辑按钮方法
    /**
     * @param {?} row
     * @return {?}
     */
    editRow(row) {
        if (!this._editingFlag) {
            row.editing = true;
            this._editingFlag = true;
        }
        else {
            this.notifyService.showToast('warning', { data: { title: '信息', message: '请先保存在编辑下一条数据' } });
        }
    }
    // 保存按钮方法
    /**
     * @param {?} row
     * @return {?}
     */
    saveRow(row) {
        /** @type {?} */
        let data = {};
        this._validFlag = true;
        this.children.forEach((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            data[item.key] = item.finalValue;
            if (!item.form.valid) {
                /** @type {?} */
                const control = (/** @type {?} */ (Object.values(item.form.controls)[0]));
                // 手动触发form失去焦点后的验证
                control.markAsTouched();
                control.updateValueAndValidity();
                this._validFlag = false;
                this.notifyService.showToast('warning', {
                    data: {
                        title: '警告',
                        message: `请检查\"${item.cellData.label}\"字段的合法性`
                    }
                });
                return;
            }
        }));
        if (this._validFlag) {
            data = Object.assign({}, row, data);
            this.save.emit(data);
            this._editingFlag = false;
        } // else {
        // this.notifyService.showToast('warning', {data: {title: '信息', message: '请检查数据的合法性'}});
        // }
    }
    // 取消编辑
    /**
     * @param {?} row
     * @return {?}
     */
    cancelRow(row) {
        if (!row.id) {
            /** @type {?} */
            const tableData = this.dataSource['data'];
            tableData.shift();
            this.dataSource['data'] = tableData;
        }
        this._editingFlag = false;
        row.editing = false;
    }
    // 新增
    /**
     * @return {?}
     */
    addItem() {
        /** @type {?} */
        const copyData = this.dataSource['data'];
        /** @type {?} */
        let addCount = 0;
        for (const row of copyData) {
            if (!row[this.keyName]) {
                addCount++;
                this.notifyService.showToast('warning', { data: { title: '信息', message: '请先保存在添加下一条数据' } });
                return;
            }
        }
        /** @type {?} */
        const addData = {};
        this.columns.forEach((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            addData[item.field] = undefined;
        }));
        addData['editing'] = true;
        copyData.unshift(addData);
        this.dataSource['data'] = copyData;
    }
    // 查看
    /**
     * @return {?}
     */
    viewItem() {
        this.view.emit(this.selection.selected);
    }
    // 编辑
    /**
     * @return {?}
     */
    editItem() {
        this.edit.emit(this.selection.selected);
    }
    // 删除
    /**
     * @param {?=} row
     * @return {?}
     */
    deleteItem(row) {
        if (row) {
            this.delete.emit([row]);
        }
        else {
            this.delete.emit(this.selection.selected);
        }
    }
    /**
     * @return {?}
     */
    isAllSelected() {
        /** @type {?} */
        const numSelected = this.selection.selected.length;
        /** @type {?} */
        const numRows = this.dataSource['data'].length;
        return numSelected === numRows;
    }
    /**
     * Selects all rows if they are not all selected; otherwise clear selection.
     * @return {?}
     */
    masterToggle() {
        this.isAllSelected() ? this.selection.clear() : this.dataSource['data'].forEach((/**
         * @param {?} row
         * @return {?}
         */
        row => this.selection.select(row)));
    }
    /**
     * @param {?} item
     * @return {?}
     */
    customAction(item) {
        this.customActions.emit({ selectData: this.selection ? this.selection.selected : [], buttonData: item });
    }
    /**
     * @param {?} row
     * @param {?} item
     * @return {?}
     */
    columnOptAction(row, item) {
        /** @type {?} */
        const emitData = { selectData: [row], buttonData: item };
        this.customActions.emit(emitData);
    }
    /**
     * @param {?} row
     * @return {?}
     */
    trClick(row) {
        this.rowClick.emit(row);
    }
    /**
     * @param {?} row
     * @return {?}
     */
    trDbClick(row) {
        this.rowDbClick.emit(row);
    }
    /**
     * @param {?} row
     * @return {?}
     */
    tdCheckChange(row) {
        this.selection.toggle(row);
        this.checkedChange.emit({ status: this.selection.isSelected(row), rowData: row });
    }
    /**
     * @return {?}
     */
    trCheckChange() {
        this.masterToggle();
        this.headCheckedChange.emit({
            status: this.selection.selected.length > 0 && this.isAllSelected(),
            selectData: this.selection.selected
        });
    }
}
DynamicTableComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-dynamic-table',
                template: "<div class=\"{{theme}}\">\r\n    <ng-container *ngIf=\"toolbar\">\r\n        <ng-container *ngIf=\"selection\">\r\n            <up-dynamic-table-toolbar [toolbar]=\"toolbar\" [selection]=\"selection.selected\"\r\n                                      (addItem)=\"addItem()\" (deleteItem)=\"deleteItem()\"\r\n                                      (editItem)=\"editItem()\" (viewItem)=\"viewItem()\"\r\n                                      (customAction)=\"customAction($event)\"></up-dynamic-table-toolbar>\r\n        </ng-container>\r\n        <ng-container *ngIf=\"!selection\">\r\n            <up-dynamic-table-toolbar [toolbar]=\"toolbar\"\r\n                                      (addItem)=\"addItem()\" (deleteItem)=\"deleteItem()\"\r\n                                      (editItem)=\"editItem()\" (viewItem)=\"viewItem()\"\r\n                                      (customAction)=\"customAction($event)\"></up-dynamic-table-toolbar>\r\n        </ng-container>\r\n    </ng-container>\r\n    \r\n    \r\n    <div class=\"dynamic-table-container\">\r\n        <table #table mat-table [dataSource]=\"dataSource\" matSort>\r\n            <ng-container *ngFor=\"let item of columns\" [matColumnDef]=\"item.field\" [stickyEnd]=\"item.field === 'up_control'\" [sticky]=\"item.sticky\">\r\n                <!--\u9009\u62E9\u5217-->\r\n                <ng-container *ngIf=\"item.field == 'up_select'\">\r\n                    <!--\u591A\u9009\u7684CheckBox-->\r\n                    <ng-container *ngIf=\"selectionColumn['multiple']==true\">\r\n                        <th [colSpan]=\"item.colSpan\" [rowSpan]=\"item.rowSpan\" mat-header-cell *matHeaderCellDef>\r\n                            <mat-checkbox (change)=\"$event ? trCheckChange() : null\"\r\n                                          [checked]=\"this.selection.selected.length>0 && isAllSelected()\"\r\n                                          [indeterminate]=\"this.selection.selected.length>0 && !isAllSelected()\">\r\n                            </mat-checkbox>\r\n                        </th>\r\n                        <td mat-cell *matCellDef=\"let row\">\r\n                            <mat-checkbox (click)=\"$event.stopPropagation()\"\r\n                                          (change)=\"$event ? tdCheckChange(row) : null\"\r\n                                          [checked]=\"selection.isSelected(row)\">\r\n                            </mat-checkbox>\r\n                        </td>\r\n                    </ng-container>\r\n                    \r\n                    <!--\u5355\u9009\u7684CheckBox-->\r\n                    <ng-container *ngIf=\"selectionColumn['multiple']==false\">\r\n                        <th [colSpan]=\"item.colSpan\" [rowSpan]=\"item.rowSpan\" mat-header-cell *matHeaderCellDef> \u9009\u62E9</th>\r\n                        <td mat-cell *matCellDef=\"let row\">\r\n                            <mat-checkbox (click)=\"$event.stopPropagation()\" (change)=\"$event ? tdCheckChange(row) : null\"\r\n                                          [checked]=\"selection.isSelected(row)\">\r\n                            </mat-checkbox>\r\n                        </td>\r\n                    </ng-container>\r\n                </ng-container>\r\n                <!--\u9009\u62E9\u5217End-->\r\n                \r\n                <!--\u6570\u636E\u5217-->\r\n                <ng-container *ngIf=\"item.field!='up_select' && item.field!='up_control'\">\r\n                    <th [colSpan]=\"item.colSpan\" [rowSpan]=\"item.rowSpan\" mat-header-cell *matHeaderCellDef mat-sort-header [disabled]=\"!item.sortable\"\r\n                        [style.width]=\"item.width\" [style.align]=\"item.align\" [ngClass]=\"item.className\">{{item.label}}</th>\r\n                    \r\n                    <td mat-cell *matCellDef=\"let row\">\r\n                        <!--{{row[item.field]}}-->\r\n                        <ng-container *ngIf=\"item.renderer\">\r\n                <span *ngIf=\"!item.editor || !row.editing;else content\"\r\n                      [innerHTML]=\"item.renderer(row) | html\"></span>\r\n                        </ng-container>\r\n                        \r\n                        <ng-container *ngIf=\"!item.renderer\">\r\n                            <span *ngIf=\"!item.editor || !row.editing;else content\">{{row[item.field]}}</span>\r\n                        </ng-container>\r\n                        \r\n                        <ng-template #content>\r\n                            <up-dynamic-table-inputs [key]=\"item.field\" [value]=\"row[item.field]\"\r\n                                                     [cellData]=\"item\"></up-dynamic-table-inputs>\r\n                        </ng-template>\r\n                    </td>\r\n                </ng-container>\r\n                <!--\u9009\u62E9\u5217End-->\r\n                \r\n                <!--\u64CD\u4F5C\u5217-->\r\n                <ng-container *ngIf=\"item.field =='up_control'\">\r\n                    <th [colSpan]=\"item.colSpan\" [style.width]=\"actionColumn.width\" [rowSpan]=\"item.rowSpan\"\r\n                        mat-header-cell *matHeaderCellDef> \u64CD\u4F5C</th>\r\n                    <td mat-cell *matCellDef=\"let row\">\r\n                        <ng-container *ngIf=\"actionColumn.showEditBtn(row)\">\r\n                            <mat-icon *ngIf=\"!row.editing\" matTooltip=\"\u7F16\u8F91\" class=\"op-btn-icon-edit\" (click)=\"editRow(row)\">edit\r\n                            </mat-icon>\r\n                            \r\n                            <button *ngIf=\"row.editing\" color=\"primary\" class=\"op-btn-save\"\r\n                                    (click)=\"saveRow(row)\">\u4FDD\u5B58\r\n                            </button>\r\n                            \r\n                            <button color=\"primary\" class=\"op-btn-cancel\" *ngIf=\"row.editing\"\r\n                                    (click)=\"cancelRow(row)\">\u53D6\u6D88\r\n                            </button>\r\n                        </ng-container>\r\n                        \r\n                        <ng-container *ngIf=\"actionColumn.customActions\">\r\n                            <ng-container *ngFor=\"let item of actionColumn.customActions\">\r\n                              <ng-container *ngIf=\"!item.hidden(row)\">\r\n                                <mat-icon *ngIf=\"item.type === 'icon'\"\r\n                                          [matTooltip]=\"item.label\"\r\n                                          class=\"op-btn-icon-edit\"\r\n                                          [ngClass]=\"item.class\"\r\n                                          (click)=\"columnOptAction(row, item)\">\r\n                                  {{item.icon}}\r\n                                </mat-icon>\r\n  \r\n                                <button *ngIf=\"item.type === 'text'\"\r\n                                        color=\"primary\"\r\n                                        class=\"op-btn-edit\"\r\n                                        [ngClass]=\"item.class\"\r\n                                        (click)=\"columnOptAction(row, item)\">{{item.label}}\r\n                                </button>\r\n                              </ng-container>\r\n                              \r\n                            </ng-container>\r\n                        </ng-container>\r\n                    </td>\r\n                </ng-container>\r\n            </ng-container>\r\n            <!--\u64CD\u4F5C\u5217End-->\r\n            \r\n            <ng-container *ngFor=\"let trColumn of trColumns\">\r\n                <tr mat-header-row *matHeaderRowDef=\"trColumn\"></tr>\r\n            </ng-container>\r\n            \r\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns;\" appHighlight (click)=\"trClick(row)\"\r\n                (dblclick)=\"trDbClick(row)\">\r\n            </tr>\r\n        </table>\r\n    </div>\r\n    <mat-paginator *ngIf=\"paginator\" [length]=\"paginator.length\" [pageSize]=\"paginator.pageSize\"\r\n                   (page)=\"onPageChange($event)\"\r\n                   [showFirstLastButtons]=\"paginator.pageActions['showFirstLastButtons']\"></mat-paginator>\r\n</div>\r\n",
                styles: ["@charset \"UTF-8\";.dynamic-table .dynamic-table-container table{width:100%}.dynamic-table .more-button{position:absolute;top:5px;right:10px;z-index:109}.dynamic-table .op-btn-edit{background:#1e9fff;margin-right:10px}.dynamic-table .op-btn-save{background:green;margin-right:10px}.dynamic-table .op-btn-delete{background:#ff5722}.dynamic-table .op-btn-cancel{background:#ffb800}.dynamic-table .highlight{background:#daf6ff}.dynamic-table-dark{padding-top:15px}.dynamic-table-dark .dynamic-table-container table{width:100%;background:#444}.dynamic-table-dark .dynamic-table-container table ::ng-deep .mat-sort-header-arrow{color:#58ecdc}.dynamic-table-dark .dynamic-table-container table .mat-table-sticky:last-child{border-left:1px solid #e0e0e0}.dynamic-table-dark .dynamic-table-container table tr{height:36px;color:#fff}.dynamic-table-dark .dynamic-table-container table tr th{color:#58ecdc;font-weight:700;font-size:14px;background:#353434;padding:3px 0 3px 10px}.dynamic-table-dark .dynamic-table-container table tr th .mat-checkbox{margin:0 5px}.dynamic-table-dark .dynamic-table-container table tr th .mat-checkbox ::ng-deep .mat-checkbox-frame{border-color:#58ecdc}.dynamic-table-dark .dynamic-table-container table tr th .mat-checkbox ::ng-deep .mat-checkbox-background{background-color:#444;border:1px solid #58ecdc}.dynamic-table-dark .dynamic-table-container table tr td{padding:3px 0 3px 10px;color:#fff}.dynamic-table-dark .dynamic-table-container table tr td.mat-cell{border-bottom-color:rgba(253,252,252,.22)}.dynamic-table-dark .dynamic-table-container table tr td .mat-checkbox{margin:0 5px}.dynamic-table-dark .dynamic-table-container table tr td .mat-checkbox ::ng-deep .mat-checkbox-background{background-color:#444;border:1px solid #58ecdc}.dynamic-table-dark .dynamic-table-container table tr td ::ng-deep .mat-form-field-flex .mat-form-field-appearance-legacy .mat-form-field-infix{padding:5px}.dynamic-table-dark .dynamic-table-container table tr td ::ng-deep .mat-form-field-flex .mat-form-field-infix{border:1px solid transparent}.dynamic-table-dark .dynamic-table-container table tr td ::ng-deep .mat-form-field-flex .mat-form-field-infix .mat-select-arrow{color:#fff}.dynamic-table-dark .dynamic-table-container table tr td ::ng-deep .mat-form-field-flex .mat-select-value{color:#fff}.dynamic-table-dark ::ng-deep .mat-paginator-container{background:#252525;color:#fff}.dynamic-table-dark ::ng-deep .mat-paginator-container ::ng-deep .mat-icon-button[disabled][disabled]{color:#545353}.dynamic-table-dark ::ng-deep .mat-form-field-appearance-legacy .mat-form-field-underline{background-color:#fff}.dynamic-table-dark ::ng-deep .mat-form-field.mat-focused .mat-form-field-ripple{background-color:#58ecdc}.dynamic-table-dark .more-button{position:absolute;top:5px;right:10px;z-index:109}.dynamic-table-dark .op-btn-edit{background:#1e9fff;margin-right:10px;outline:0;border:1px solid transparent}.dynamic-table-dark .op-btn-icon-delete,.dynamic-table-dark .op-btn-icon-edit{color:#58ecdc;cursor:pointer;font-size:18px;position:relative;top:2px;left:-5px}.dynamic-table-dark .op-btn-save{background:green;margin-right:10px;outline:0;border:1px solid transparent}.dynamic-table-dark .op-btn-delete{background:#ff5722;outline:0;border:1px solid transparent}.dynamic-table-dark .op-btn-cancel{background:#ffb800;outline:0;border:1px solid transparent}.dynamic-table-dark .highlight{background:#daf6ff}"]
            }] }
];
/** @nocollapse */
DynamicTableComponent.ctorParameters = () => [
    { type: FetchService },
    { type: NotifyService },
    { type: ElementRef }
];
DynamicTableComponent.propDecorators = {
    dataSource: [{ type: Input }],
    tableColumns: [{ type: Input }],
    selectionColumn: [{ type: Input }],
    actionColumn: [{ type: Input }],
    toolbar: [{ type: Input }],
    paginator: [{ type: Input }],
    theme: [{ type: Input }],
    keyName: [{ type: Input }],
    showOptionColumn: [{ type: Input }],
    save: [{ type: Output }],
    delete: [{ type: Output }],
    view: [{ type: Output }],
    add: [{ type: Output }],
    edit: [{ type: Output }],
    pageChange: [{ type: Output }],
    customActions: [{ type: Output }],
    rowClick: [{ type: Output }],
    rowDbClick: [{ type: Output }],
    sortable: [{ type: Output }],
    checkedChange: [{ type: Output }],
    headCheckedChange: [{ type: Output }],
    matPaginator: [{ type: ViewChild, args: [MatPaginator, { static: true },] }],
    sort: [{ type: ViewChild, args: [MatSort, { static: true },] }],
    children: [{ type: ViewChildren, args: [DynamicTableInputsComponent,] }]
};
if (false) {
    /** @type {?} */
    DynamicTableComponent.prototype.mode;
    /** @type {?} */
    DynamicTableComponent.prototype.displayedColumns;
    /** @type {?} */
    DynamicTableComponent.prototype.selection;
    /** @type {?} */
    DynamicTableComponent.prototype.columns;
    /** @type {?} */
    DynamicTableComponent.prototype.trColumns;
    /** @type {?} */
    DynamicTableComponent.prototype.toolBarButtons;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype._editingFlag;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype._validFlag;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype._columnObject;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype.maxLevel;
    /** @type {?} */
    DynamicTableComponent.prototype.hasSelect;
    /** @type {?} */
    DynamicTableComponent.prototype.dataSource;
    /** @type {?} */
    DynamicTableComponent.prototype._tableColumns;
    /** @type {?} */
    DynamicTableComponent.prototype.selectionColumn;
    /** @type {?} */
    DynamicTableComponent.prototype.actionColumn;
    /** @type {?} */
    DynamicTableComponent.prototype.toolbar;
    /** @type {?} */
    DynamicTableComponent.prototype.paginator;
    /** @type {?} */
    DynamicTableComponent.prototype.theme;
    /** @type {?} */
    DynamicTableComponent.prototype.keyName;
    /** @type {?} */
    DynamicTableComponent.prototype.showOptionColumn;
    /** @type {?} */
    DynamicTableComponent.prototype.save;
    /** @type {?} */
    DynamicTableComponent.prototype.delete;
    /** @type {?} */
    DynamicTableComponent.prototype.view;
    /** @type {?} */
    DynamicTableComponent.prototype.add;
    /** @type {?} */
    DynamicTableComponent.prototype.edit;
    /** @type {?} */
    DynamicTableComponent.prototype.pageChange;
    /** @type {?} */
    DynamicTableComponent.prototype.customActions;
    /** @type {?} */
    DynamicTableComponent.prototype.rowClick;
    /** @type {?} */
    DynamicTableComponent.prototype.rowDbClick;
    /** @type {?} */
    DynamicTableComponent.prototype.sortable;
    /** @type {?} */
    DynamicTableComponent.prototype.checkedChange;
    /** @type {?} */
    DynamicTableComponent.prototype.headCheckedChange;
    /** @type {?} */
    DynamicTableComponent.prototype.matPaginator;
    /** @type {?} */
    DynamicTableComponent.prototype.sort;
    /** @type {?} */
    DynamicTableComponent.prototype.children;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype.fetchService;
    /**
     * @type {?}
     * @private
     */
    DynamicTableComponent.prototype.notifyService;
    /** @type {?} */
    DynamicTableComponent.prototype.el;
}
class MatPaginatorIntlCn extends MatPaginatorIntl {
    constructor() {
        super(...arguments);
        this.itemsPerPageLabel = '每页条数: ';
        this.nextPageLabel = '下一页';
        this.previousPageLabel = '上一页';
        this.firstPageLabel = '首页';
        this.lastPageLabel = '尾页';
        this.getRangeLabel = (/**
         * @param {?} page
         * @param {?} pageSize
         * @param {?} length
         * @return {?}
         */
        (page, pageSize, length) => {
            if (length === 0 || pageSize === 0) {
                return `0 of ${length}`;
            }
            /** @type {?} */
            const len = Math.max(length, 0);
            /** @type {?} */
            const startIndex = page * pageSize;
            /** @type {?} */
            const endIndex = startIndex < len ? Math.min(startIndex + pageSize, len) : startIndex + pageSize;
            return `第${startIndex + 1}-${endIndex}条, 总共${len}条`;
        });
    }
}
/** @nocollapse */ MatPaginatorIntlCn.ngInjectableDef = ɵɵdefineInjectable({ factory: function MatPaginatorIntlCn_Factory() { return new MatPaginatorIntlCn(); }, token: MatPaginatorIntlCn, providedIn: "root" });
if (false) {
    /** @type {?} */
    MatPaginatorIntlCn.prototype.itemsPerPageLabel;
    /** @type {?} */
    MatPaginatorIntlCn.prototype.nextPageLabel;
    /** @type {?} */
    MatPaginatorIntlCn.prototype.previousPageLabel;
    /** @type {?} */
    MatPaginatorIntlCn.prototype.firstPageLabel;
    /** @type {?} */
    MatPaginatorIntlCn.prototype.lastPageLabel;
    /** @type {?} */
    MatPaginatorIntlCn.prototype.getRangeLabel;
}
class HtmlNecData {
}
if (false) {
    /** @type {?} */
    HtmlNecData.prototype.allColumns;
    /** @type {?} */
    HtmlNecData.prototype.trColumns;
    /** @type {?} */
    HtmlNecData.prototype.rows;
    /** @type {?} */
    HtmlNecData.prototype.maxLevel;
    /** @type {?} */
    HtmlNecData.prototype.displayedColumns;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-table/dynamic-table-toolbar.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class DynamicTableToolbarComponent {
    constructor() {
        this.toolBarButtons = ['add', 'view', 'edit', 'delete'];
        this.selection = [];
        this.addItem = new EventEmitter();
        this.viewItem = new EventEmitter();
        this.editItem = new EventEmitter();
        this.deleteItem = new EventEmitter();
        this.customAction = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.toolbar) {
            if (this.toolbar.hiddenActions) {
                /** @type {?} */
                let b = '';
                for (const item of this.toolbar.hiddenActions) {
                    for (let i = 0; i < this.toolBarButtons.length; i++) {
                        b = this.toolBarButtons[i];
                        if (item === b) {
                            this.toolBarButtons.splice(i, 1);
                            break;
                        }
                    }
                }
            }
        }
    }
    /**
     * @return {?}
     */
    add() {
        this.addItem.emit('addItem');
    }
    /**
     * @return {?}
     */
    view() {
        this.addItem.emit('view');
    }
    /**
     * @return {?}
     */
    edit() {
        this.editItem.emit('edit');
    }
    /**
     * @return {?}
     */
    del() {
        this.deleteItem.emit('delete');
    }
    /**
     * @param {?} item
     * @return {?}
     */
    customAct(item) {
        this.customAction.emit(item);
    }
}
DynamicTableToolbarComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-dynamic-table-toolbar',
                template: "<ng-container *ngIf=\"toolbar?.type == 'menu'\">\r\n  <button mat-icon-button  class=\"more-button\" [matMenuTriggerFor]=\"menu\" aria-label=\"Toggle menu\">\r\n    <mat-icon>more_vert</mat-icon>\r\n  </button>\r\n  <mat-menu #menu=\"matMenu\" xPosition=\"before\">\r\n    <button mat-menu-item (click)=\"add()\">\r\n      <mat-icon>add_circle_outline</mat-icon>\r\n      <span>\u65B0\u589E</span>\r\n    </button>\r\n    <button mat-menu-item [disabled]=\"selection.length==0\" (click)=\"edit()\">\r\n      <mat-icon>create</mat-icon>\r\n      <span>\u7F16\u8F91</span>\r\n    </button>\r\n    <button mat-menu-item [disabled]=\"selection.length==0\" (click)=\"del()\">\r\n      <mat-icon>delete</mat-icon>\r\n      <span>\u5220\u9664</span>\r\n    </button>\r\n    <ng-container *ngIf=\"toolbar.customActions\">\r\n      <button mat-menu-item *ngFor=\"let item of toolbar.customActions\" (click)=\"customAct(item)\">\r\n        <mat-icon>{{item.icon}}</mat-icon>\r\n        <span>{{item.label}}</span>\r\n      </button>\r\n    </ng-container>\r\n  </mat-menu>\r\n</ng-container>\r\n\r\n<ng-container *ngIf=\"toolbar?.type == 'buttons'\">\r\n  <div class=\"button-row\" [style.textAlign]=\"toolbar?.align\">\r\n    <ng-container *ngFor=\"let item of toolBarButtons\">\r\n      <ng-container [ngSwitch]=\"item\">\r\n        <button mat-flat-button color=\"primary\" *ngSwitchCase=\"'add'\" (click)=\"add()\">\u65B0\u589E</button>\r\n        <button mat-flat-button color=\"primary\" *ngSwitchCase=\"'view'\" (click)=\"view()\" [disabled]=\"selection.length==0\">\u67E5\u770B</button>\r\n        <button mat-flat-button color=\"accent\" *ngSwitchCase=\"'edit'\" (click)=\"edit()\" [disabled]=\"selection.length==0\">\u7F16\u8F91</button>\r\n        <button mat-flat-button color=\"warn\" *ngSwitchCase=\"'delete'\" (click)=\"del()\" [disabled]=\"selection.length==0\">\u5220\u9664</button>\r\n      </ng-container>\r\n\r\n    </ng-container>\r\n\r\n    <ng-container *ngIf=\"toolbar.customActions\">\r\n      <button *ngFor=\"let item of toolbar.customActions\"  mat-flat-button color=\"primary\" (click)=\"customAct(item)\" >{{item.label}}</button>\r\n    </ng-container>\r\n  </div>\r\n</ng-container>\r\n",
                styles: [".more-button{position:absolute;top:20px;right:10px;z-index:109}.edit-save{margin-right:10px}.button-row{margin-bottom:5px}.button-row a,.button-row button{margin-right:8px}"]
            }] }
];
DynamicTableToolbarComponent.propDecorators = {
    toolbar: [{ type: Input }],
    selection: [{ type: Input }],
    addItem: [{ type: Output }],
    viewItem: [{ type: Output }],
    editItem: [{ type: Output }],
    deleteItem: [{ type: Output }],
    customAction: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.toolBarButtons;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.toolbar;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.selection;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.addItem;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.viewItem;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.editItem;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.deleteItem;
    /** @type {?} */
    DynamicTableToolbarComponent.prototype.customAction;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-table/dynamic-table.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DynamicTableModule {
}
DynamicTableModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule,
                    FormExtensionModule,
                    NotificationModule,
                    PipesModule
                ],
                declarations: [
                    DynamicTableComponent,
                    DynamicTableInputsComponent,
                    DynamicTableToolbarComponent
                ],
                exports: [
                    DynamicTableComponent,
                    DynamicTableInputsComponent,
                    DynamicTableToolbarComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select-history/cascade-select-history.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CascadeSelectHistoryComponent {
    constructor() {
        /**
         * 选中近期选择中的选项
         */
        this.chooseLatestItem = new EventEmitter();
        /**
         * 移除近期选择中的选项
         */
        this.removeLatestItem = new EventEmitter();
    }
    /**
     * @param {?} item
     * @return {?}
     */
    getSelectedItem(item) {
        this.chooseLatestItem.emit(item);
    }
    /**
     * @param {?} item
     * @return {?}
     */
    removeSelectedItem(item) {
        this.removeLatestItem.emit(item);
    }
}
CascadeSelectHistoryComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select-history',
                template: "<p class=\"cascade-select-clickable\">\r\n  \u8FD1\u671F\u9009\u62E9\uFF1A\r\n  <mat-chip-list style=\"display: inline\">\r\n    <mat-chip *ngFor=\"let item of latestSelections\"\r\n              (click)=\"getSelectedItem(item)\"\r\n              [removable]=\"true\"\r\n              (removed)=\"removeSelectedItem(item)\"\r\n    >\r\n      {{item.name}}\r\n      <mat-icon matChipRemove>cancel</mat-icon>\r\n    </mat-chip>\r\n  </mat-chip-list>\r\n</p>\r\n",
                styles: [".cascade-select-clickable{padding:10px}.cascade-select-clickable a{color:#6e6e6e;cursor:pointer}.cascade-select-clickable a:hover{color:#3f51b5}"]
            }] }
];
CascadeSelectHistoryComponent.propDecorators = {
    latestSelections: [{ type: Input }],
    chooseLatestItem: [{ type: Output }],
    removeLatestItem: [{ type: Output }]
};
if (false) {
    /**
     * 传入的近期选择列表
     * @type {?}
     */
    CascadeSelectHistoryComponent.prototype.latestSelections;
    /**
     * 选中近期选择中的选项
     * @type {?}
     */
    CascadeSelectHistoryComponent.prototype.chooseLatestItem;
    /**
     * 移除近期选择中的选项
     * @type {?}
     */
    CascadeSelectHistoryComponent.prototype.removeLatestItem;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select-search-results/cascade-select-search-results.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CascadeSelectSearchResultsComponent {
    /**
     * @param {?} cascadeSelectService
     */
    constructor(cascadeSelectService) {
        this.cascadeSelectService = cascadeSelectService;
        this.searchResults = [];
        this.chooseResultItem = new EventEmitter();
    }
    /**
     * @param {?} item
     * @return {?}
     */
    getSelectedItem(item) {
        this.chooseResultItem.emit(item);
    }
}
CascadeSelectSearchResultsComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select-search-results',
                template: "<div class=\"cascade-select-clickable\">\r\n  \u641C\u7D22\u7ED3\u679C\uFF1A\r\n    <p *ngIf=\"searchResults.length>0\">\r\n        <a *ngFor=\"let item of searchResults\" (click)=\"getSelectedItem(item)\">\r\n            {{item.name}}\r\n        </a>\r\n    </p>\r\n    <span *ngIf=\"searchResults.length===0\">\u65E0\u7ED3\u679C</span>\r\n</div>\r\n",
                styles: [".cascade-select-clickable{padding:10px}.cascade-select-clickable p{display:inline-block}.cascade-select-clickable a{color:#6e6e6e;cursor:pointer}.cascade-select-clickable a:hover{color:#3f51b5}"]
            }] }
];
/** @nocollapse */
CascadeSelectSearchResultsComponent.ctorParameters = () => [
    { type: CascadeSelectService }
];
CascadeSelectSearchResultsComponent.propDecorators = {
    searchResults: [{ type: Input }],
    chooseResultItem: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    CascadeSelectSearchResultsComponent.prototype.searchResults;
    /** @type {?} */
    CascadeSelectSearchResultsComponent.prototype.chooseResultItem;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectSearchResultsComponent.prototype.cascadeSelectService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select-input.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UpCascadeSelectInputDirective {
    /**
     * @param {?} _elementRef
     */
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        // @HostBinding('readOnly') readonly = true;
        /**
         * 是否只显示叶子节点，默认false
         */
        this.showLeafNode = false;
        /**
         * Emits when the disabled state has changed
         */
        this._disabledChange = new EventEmitter();
        /**
         * Emits when the value changes (either due to user input or programmatic change).
         */
        this._valueChange = new EventEmitter();
        this._cascadeSelectSubscription = Subscription.EMPTY;
        this._cvaOnChange = (/**
         * @return {?}
         */
        () => undefined);
        this._onTouched = (/**
         * @return {?}
         */
        () => undefined);
    }
    /**
     * The value of the input.
     * @return {?}
     */
    get value() {
        return this._value;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set value(value) {
        if (value && !Array.isArray(value)) {
            this._elementRef.nativeElement.value = this.showLeafNode ? last(value.label) : value.label.join('/');
        }
        else if (value && Array.isArray(value)) {
            /** @type {?} */
            let eleValue = '';
            value.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                eleValue = this.showLeafNode ? eleValue.concat(last(item.label)).concat(';') : eleValue.concat(item.label.join('/')).concat(';');
            }));
            this._elementRef.nativeElement.value = eleValue;
        }
        else {
            this._elementRef.nativeElement.value = null;
        }
        this._value = value;
        this._valueChange.emit(value);
    }
    /**
     * Whether the cascade-input is disabled.
     * @return {?}
     */
    get disabled() {
        return !!this._disabled;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set disabled(value) {
        /** @type {?} */
        const element = this._elementRef.nativeElement;
        if (this._disabled !== value) {
            this._disabled = value;
            this._disabledChange.emit(value);
        }
        // We need to null check the `blur` method, because it's undefined during SSR.
        if (value && element.blur) {
            // Normally, native input elements automatically blur if they turn disabled. This behavior
            // is problematic, because it would mean that it triggers another change detection cycle,
            // which then causes a changed after checked error if the input element was focused before.
            element.blur();
        }
    }
    /**
     * The overlay that this input is associated with.
     * @param {?} value
     * @return {?}
     */
    set upCascadeSelect(value) {
        if (!value) {
            return;
        }
        this._cascadeSelect = value;
        this._cascadeSelect._registerInput(this);
        this._cascadeSelectSubscription.unsubscribe();
        this._cascadeSelectSubscription = this._cascadeSelect.selectedValue.subscribe((/**
         * @param {?} selected
         * @return {?}
         */
        (selected) => {
            this.value = selected;
            this._cvaOnChange(selected);
            this._onTouched();
        }));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._cascadeSelectSubscription.unsubscribe();
        this._disabledChange.complete();
        this._valueChange.complete();
    }
    /**
     * Gets the element that the popup should be connected to.
     * @return {?} The element to connect the popup to.
     */
    getConnectedOverlayOrigin() {
        return this._elementRef;
    }
    // Implemented as part of ControlValueAccessor.
    /**
     * @param {?} value
     * @return {?}
     */
    writeValue(value) {
        if (value) {
            this.value = value;
            this._cascadeSelect.selectedValue.next(value);
        }
    }
    // Implemented as part of ControlValueAccessor.
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnChange(fn) {
        this._cvaOnChange = fn;
    }
    // Implemented as part of ControlValueAccessor.
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnTouched(fn) {
        this._onTouched = fn;
    }
    // Implemented as part of ControlValueAccessor.
    /**
     * @param {?} isDisabled
     * @return {?}
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
UpCascadeSelectInputDirective.decorators = [
    { type: Directive, args: [{
                selector: 'input[upCascadeSelect]',
                exportAs: 'upCascadeSelectInput',
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => UpCascadeSelectInputDirective)),
                        multi: true
                    }]
            },] }
];
/** @nocollapse */
UpCascadeSelectInputDirective.ctorParameters = () => [
    { type: ElementRef }
];
UpCascadeSelectInputDirective.propDecorators = {
    showLeafNode: [{ type: Input }],
    value: [{ type: Input }],
    disabled: [{ type: Input }],
    upCascadeSelect: [{ type: Input }]
};
if (false) {
    /**
     * 是否只显示叶子节点，默认false
     * @type {?}
     */
    UpCascadeSelectInputDirective.prototype.showLeafNode;
    /**
     * @type {?}
     * @private
     */
    UpCascadeSelectInputDirective.prototype._value;
    /**
     * @type {?}
     * @private
     */
    UpCascadeSelectInputDirective.prototype._disabled;
    /**
     * Emits when the disabled state has changed
     * @type {?}
     */
    UpCascadeSelectInputDirective.prototype._disabledChange;
    /**
     * Emits when the value changes (either due to user input or programmatic change).
     * @type {?}
     */
    UpCascadeSelectInputDirective.prototype._valueChange;
    /**
     * Emits when a `change` event is fired on this `<input>`.
     * @type {?}
     */
    UpCascadeSelectInputDirective.prototype._cascadeSelect;
    /**
     * @type {?}
     * @private
     */
    UpCascadeSelectInputDirective.prototype._cascadeSelectSubscription;
    /**
     * @type {?}
     * @private
     */
    UpCascadeSelectInputDirective.prototype._cvaOnChange;
    /** @type {?} */
    UpCascadeSelectInputDirective.prototype._onTouched;
    /**
     * @type {?}
     * @private
     */
    UpCascadeSelectInputDirective.prototype._elementRef;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select-toggle/cascade-select-toggle.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CascadeSelectToggleComponent {
    /**
     * @param {?} _changeDetectorRef
     */
    constructor(_changeDetectorRef) {
        this._changeDetectorRef = _changeDetectorRef;
        this._stateChanges = Subscription.EMPTY;
    }
    /**
     * Whether the toggle button is disabled.
     * @return {?}
     */
    get disabled() {
        return this._disabled === undefined ? this.for.disabled : !!this._disabled;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set disabled(value) {
        this._disabled = value;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    ngOnChanges(changes) {
        if (changes.for) {
            this._watchStateChanges();
        }
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._stateChanges.unsubscribe();
    }
    /**
     * @return {?}
     */
    ngAfterContentInit() {
        this._watchStateChanges();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    _open(event) {
        if (this.for && !this.disabled) {
            this.for.open();
            event.stopPropagation();
        }
    }
    /**
     * @param {?} event
     * @return {?}
     */
    _clear(event) {
        event.stopPropagation();
        this.for.clearInput();
    }
    /**
     * @private
     * @return {?}
     */
    _watchStateChanges() {
        /** @type {?} */
        const selectOverlayToggled = this.for ?
            merge(this.for.dropdownOpened, this.for.dropdownClosed) :
            of();
        this._stateChanges.unsubscribe();
        this._stateChanges = selectOverlayToggled
            .subscribe((/**
         * @return {?}
         */
        () => this._changeDetectorRef.markForCheck()));
    }
    /**
     * @return {?}
     */
    _hasValue() {
        if (this.for.inputValue &&
            Array.isArray(this.for.inputValue) &&
            this.for.inputValue.length > 0 &&
            this.for.inputValue[0].value &&
            this.for.inputValue[0].value.length > 0) {
            return true;
        }
        return this.for.inputValue &&
            !Array.isArray(this.for.inputValue) &&
            this.for.inputValue.value &&
            Array.isArray(this.for.inputValue.value) &&
            this.for.inputValue.value.length > 0;
    }
}
CascadeSelectToggleComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-cascade-select-toggle',
                template: "<button mat-icon-button\r\n        (click)=\"_clear($event)\"\r\n        *ngIf=\"_hasValue()\">\r\n    <mat-icon>clear</mat-icon>\r\n</button>\r\n<button #button\r\n        mat-icon-button\r\n        type=\"button\"\r\n        (click)=\"_open($event)\"\r\n        [disabled]=\"disabled\">\r\n    <mat-icon>keyboard_arrow_down</mat-icon>\r\n</button>\r\n",
                styles: [""]
            }] }
];
/** @nocollapse */
CascadeSelectToggleComponent.ctorParameters = () => [
    { type: ChangeDetectorRef }
];
CascadeSelectToggleComponent.propDecorators = {
    for: [{ type: Input }],
    disabled: [{ type: Input }],
    _button: [{ type: ViewChild, args: ['button', { static: false },] }]
};
if (false) {
    /**
     * @type {?}
     * @private
     */
    CascadeSelectToggleComponent.prototype._stateChanges;
    /** @type {?} */
    CascadeSelectToggleComponent.prototype.for;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectToggleComponent.prototype._disabled;
    /** @type {?} */
    CascadeSelectToggleComponent.prototype._button;
    /**
     * @type {?}
     * @private
     */
    CascadeSelectToggleComponent.prototype._changeDetectorRef;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CascadeSelectModule {
}
CascadeSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    CascadeSelectComponent,
                    CascadeSelectHistoryComponent,
                    CascadeSelectSearchResultsComponent,
                    CascadeSelectOverlayComponent,
                    CascadeSelectToggleComponent,
                    UpCascadeSelectContentComponent,
                    UpCascadeSelectInputDirective
                ],
                exports: [
                    CascadeSelectComponent,
                    CascadeSelectToggleComponent,
                    UpCascadeSelectInputDirective
                ],
                entryComponents: [
                    UpCascadeSelectContentComponent
                ],
                providers: [
                    CascadeSelectService
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/file-upload/file-upload.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @record
 */
function FileModel() { }
if (false) {
    /**
     * 文件id
     * @type {?|undefined}
     */
    FileModel.prototype.id;
    /**
     * 文件名
     * @type {?}
     */
    FileModel.prototype.fileName;
    /**
     * 文件类型
     * @type {?|undefined}
     */
    FileModel.prototype.contentType;
    /**
     * 文件上传状态 beforeUpload, processing, success, failed
     * @type {?}
     */
    FileModel.prototype.status;
    /**
     * 文件内容长度
     * @type {?|undefined}
     */
    FileModel.prototype.fileLength;
    /**
     * 缩略图地址
     * @type {?|undefined}
     */
    FileModel.prototype.thumbnail;
    /**
     * 没有缩略图时显示的图标
     * @type {?|undefined}
     */
    FileModel.prototype.fileIcon;
    /* Skipping unhandled member: [key: string]: any;*/
}
class FileUploadComponent {
    /**
     * @param {?} sanitizer
     * @param {?} notifyService
     */
    constructor(sanitizer, notifyService) {
        this.sanitizer = sanitizer;
        this.notifyService = notifyService;
        this.statusChange = new EventEmitter();
        this.onFileSelect = (/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            if (this._onTouched) {
                this._onTouched();
            }
            /** @type {?} */
            const files = e.target.files;
            /** @type {?} */
            const newFiles = Object.values(files).filter((/**
             * @param {?} i
             * @return {?}
             */
            i => i instanceof File)).map((/**
             * @param {?} file
             * @return {?}
             */
            file => this.createNewFile(file)));
            if ((this.fileList.length + newFiles.length) > this.maxCount) {
                this.notifyService.showToast('warning', { data: { title: '提示', message: '超过文件数量限制' } });
                return;
            }
            this.fileList = this.fileList.concat(newFiles);
            if (this._onChange) {
                this._onChange(this.fileList);
            }
            // 自动上传
            if (this.autoUpload) {
                newFiles.forEach((/**
                 * @param {?} file
                 * @return {?}
                 */
                file => {
                    this.doUpload(file);
                }));
            }
        });
        this.doUpload = (/**
         * @param {?} file
         * @return {?}
         */
        (file) => {
            this.changeStatus(file, 'processing');
            if (this.uploadFile) {
                /** @type {?} */
                const observable = this.uploadFile(file);
                if (observable) {
                    observable.subscribe((/**
                     * @param {?} res
                     * @return {?}
                     */
                    res => {
                        file.id = res.id;
                        file.thumbnail = res.thumbnail;
                        this.changeStatus(file, 'success');
                    }), (/**
                     * @param {?} err
                     * @return {?}
                     */
                    err => {
                        file.err = err;
                        this.changeStatus(file, 'failed');
                    }));
                }
                else {
                    this.changeStatus(file, 'failed');
                }
            }
        });
        this.previewFile = (/**
         * @param {?} file
         * @return {?}
         */
        (file) => {
            // TODO: preview
            // console.log('preview', file);
        });
        this.deleteFile = (/**
         * @param {?} i
         * @return {?}
         */
        (i) => {
            this.fileList.splice(i, 1);
            if (this._onChange) {
                this._onChange(this.fileList);
            }
        });
        this.multipleUpload = (/**
         * @return {?}
         */
        () => {
            if (!this.fileList.length) {
                this.notifyService.showToast('warning', { data: { title: '提示', message: '请选择文件' } });
                return;
            }
            this.fileList.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                if (item.status !== 'success' || !item.id) {
                    this.doUpload(item);
                }
            }));
        });
        this.changeStatus = (/**
         * @param {?} file
         * @param {?} status
         * @return {?}
         */
        (file, status) => {
            /** @type {?} */
            const previous = file.status;
            file.status = status;
            this.statusChange.emit({
                file,
                files: this.fileList,
                prevStatus: previous
            });
        });
        this.createNewFile = (/**
         * @param {?} file
         * @return {?}
         */
        (file) => {
            /** @type {?} */
            const fileName = file.name;
            /** @type {?} */
            const dotIndex = fileName.lastIndexOf('.');
            /** @type {?} */
            const extension = fileName.substring(dotIndex, fileName.length);
            /** @type {?} */
            const newFile = {
                status: 'beforeUpload',
                contentType: file.type,
                fileName: fileName.substring(0, dotIndex),
                fileIcon: this.getFileIcon(extension),
                extensionName: extension,
                fileFullName: file.name,
                fileLength: `${file.size}`,
                file
            };
            this.changeStatus(newFile, 'beforeUpload');
            return newFile;
        });
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.maxCount = this.maxCount || 1;
        this.fileList = this.fileList || [];
        if (this._onChange) {
            this._onChange(this.fileList);
        }
        this.autoUpload = this.autoUpload === undefined || this.autoUpload === null ? true : this.autoUpload;
        this.readonly = this.readonly || false;
        this.accept = '*';
        if (!this.uploadFile) {
            console.error('uploadFile is required.');
            throw Error('uploadFile is required.');
        }
    }
    /**
     * @param {?} ext
     * @return {?}
     */
    getFileIcon(ext) {
        // TODO: 待补全
        /** @type {?} */
        const fileExt = {
            'fa-file-pdf': ['.pdf'],
            'fa-file-word': ['.doc', '.docx'],
            'fa-file-image': ['.png', '.jpg', '.jpeg', '.gif', '.tiff'],
            'fa-file-excel': ['.xls', '.xlsx'],
            'fa-file-powerpoint': ['.ppt', '.pptx'],
            'fa-file-video': ['.mp4', '.wmv', '.avi', '.mpg', '.mkv']
        };
        for (const key in fileExt) {
            if (fileExt[key].indexOf(ext) >= 0) {
                return key;
            }
        }
        return 'fa-file';
    }
    /**
     * @return {?}
     */
    clear() {
        this.fileList.splice(0, this.fileList.length);
    }
    /**
     * @param {?} fileName
     * @param {?} i
     * @return {?}
     */
    updateFileName(fileName, i) {
        // 需要判断有没有上传
        if (!fileName) {
            return;
        }
        /** @type {?} */
        const file = this.fileList[i];
        if (file.id) {
            return;
        }
        this.fileList[i].fileName = fileName;
        this.fileList[i].fileFullName = `${fileName}${this.fileList[i].extensionName}`;
    }
    /**
     * @param {?} values
     * @return {?}
     */
    writeValue(values) {
        this.fileList = (values || []).map((/**
         * @param {?} file
         * @return {?}
         */
        file => {
            file.status = 'success';
            return file;
        }));
        if (this._onChange) {
            this._onChange(this.fileList);
        }
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnChange(fn) {
        this._onChange = fn;
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    registerOnTouched(fn) {
        this._onTouched = fn;
    }
    /**
     * @param {?} isDisabled
     * @return {?}
     */
    setDisabledState(isDisabled) {
        this.readonly = isDisabled;
    }
    /**
     * @param {?} file
     * @return {?}
     */
    handleDrop(file) {
        if (!file) {
            return;
        }
    }
}
FileUploadComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-file-upload',
                template: "<div class=\"up-file-upload\">\r\n    <ul class=\"file-list\">\r\n        <li *ngFor=\"let item of fileList; index as i\" class=\"item-file\">\r\n            <mat-icon [ngClass]=\"['thumbnail-icon','status-' + item.status]\"\r\n                *ngIf=\"!item.thumbnail && item.status !== 'pending'\" fontSet=\"fa-light\" [fontIcon]=\"item.fileIcon\">\r\n            </mat-icon>\r\n            <img class=\"thumbnail-icon\" *ngIf=\"item.thumbnail\" src=\"{{item.thumbnail}}\" />\r\n\r\n            <mat-progress-bar mode=\"{{item.progress ? 'determinate' : 'indeterminate'}}\" value=\"{{item.progress}}\"\r\n                *ngIf=\"item.status === 'processing'\"></mat-progress-bar>\r\n            <div class=\"file-full-name\" [title]=\"item.fileFullName\" [satPopoverAnchor]=\"labelPop\"\r\n                (click)=\"labelPop.open()\">{{item.fileFullName}}\r\n                <sat-popover #labelPop hasBackdrop xAlign=\"start\" yAlign=\"start\" (closed)=\"updateFileName($event,i)\">\r\n                    <up-inline-edit [suffix]=\"item.extensionName\" [title]=\"'\u6587\u4EF6\u540D'\" [value]=\"item.fileName\">\r\n                    </up-inline-edit>\r\n                </sat-popover>\r\n            </div>\r\n            <div class=\"mask-btns\">\r\n                <!-- <mat-icon (click)=\"previewFile(item)\" class=\"btn-preview\">remove_red_eye</mat-icon> -->\r\n                <a target=\"_blank\" download=\"{{item.name}}\" *ngIf=\"item.status === 'success' && !!getDownloadUrl\"\r\n                    href=\"{{getDownloadUrl(item.id)}}\">\r\n                    <mat-icon>file_download</mat-icon>\r\n                </a>\r\n                <mat-icon *ngIf=\"!readonly\" (click)=\"deleteFile(i)\">delete</mat-icon>\r\n            </div>\r\n        </li>\r\n        <li *ngIf=\"!readonly && maxCount > fileList.length\" class=\"item-add\">\r\n            <div class=\"add-icon\">\r\n                <mat-icon>add</mat-icon>\r\n            </div>\r\n            <input #multipleInput type=\"file\" name=\"file\" class=\"file\" (change)=\"onFileSelect($event)\"\r\n                multiple=\"{{maxCount > fileList.length + 1}}\">\r\n        </li>\r\n        <li *ngIf=\"!readonly\" class=\"item-btn\">\r\n            <button mat-button (click)=\"clear()\" [disabled]=\"readonly || !fileList.length\">\r\n                <mat-icon class=\"btn-preview\">clear_all</mat-icon>\r\n                \u6E05\u7A7A\r\n            </button>\r\n            <button mat-button (click)=\"multipleUpload()\" [disabled]=\"readonly || !fileList.length\">\r\n                <mat-icon class=\"btn-preview\">cloud_upload</mat-icon>\r\n                \u4E0A\u4F20\r\n            </button>\r\n        </li>\r\n    </ul>\r\n</div>\r\n",
                providers: [{
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: FileUploadComponent,
                        multi: true
                    }],
                styles: [".up-file-upload{width:100%}.up-file-upload .file-list{min-height:100px;padding:10px;width:100%;list-style:none;-webkit-padding-start:0;padding-inline-start:0}.up-file-upload .file-list li{float:left;width:80px;height:100px}.up-file-upload .file-list .item-file{position:relative;text-align:center}.up-file-upload .file-list .item-file:hover .file-full-name{white-space:normal;z-index:20px}.up-file-upload .file-list .item-file:hover .mask-btns{display:block}.up-file-upload .file-list .item-file .name-input{width:100%;text-align:center;border:1px solid #ddd;border-radius:5px;font-size:12px;vertical-align:middle}.up-file-upload .file-list .item-file .file-full-name{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;text-align:center;font-size:12px}.up-file-upload .file-list .item-file .thumbnail-icon{margin-top:5px;margin-bottom:5px;height:60px;width:80px;font-size:60px}.up-file-upload .file-list .item-file mat-spinner{position:absolute;top:50%;left:50%;margin-top:-30px;margin-left:-18px}.up-file-upload .file-list .item-file .mask-btns{position:absolute;top:0;left:15px;padding-top:20px;width:50px;height:50px;background:rgba(0,0,0,.5);border-radius:5px;display:none}.up-file-upload .file-list .item-file .mask-btns mat-icon{color:#fff;cursor:pointer;opacity:.5}.up-file-upload .file-list .item-file .mask-btns mat-icon:hover{opacity:1}.up-file-upload .file-list .item-add{position:relative}.up-file-upload .file-list .item-add:hover .add-icon{opacity:1}.up-file-upload .file-list .item-add .add-icon{height:100%;width:100%;border-radius:5px;border:1px dashed #666;opacity:.5;position:relative;box-sizing:border-box}.up-file-upload .file-list .item-add .add-icon mat-icon{position:absolute;top:50%;left:50%;width:40px;height:40px;transform:translate(-50%,-50%);font-size:40px;color:#666}.up-file-upload .file-list .item-add .file{position:absolute;top:0;left:0;height:100%;width:100%;opacity:0}.up-file-upload .file-list .item-btn{display:flex;flex-direction:column;justify-content:space-around}.status-beforeUpload{color:#000}.status-processing{color:#3f51b5}.status-success{color:#0d904f}.status-failed{color:#f44336}"]
            }] }
];
/** @nocollapse */
FileUploadComponent.ctorParameters = () => [
    { type: DomSanitizer },
    { type: NotifyService }
];
FileUploadComponent.propDecorators = {
    accept: [{ type: Input }],
    autoUpload: [{ type: Input }],
    maxCount: [{ type: Input }],
    readonly: [{ type: Input }],
    uploadFile: [{ type: Input }],
    getDownloadUrl: [{ type: Input }],
    statusChange: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    FileUploadComponent.prototype.accept;
    /** @type {?} */
    FileUploadComponent.prototype.autoUpload;
    /** @type {?} */
    FileUploadComponent.prototype.maxCount;
    /** @type {?} */
    FileUploadComponent.prototype.readonly;
    /** @type {?} */
    FileUploadComponent.prototype.uploadFile;
    /** @type {?} */
    FileUploadComponent.prototype.getDownloadUrl;
    /** @type {?} */
    FileUploadComponent.prototype.statusChange;
    /** @type {?} */
    FileUploadComponent.prototype.fileList;
    /** @type {?} */
    FileUploadComponent.prototype._onChange;
    /** @type {?} */
    FileUploadComponent.prototype._onTouched;
    /** @type {?} */
    FileUploadComponent.prototype.onFileSelect;
    /** @type {?} */
    FileUploadComponent.prototype.doUpload;
    /** @type {?} */
    FileUploadComponent.prototype.previewFile;
    /** @type {?} */
    FileUploadComponent.prototype.deleteFile;
    /** @type {?} */
    FileUploadComponent.prototype.multipleUpload;
    /** @type {?} */
    FileUploadComponent.prototype.changeStatus;
    /** @type {?} */
    FileUploadComponent.prototype.createNewFile;
    /** @type {?} */
    FileUploadComponent.prototype.sanitizer;
    /**
     * @type {?}
     * @private
     */
    FileUploadComponent.prototype.notifyService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/inline-edit/inline-edit.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @record
 */
function SelectModel() { }
if (false) {
    /** @type {?} */
    SelectModel.prototype.id;
    /** @type {?} */
    SelectModel.prototype.label;
    /** @type {?} */
    SelectModel.prototype.value;
}
class InlineEditComponent {
    /**
     * @param {?} popover
     */
    constructor(popover) {
        this.popover = popover;
        this._title = '编辑';
        this._value = '';
        /**
         * Form model for the input.
         */
        this.selectData = [];
        this.treeData = [];
        this.comment = '';
    }
    /**
     * @return {?}
     */
    get title() {
        return this._title;
    }
    /**
     * @param {?} title
     * @return {?}
     */
    set title(title) {
        this._title = `编辑${title}`;
    }
    /**
     * @return {?}
     */
    get value() {
        return this._value;
    }
    /**
     * @param {?} x
     * @return {?}
     */
    set value(x) {
        if (x instanceof Array) {
            this.selectData = x;
        }
        else if (x && x.isTree) {
            this.treeData = x.treeData;
        }
        else {
            this.comment = this._value = (/** @type {?} */ (x));
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.popover) {
            this.popover.closed.pipe(filter((/**
             * @param {?} val
             * @return {?}
             */
            val => val == null)))
                .subscribe((/**
             * @return {?}
             */
            () => this.comment = this.value || ''));
        }
    }
    /**
     * @return {?}
     */
    onSubmit() {
        if (this.popover) {
            this.popover.close(this.comment);
        }
    }
    /**
     * @return {?}
     */
    onCancel() {
        if (this.popover) {
            this.popover.close();
        }
    }
}
InlineEditComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-inline-edit',
                template: "<form (ngSubmit)=\"onSubmit()\">\r\n    <div class=\"mat-subheading-2\">{{title}}</div>\r\n\r\n    <ng-container *ngIf=\"selectData.length\">\r\n        <mat-form-field>\r\n            <mat-select placeholder=\"\u8BF7\u9009\u62E9\" name=\"comment\" [(ngModel)]=\"comment\" [multiple]=\"isMultiple\">\r\n                <mat-option *ngFor=\"let item of selectData\" [value]=\"item.value\">\r\n                    {{item.label}}\r\n                </mat-option>\r\n            </mat-select>\r\n        </mat-form-field>\r\n    </ng-container>\r\n\r\n    <ng-container *ngIf=\"treeData.length\">\r\n        <mat-form-field>\r\n            <mat-select name=\"comment\" [(ngModel)]=\"comment\">\r\n                <mat-optgroup *ngFor=\"let item of treeData\" [label]=\"item.name\">\r\n                    <mat-option *ngFor=\"let leaf of item.children\" [value]=\"leaf.name\">\r\n                        {{leaf.name}}\r\n                    </mat-option>\r\n                </mat-optgroup>\r\n            </mat-select>\r\n        </mat-form-field>\r\n    </ng-container>\r\n\r\n    <ng-container *ngIf=\"selectData.length == 0 && treeData.length == 0\">\r\n        <mat-form-field>\r\n            <input matInput name=\"comment\" [(ngModel)]=\"comment\">\r\n            <span *ngIf=\"suffix\" matSuffix>{{suffix}}</span>\r\n            <!--<mat-hint align=\"end\">{{comment?.length || 0}}/140</mat-hint>-->\r\n        </mat-form-field>\r\n    </ng-container>\r\n\r\n    <div class=\"actions\">\r\n        <button mat-button type=\"button\" color=\"primary\" (click)=\"onCancel()\">\u53D6\u6D88</button>\r\n        <button mat-button type=\"submit\" color=\"primary\">\u786E\u5B9A</button>\r\n    </div>\r\n</form>",
                styles: [":host{box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12);display:block;background:#f9f9f9;border-radius:2px;padding:16px 24px 8px;min-width:240px}.mat-subheading-2{margin:0;font-weight:500}.mat-form-field{width:100%;font-size:14px}.actions{display:flex;justify-content:flex-end;margin-top:8px;margin-right:-16px}"]
            }] }
];
/** @nocollapse */
InlineEditComponent.ctorParameters = () => [
    { type: SatPopover, decorators: [{ type: Optional }, { type: Host }] }
];
InlineEditComponent.propDecorators = {
    suffix: [{ type: Input }],
    title: [{ type: Input }],
    value: [{ type: Input }],
    isMultiple: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    InlineEditComponent.prototype.suffix;
    /** @type {?} */
    InlineEditComponent.prototype.isMultiple;
    /**
     * @type {?}
     * @private
     */
    InlineEditComponent.prototype._title;
    /**
     * @type {?}
     * @private
     */
    InlineEditComponent.prototype._value;
    /**
     * Form model for the input.
     * @type {?}
     */
    InlineEditComponent.prototype.selectData;
    /** @type {?} */
    InlineEditComponent.prototype.treeData;
    /** @type {?} */
    InlineEditComponent.prototype.comment;
    /** @type {?} */
    InlineEditComponent.prototype.popover;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/inline-edit/inline-edit.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UPInlineEditModule {
}
UPInlineEditModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule
                ],
                declarations: [
                    InlineEditComponent
                ],
                exports: [
                    InlineEditComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/file-upload/file-upload.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UPFileUploadModule {
}
UPFileUploadModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule,
                    SatPopoverModule,
                    UPInlineEditModule,
                    NotificationModule
                ],
                declarations: [
                    FileUploadComponent
                ],
                exports: [
                    FileUploadComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/up-dynamic-form.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const layoutConfigDefaults = {
    fieldset: false,
    rowHeight: 100,
    totalCols: 18
};
class UPDynamicFormComponent {
    constructor() {
        // 方便判断是否是显示的control
        this.configsMap = {};
        this.makeForm = (/**
         * @return {?}
         */
        () => {
            // 重建表单前记录表单值
            /** @type {?} */
            const values = this.formGroup ? this.formGroup.value : (this._shadowValues || {});
            /** @type {?} */
            const controls = this.fieldConfigs.reduce((/**
             * @param {?} result
             * @param {?} config
             * @return {?}
             */
            (result, config) => {
                config.labelStyle = config.labelStyle || this.layoutConfig.labelStyle;
                this.configsMap[config.fieldId] = config;
                /** @type {?} */
                const state = {
                    value: values[config.fieldId] || config.value,
                    disabled: !!config.readonly || !!config.hide
                };
                /** @type {?} */
                const formControl = new FormControl(state, config.validators, config.asyncValidators);
                result[config.fieldId] = formControl;
                return result;
            }), {});
            this.formGroup = new FormGroup(controls);
        });
        this.switchField = (/**
         * @param {?} fieldId
         * @param {?} show
         * @return {?}
         */
        (fieldId, show) => {
            if (this.configsMap) {
                this.configsMap[fieldId].hide = !show;
            }
            if (this.formGroup) {
                /** @type {?} */
                const method = show ? 'enable' : 'disable';
                /** @type {?} */
                const control = this.formGroup.controls[fieldId];
                control[method]();
            }
        });
        /**
         * 获取form是否有效
         * 为兼容异步验证器，getValid将返回一个 Observable，让status改变成valid的时候，通知
         */
        this.getValid = (/**
         * @return {?}
         */
        () => {
            Object.keys(this.formGroup.controls).forEach((/**
             * @param {?} key
             * @return {?}
             */
            key => {
                /** @type {?} */
                const control = this.formGroup.controls[key];
                control.markAsDirty();
                control.updateValueAndValidity();
            }));
            if (!this.formGroup.pending) {
                return of(this.formGroup.valid);
            }
            /** @type {?} */
            const subject = new Subject();
            /** @type {?} */
            const subscription = this.formGroup.statusChanges.subscribe((/**
             * @param {?} status
             * @return {?}
             */
            status => {
                /** @type {?} */
                const isValid = status === 'VALID';
                subject.next(isValid);
                subject.complete();
                subscription.unsubscribe();
            }), (/**
             * @param {?} error
             * @return {?}
             */
            error => {
                subject.error(error);
                subject.complete();
                subscription.unsubscribe();
            }));
            return subject;
        });
        /**
         * 设置初始值，用以还原
         */
        this.setInitValues = (/**
         * @param {?} values
         * @return {?}
         */
        (values) => {
            this._initValuesCache = values;
            this._shadowValues = values;
        });
        /**
         * 给表单赋值
         */
        this.patchValues = (/**
         * @param {?} values
         * @return {?}
         */
        (values) => {
            this._shadowValues = Object.assign({}, this._shadowValues, values);
            if (this.formGroup) {
                this.formGroup.patchValue(values);
            }
        });
        /**
         * 获取表单value
         */
        this.getValues = (/**
         * @return {?}
         */
        () => {
            /** @type {?} */
            const values = Object.assign({}, this._shadowValues, this.formGroup.value);
            return values;
        });
        /**
         * 重置表单
         * @param values 以此值重置，如果不填，则尝试以初始值重置。
         */
        this.resetValues = (/**
         * @param {?=} values
         * @return {?}
         */
        (values) => {
            /** @type {?} */
            const params = values || this._initValuesCache;
            this.formGroup.reset(params);
        });
        this.getWidth = (/**
         * @param {?} config
         * @return {?}
         */
        (config) => {
            /** @type {?} */
            const cols = config.cols || this.layoutConfig.cellCols;
            /** @type {?} */
            const percentage = Math.round(cols * 10000 / this.layoutConfig.totalCols) / 100;
            /** @type {?} */
            const width = `${percentage}%`;
            return width;
        });
        this.getHeight = (/**
         * @param {?} config
         * @return {?}
         */
        (config) => {
            /** @type {?} */
            const height = (config.rows || 1) * this.layoutConfig.rowHeight;
            return `${height}px`;
        });
    }
    // constructor() {
    //   console.log('form constructor', JSON.stringify(this.fieldConfigs));
    // }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.layoutConfig = Object.assign({}, layoutConfigDefaults, (this.layoutConfig || {}));
        this.layoutConfig.cellCols = this.layoutConfig.cellCols || Math.floor(this.layoutConfig.totalCols / 3);
        // 初始值缓存，用以reset
        this._initValuesCache = this.fieldConfigs.reduce((/**
         * @param {?} result
         * @param {?} config
         * @return {?}
         */
        (result, config) => {
            // tslint:disable-next-line: strict-boolean-expressions
            result[config.fieldId] = config.value || null;
            return result;
        }), {});
    }
    /**
     * @param {?} __0
     * @return {?}
     */
    ngOnChanges({ fieldConfigs, data }) {
        if (fieldConfigs) {
            this.makeForm();
        }
        if (data && data.currentValue) {
            this.patchValues(this.data);
        }
    }
}
UPDynamicFormComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-dynamic-form',
                template: "<form [formGroup]=\"formGroup\">\r\n  <fieldset class=\"{{layoutConfig.fieldset ? '' : 'hide-fieldset'}}\">\r\n    <legend *ngIf=\"layoutConfig.fieldsetName\">{{layoutConfig.fieldsetName}}</legend>\r\n    <div class=\"field-grid\">\r\n      <div class=\"field-grid-tile\" *ngFor=\"let config of fieldConfigs\" [style.height]=\"getHeight(config)\"\r\n        [style.width]=\"getWidth(config)\" [style.display]=\"config.hide ? 'none' : ''\">\r\n        <up-dynamic-form-field class=\"up-dynamic-form-field\" [fieldConfig]=\"config\" [form]=\"formGroup\">\r\n        </up-dynamic-form-field>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</form>",
                styles: [".hide-fieldset{border:none;margin-bottom:0}:host ::ng-deep .field-grid{display:flex;flex-wrap:wrap;justify-content:flex-start}:host ::ng-deep .field-grid .field-grid-tile{display:flex;align-items:center;justify-content:center}:host ::ng-deep .field-grid .field-grid-tile .up-dynamic-form-field{width:100%}"]
            }] }
];
UPDynamicFormComponent.propDecorators = {
    layoutConfig: [{ type: Input }],
    fieldConfigs: [{ type: Input }],
    data: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    UPDynamicFormComponent.prototype.layoutConfig;
    /** @type {?} */
    UPDynamicFormComponent.prototype.fieldConfigs;
    /** @type {?} */
    UPDynamicFormComponent.prototype.data;
    /**
     * @type {?}
     * @private
     */
    UPDynamicFormComponent.prototype.configsMap;
    /** @type {?} */
    UPDynamicFormComponent.prototype.formGroup;
    /**
     * @type {?}
     * @private
     */
    UPDynamicFormComponent.prototype._initValuesCache;
    /**
     * @type {?}
     * @private
     */
    UPDynamicFormComponent.prototype._shadowValues;
    /**
     * @type {?}
     * @private
     */
    UPDynamicFormComponent.prototype.makeForm;
    /** @type {?} */
    UPDynamicFormComponent.prototype.switchField;
    /**
     * 获取form是否有效
     * 为兼容异步验证器，getValid将返回一个 Observable，让status改变成valid的时候，通知
     * @type {?}
     */
    UPDynamicFormComponent.prototype.getValid;
    /**
     * 设置初始值，用以还原
     * @type {?}
     */
    UPDynamicFormComponent.prototype.setInitValues;
    /**
     * 给表单赋值
     * @type {?}
     */
    UPDynamicFormComponent.prototype.patchValues;
    /**
     * 获取表单value
     * @type {?}
     */
    UPDynamicFormComponent.prototype.getValues;
    /**
     * 重置表单
     * \@param values 以此值重置，如果不填，则尝试以初始值重置。
     * @type {?}
     */
    UPDynamicFormComponent.prototype.resetValues;
    /** @type {?} */
    UPDynamicFormComponent.prototype.getWidth;
    /** @type {?} */
    UPDynamicFormComponent.prototype.getHeight;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-input/field-control-input.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlInputComponent {
    constructor() {
        this.onIconClick = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (this.properties.iconClick) {
                this.properties.iconClick(event);
            }
        });
    }
    // constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.floatLabel = this.fieldConfig.labelStyle === 'left' ? 'never' : this.fieldConfig.labelStyle;
    }
}
FieldControlInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-input',
                template: "<ng-container [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <span *ngIf=\"properties.prefix\">{{properties.prefix}}</span>\r\n    <input type=\"{{properties.type || 'text'}}\" matInput formControlName=\"{{fieldConfig.fieldId}}\"\r\n      readonly=\"{{fieldConfig.readonly}}\" placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\">\r\n    <span *ngIf=\"properties.suffix\">{{properties.suffix}}</span>\r\n    <button mat-button *ngIf=\"properties.icon\" matSuffix mat-icon-button (click)=\"onIconClick($event)\">\r\n      <mat-icon matSuffix>{{properties.icon}}</mat-icon>\r\n    </button>\r\n  </mat-form-field>\r\n</ng-container>",
                styles: [""]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlInputComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlInputComponent.prototype.properties;
    /** @type {?} */
    FieldControlInputComponent.prototype.form;
    /** @type {?} */
    FieldControlInputComponent.prototype.floatLabel;
    /** @type {?} */
    FieldControlInputComponent.prototype.onIconClick;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-select/field-control-select.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlSelectComponent {
}
FieldControlSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-select',
                template: "<ng-container [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <mat-select placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\"\r\n      formControlName=\"{{fieldConfig.fieldId}}\" multiple=\"{{!!properties.multiple}}\" [disabled]=\"fieldConfig.readonly\">\r\n      <mat-option *ngFor=\"let opt of fieldConfig.options\" [value]=\"opt.value\">{{opt.label}}</mat-option>\r\n    </mat-select>\r\n    <!-- <mat-hint *ngIf=\"hint\">{{hint}}</mat-hint>\r\n    <mat-error *ngIf=\"control.errors && !control.untouched\">{{getError()}}</mat-error> -->\r\n  </mat-form-field>\r\n</ng-container>",
                styles: [""]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlSelectComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlSelectComponent.prototype.properties;
    /** @type {?} */
    FieldControlSelectComponent.prototype.form;
    /** @type {?} */
    FieldControlSelectComponent.prototype.floatLabel;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-datepicker/field-control-datepicker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlDatepickerComponent {
    // constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.floatLabel = this.fieldConfig.labelStyle === 'left' ? 'never' : this.fieldConfig.labelStyle;
    }
}
FieldControlDatepickerComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-datepicker',
                template: "<ng-container [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <input matInput [matDatepicker]=\"picker\" readonly=\"{{fieldConfig.readonly}}\"\r\n      formControlName=\"{{fieldConfig.fieldId}}\" placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\"\r\n      [min]=\"properties.min\" [max]=\"properties.max\">\r\n    <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n    <mat-datepicker #picker></mat-datepicker>\r\n  </mat-form-field>\r\n</ng-container>",
                styles: [""]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlDatepickerComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlDatepickerComponent.prototype.properties;
    /** @type {?} */
    FieldControlDatepickerComponent.prototype.form;
    /** @type {?} */
    FieldControlDatepickerComponent.prototype.floatLabel;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-textarea/field-control-textarea.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlTextareaComponent {
    constructor() {
        this.onIconClick = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (this.properties.iconClick) {
                this.properties.iconClick(event);
            }
        });
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.floatLabel = this.fieldConfig.labelStyle === 'left' ? 'never' : this.fieldConfig.labelStyle;
    }
}
FieldControlTextareaComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-textarea',
                template: "<ng-container class=\"field-control-textarea\" [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <textarea matInput formControlName=\"{{fieldConfig.fieldId}}\" readonly=\"{{fieldConfig.readonly}}\"\r\n      placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\"></textarea>\r\n    <button mat-button *ngIf=\"properties.icon\" matSuffix mat-icon-button (click)=\"onIconClick($event)\">\r\n      <mat-icon matSuffix>{{properties.icon}}</mat-icon>\r\n    </button>\r\n    <!-- <mat-hint *ngIf=\"hint\">{{hint}}</mat-hint>\r\n    <mat-error *ngIf=\"control.errors && !control.untouched\">{{getError()}}</mat-error> -->\r\n  </mat-form-field>\r\n</ng-container>",
                styles: [".field-control-textarea textarea{resize:none}"]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlTextareaComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlTextareaComponent.prototype.properties;
    /** @type {?} */
    FieldControlTextareaComponent.prototype.form;
    /** @type {?} */
    FieldControlTextareaComponent.prototype.floatLabel;
    /** @type {?} */
    FieldControlTextareaComponent.prototype.onIconClick;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-radio-group/field-control-radio-group.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlRadioGroupComponent {
    // constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.floatLabel = this.fieldConfig.labelStyle === 'left' ? 'never' : this.fieldConfig.labelStyle;
    }
}
FieldControlRadioGroupComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-radio-group',
                template: "<ng-container [formGroup]=\"form\">\r\n  <div class=\"up-form-field\">\r\n    <label class=\"up-form-field-label\" *ngIf=\"fieldConfig.labelStyle !== 'left'\">{{fieldConfig.labelText}}</label>\r\n    <mat-radio-group class=\"up-form-field-radio-group\" [disabled]=\"!!fieldConfig.readonly\"\r\n      formControlName=\"{{fieldConfig.fieldId}}\">\r\n      <mat-radio-button class=\"up-form-field-radio-button\" *ngFor=\"let option of fieldConfig.options\"\r\n        [value]=\"option.value\">\r\n        {{option.label}}\r\n      </mat-radio-button>\r\n    </mat-radio-group>\r\n    <!-- <div class=\"up-form-field-hint\" *ngIf=\"hint && !hasError()\">{{hint}}</div>\r\n    <div class=\"up-form-field-error-wrapper\">\r\n      <div class=\"up-form-field-error\">{{getError()}}</div>\r\n    </div> -->\r\n  </div>\r\n</ng-container>",
                styles: [".up-form-field{position:relative;height:40px;font-size:14px}.up-form-field .up-form-field-label{position:absolute;font-size:10.5px;color:rgba(0,0,0,.54);line-height:15.75px}.up-form-field .up-form-field-radio-group{display:flex;justify-content:space-around;align-items:flex-end;height:15.2px;padding-top:12.25px;border-top:11.8125px solid transparent}.up-form-field .up-form-field-radio-group .up-form-field-radio-button{padding:0 20px}"]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlRadioGroupComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlRadioGroupComponent.prototype.properties;
    /** @type {?} */
    FieldControlRadioGroupComponent.prototype.form;
    /** @type {?} */
    FieldControlRadioGroupComponent.prototype.floatLabel;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-checkbox/field-control-checkbox.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlcheckboxComponent {
}
FieldControlcheckboxComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-checkbox',
                template: "<ng-container [formGroup]=\"form\">\r\n  <div class=\"up-form-field\">\r\n    <label class=\"up-form-field-label\" *ngIf=\"fieldConfig.labelStyle !== 'left'\">{{fieldConfig.labelText}}</label>\r\n    <mat-checkbox class=\"up-form-field-checkbox\" [disabled]=\"fieldConfig.readonly\"\r\n      formControlName=\"{{fieldConfig.fieldId}}\">\r\n      {{properties.label}}</mat-checkbox>\r\n  </div>\r\n</ng-container>",
                styles: [".up-form-field{position:relative;height:40px;font-size:14px}.up-form-field .up-form-field-label{position:absolute;font-size:10.5px;color:rgba(0,0,0,.54);line-height:15.75px}.up-form-field .up-form-field-checkbox{display:flex;align-items:flex-end;height:15.2px;padding-top:12.25px;border-top:11.8125px solid transparent}.up-form-field .up-form-field-checkbox .up-form-field-checkbox{padding:0 20px}"]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlcheckboxComponent.prototype.properties;
    /** @type {?} */
    FieldControlcheckboxComponent.prototype.form;
    /** @type {?} */
    FieldControlcheckboxComponent.prototype.fieldConfig;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-auto-complete/field-control-auto-complete.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlAutoCompleteComponent {
    constructor() {
        this.valueChange = new EventEmitter();
        // 是否是由选择关闭的overlay
        this._isSelectedToClose = false;
        this.closed = (/**
         * @return {?}
         */
        () => {
            // 是否不能自行输入
            if (!this._isSelectedToClose && !this.properties.allowFreeInput) {
                this.control.setValue('');
            }
            // 重置
            this._isSelectedToClose = false;
        });
        this.optionSelected = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            this._isSelectedToClose = true;
            if (this.valueChange) {
                this.valueChange.emit(event);
            }
        });
        this.displayWith = (/**
         * @param {?=} option
         * @return {?}
         */
        (option) => {
            return option ? option.label : undefined;
        });
    }
    // constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.control = (/** @type {?} */ (this.form.controls[this.fieldConfig.fieldId]));
    }
}
FieldControlAutoCompleteComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-auto-complete',
                template: "<ng-container [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <input type=\"text\" matInput formControlName=\"{{fieldConfig.fieldId}}\" readonly=\"{{fieldConfig.readonly}}\" [matAutocomplete]=\"auto\"\r\n      placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\">\r\n    <!-- <mat-hint *ngIf=\"hint\">{{hint}}</mat-hint>\r\n    <mat-error *ngIf=\"control.errors && control.touched\">{{getError()}}</mat-error> -->\r\n  </mat-form-field>\r\n  <mat-autocomplete (closed)=\"closed()\" [displayWith]=\"displayWith\" (optionSelected)=\"optionSelected($event)\"\r\n    #auto=\"matAutocomplete\">\r\n    <mat-option *ngFor=\"let option of fieldConfig.options\" [value]=\"option\">{{option.label}}</mat-option>\r\n  </mat-autocomplete>\r\n</ng-container>",
                styles: [".up-form-field{position:relative;height:40px;padding-bottom:17.5px;font-size:14px}.up-form-field .up-form-field-label{position:absolute;font-size:10.5px;color:rgba(0,0,0,.54);line-height:15.75px}.up-form-field .up-form-field-checkbox{display:flex;justify-content:space-around;align-items:flex-end;height:15.2px;padding-top:12.25px;border-top:11.8125px solid transparent}.up-form-field .up-form-field-checkbox .up-form-field-checkbox{padding:0 20px}"]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.properties;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.form;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.control;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.floatLabel;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.valueChange;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype._isSelectedToClose;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.closed;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.optionSelected;
    /** @type {?} */
    FieldControlAutoCompleteComponent.prototype.displayWith;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-file-upload/field-control-file-upload.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlFileUploadComponent {
    constructor() {
        // constructor() { }
        // ngOnInit() {
        // }
        this.upload = (/**
         * @param {?} file
         * @return {?}
         */
        (file) => {
            if (this.properties.upload) {
                return this.properties.upload(file);
            }
            throw Error('upload is not implemented.');
        });
    }
}
FieldControlFileUploadComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-file-upload',
                template: "<ng-container [formGroup]=\"form\">\r\n  <div class=\"up-form-field\">\r\n    <label class=\"up-form-field-label\" *ngIf=\"fieldConfig.labelStyle !== 'left'\">{{fieldConfig.labelText}}</label>\r\n    <up-file-upload [uploadFile]=\"upload\" [maxCount]=\"properties.maxCount\" formControlName=\"{{fieldConfig.fieldId}}\"\r\n      [getDownloadUrl]=\"properties.getDownloadUrl\">\r\n    </up-file-upload>\r\n  </div>\r\n</ng-container>",
                styles: [".up-form-field{position:relative;font-size:14px}.up-form-field .up-form-field-label{position:absolute;font-size:10.5px;color:rgba(0,0,0,.54);line-height:15.75px}"]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlFileUploadComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlFileUploadComponent.prototype.properties;
    /** @type {?} */
    FieldControlFileUploadComponent.prototype.form;
    /** @type {?} */
    FieldControlFileUploadComponent.prototype.upload;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field-controls/field-control-path-select/field-control-path-select.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FieldControlPathSelectComponent {
    constructor() {
        this.search = (/**
         * @param {?} keyword
         * @return {?}
         */
        (keyword) => {
            if (this.properties.onSearch) {
                this.properties.onSearch(keyword);
            }
        });
        this.removeLatestSelection = (/**
         * @param {?} event
         * @return {?}
         */
        event => {
            if (this.properties.removeLatestSelection) {
                this.properties.removeLatestSelection(event);
            }
        });
        this.closed = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (this.properties.dropdownClosed) {
                this.properties.dropdownClosed(event);
            }
        });
        this.opened = (/**
         * @return {?}
         */
        () => {
            if (this.properties.dropdownOpened) {
                this.properties.dropdownOpened();
            }
        });
        this.selectedOnChange = (/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (this.properties.selectedOnChange) {
                this.properties.selectedOnChange(event);
            }
        });
    }
    // constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.floatLabel = this.fieldConfig.labelStyle === 'left' ? 'never' : this.fieldConfig.labelStyle;
    }
}
FieldControlPathSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-field-control-path-select',
                template: "<ng-container [formGroup]=\"form\">\r\n  <mat-form-field [floatLabel]=\"floatLabel\">\r\n    <mat-label *ngIf=\"fieldConfig.labelStyle !== 'left'\">\r\n      {{fieldConfig.labelText}}\r\n    </mat-label>\r\n    <input matInput [upCascadeSelect]=\"district\" formControlName=\"{{fieldConfig.fieldId}}\"\r\n      readonly=\"{{fieldConfig.readonly}}\" placeholder=\"{{fieldConfig.placeholder || fieldConfig.labelText}}\">\r\n    <up-cascade-select-toggle matSuffix [for]=\"district\"></up-cascade-select-toggle>\r\n    <up-cascade-select #district [defaultId]=\"properties.defaultId\" [maxSelectable]=\"properties.maxSelectable\"\r\n      [minSelectable]=\"properties.minSelectable\" [latestSelections]=\"properties.latestSelections\"\r\n      (dropdownClosed)=\"closed($event)\" (dropdownOpened)=\"opened()\" (selectedOnChange)=\"selectedOnChange($event)\"\r\n      (removeLatestSelection)=\"removeLatestSelection($event)\" [dataSource]=\"properties.dataSource\"\r\n      [levelNameList]=\"properties.levelNameList\" [isSearchable]=\"properties.isSearchable\"\r\n      [multiple]=\"properties.multiple\" [searchResults]=\"properties.searchResult\" (inputSearch)=\"search($event)\">\r\n    </up-cascade-select>\r\n  </mat-form-field>\r\n</ng-container>",
                styles: [""]
            }] }
];
if (false) {
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.fieldConfig;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.properties;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.form;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.floatLabel;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.search;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.removeLatestSelection;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.closed;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.opened;
    /** @type {?} */
    FieldControlPathSelectComponent.prototype.selectedOnChange;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field/field-components.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const FieldComponents = {
    radio: FieldControlRadioGroupComponent,
    input: FieldControlInputComponent,
    select: FieldControlSelectComponent,
    date: FieldControlDatepickerComponent,
    textarea: FieldControlTextareaComponent,
    checkbox: FieldControlcheckboxComponent,
    autocomplete: FieldControlAutoCompleteComponent,
    file: FieldControlFileUploadComponent,
    pathSelect: FieldControlPathSelectComponent
};

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form-field/dynamic-form-field.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DynamicFormFieldComponent {
    /**
     * @param {?} componentFactoryResolver
     */
    constructor(componentFactoryResolver) {
        this.componentFactoryResolver = componentFactoryResolver;
        this.defaultFieldConfig = (/**
         * @param {?} fieldConfig
         * @return {?}
         */
        (fieldConfig) => {
            fieldConfig.readonly = !!fieldConfig.readonly;
            if (!fieldConfig.controlProps) {
                fieldConfig.controlProps = {};
            }
        });
        this.getError = (/**
         * @return {?}
         */
        () => {
            if (!this.hasError()) {
                return '';
            }
            /** @type {?} */
            let message;
            /** @type {?} */
            let i = 0;
            /** @type {?} */
            const errors = this.control.errors;
            /** @type {?} */
            const errorKeys = Object.keys(errors);
            while (!message && i < errorKeys.length) {
                message = errors[errorKeys[i]].message;
                i++;
            }
            return message;
        });
        this.getTopClass = (/**
         * @return {?}
         */
        () => {
            return `up-dynamic-control-wrapper${this.hasError() ? ' error' : ''}`;
        });
        this.hasError = (/**
         * @return {?}
         */
        () => {
            return this.control.errors && this.control.touched;
        });
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // 动态创建component实例
        /** @type {?} */
        const fieldComponent = typeof this.fieldConfig.controlType === 'string'
            ? FieldComponents[this.fieldConfig.controlType]
            : this.fieldConfig.controlType;
        /** @type {?} */
        const componentFactory = this.componentFactoryResolver.resolveComponentFactory(fieldComponent);
        /** @type {?} */
        const componentRef = this.field.createComponent(componentFactory);
        /** @type {?} */
        const instance = componentRef.instance;
        this.defaultFieldConfig(this.fieldConfig);
        instance.fieldConfig = this.fieldConfig;
        instance.floatLabel = instance.fieldConfig.labelStyle === 'left' ? 'never' : instance.fieldConfig.labelStyle;
        instance.form = this.form;
        instance.properties = this.fieldConfig.controlProps;
        this.control = (/** @type {?} */ (this.form.controls[this.fieldConfig.fieldId]));
        if (this.fieldConfig.valueChange) {
            this.control.valueChanges.subscribe(this.fieldConfig.valueChange);
        }
    }
}
DynamicFormFieldComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-dynamic-form-field',
                template: "<div class=\"up-dynamic-field\">\r\n    <div class=\"label-wrapper\">\r\n        <label class=\"{{'left-label' + (fieldConfig?.showRequired ? ' required' : '')}}\"\r\n            *ngIf=\"fieldConfig?.labelStyle === 'left'\">{{fieldConfig.labelText}}</label>\r\n    </div>\r\n    <div class=\"{{getTopClass()}}\">\r\n        <ng-template #field></ng-template>\r\n        <div class=\"up-form-field-hint\" *ngIf=\"fieldConfig?.hint && !hasError()\">{{fieldConfig?.hint}}</div>\r\n        <div class=\"up-form-field-error-wrapper\">\r\n            <div class=\"up-form-field-error\">{{getError()}}</div>\r\n        </div>\r\n    </div>\r\n</div>",
                styles: [":host ::ng-deep .up-dynamic-field{display:flex;min-height:60px;height:100%}:host ::ng-deep .up-dynamic-field .label-wrapper{padding-top:16px;padding-right:5px;width:110px;text-align:right}:host ::ng-deep .up-dynamic-field .label-wrapper .left-label{position:relative}:host ::ng-deep .up-dynamic-field .label-wrapper .left-label.required:before{content:'*';position:absolute;left:-7px;color:#f5222d}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper{width:calc(100% - 115px)}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .up-form-field-error-wrapper,:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .up-form-field-hint{font-size:75%;position:absolute}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .up-form-field-hint{color:rgba(0,0,0,.54)}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .up-form-field-error-wrapper{overflow:hidden}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .up-form-field-error-wrapper .up-form-field-error{color:red;transition:margin-top .25s .1s;margin-top:-1.5em}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .mat-form-field{width:100%}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .mat-form-field .mat-form-field-wrapper{padding-bottom:0}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .mat-form-field .mat-form-field-wrapper .mat-form-field-infix{width:100%}:host ::ng-deep .up-dynamic-field .up-dynamic-control-wrapper .mat-form-field .mat-form-field-wrapper .mat-form-field-underline{bottom:0}:host ::ng-deep .up-dynamic-field .error .up-form-field-label{color:red!important}:host ::ng-deep .up-dynamic-field .error .up-form-field-error-wrapper .up-form-field-error{margin-top:0}"]
            }] }
];
/** @nocollapse */
DynamicFormFieldComponent.ctorParameters = () => [
    { type: ComponentFactoryResolver }
];
DynamicFormFieldComponent.propDecorators = {
    fieldConfig: [{ type: Input }],
    form: [{ type: Input }],
    field: [{ type: ViewChild, args: ['field', { read: ViewContainerRef, static: true },] }]
};
if (false) {
    /** @type {?} */
    DynamicFormFieldComponent.prototype.fieldConfig;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.form;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.control;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.field;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.defaultFieldConfig;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.getError;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.getTopClass;
    /** @type {?} */
    DynamicFormFieldComponent.prototype.hasError;
    /**
     * @type {?}
     * @private
     */
    DynamicFormFieldComponent.prototype.componentFactoryResolver;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-validators/validators.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UPValidatorIntl {
    constructor() {
        this.requiredMessage = '此项必填';
        this.matchMessage = '不匹配';
        this.emailMessage = '请输入合法的Email地址';
        this.numberMessage = '请输入数字';
        this.regexMessage = '输入格式有误';
        this.integerMessage = '整数部分不超过$integer位数';
        this.decimalMessage = '小数部分不超过$decimal位数';
        this.lengthMinMessage = '请至少输入$min位字符';
        this.lengthMaxMessage = '请至多输入$max位字符';
        this.numberMinMessage = '请输入大于$min的数';
        this.numberMaxMessage = '请输入小于$max的数';
    }
}
UPValidatorIntl.decorators = [
    { type: Injectable }
];
if (false) {
    /** @type {?} */
    UPValidatorIntl.prototype.requiredMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.matchMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.emailMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.numberMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.regexMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.integerMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.decimalMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.lengthMinMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.lengthMaxMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.numberMinMessage;
    /** @type {?} */
    UPValidatorIntl.prototype.numberMaxMessage;
}
class UPValidatorService {
    /**
     * @param {?} intl
     */
    constructor(intl) {
        this.intl = intl;
        /**
         * @param message string
         */
        this.required = (/**
         * @param {?=} message
         * @return {?}
         */
        (message = this.intl.requiredMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                if (!self.value && self.value !== false) {
                    return {
                        required: {
                            message
                        }
                    };
                }
            });
        });
        this.match = (/**
         * @param {?} targetField
         * @param {?=} message
         * @return {?}
         */
        (targetField, message = this.intl.matchMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                /** @type {?} */
                const _form = self.parent;
                if (_form) {
                    /** @type {?} */
                    const targetControl = _form.controls[targetField];
                    if (targetControl.value && self.value !== targetControl.value) { // 如果两个值不一致
                        return {
                            match: {
                                message
                            }
                        };
                    }
                }
            });
        });
        this.email = (/**
         * @param {?=} message
         * @return {?}
         */
        (message = this.intl.emailMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                /** @type {?} */
                const result = Validators.email(self);
                if (result) {
                    return {
                        email: { message }
                    };
                }
            });
        });
        this.stringLength = (/**
         * @param {?=} min
         * @param {?=} max
         * @param {?=} lengthMinMessage
         * @param {?=} lengthMaxMessage
         * @return {?}
         */
        (min, max, lengthMinMessage = this.intl.lengthMinMessage, lengthMaxMessage = this.intl.lengthMaxMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                if (!self.value) {
                    return null;
                }
                /** @type {?} */
                const length = self.value ? self.value.length : 0;
                /** @type {?} */
                let message;
                if (length < min) {
                    message = lengthMinMessage.replace('$min', `${min}`);
                }
                if (length > max) {
                    message = lengthMaxMessage.replace('$max', `${max}`);
                }
                if (message) {
                    return {
                        stringLength: {
                            message
                        }
                    };
                }
            });
        });
        this.isNumber = (/**
         * @param {?} value
         * @return {?}
         */
        (value) => !!value && /^(0|[1-9][0-9]*).?[0-9]*$/.test(value.toString()));
        this.isValidParam = (/**
         * @param {?} param
         * @return {?}
         */
        (param) => !!param || param === 0 || param === false);
        this.number = (/**
         * @param {?=} message
         * @return {?}
         */
        (message = this.intl.numberMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                if (this.isNumber(self.value)) {
                    return {
                        number: {
                            message
                        }
                    };
                }
            });
        });
        this.numberLength = (/**
         * @param {?=} integer
         * @param {?=} decimal
         * @param {?=} integerMessage
         * @param {?=} decimalMessage
         * @return {?}
         */
        (integer, decimal, integerMessage = this.intl.integerMessage, decimalMessage = this.intl.decimalMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                if (!self.value) {
                    return null;
                }
                /** @type {?} */
                const stringValue = self.value.toString();
                if (this.isNumber(stringValue)) {
                    const [integerPart, decimalPart] = stringValue.split('.');
                    /** @type {?} */
                    let message;
                    if (this.isValidParam(integer) && integerPart.length < integer) {
                        message = integerMessage.replace('$integer', `${integer}`);
                    }
                    if (this.isValidParam(decimal) && decimalPart && integerPart.length < decimal) {
                        message = decimalMessage.replace('$decimal', `${decimal}`);
                    }
                    if (message) {
                        return {
                            stringLength: {
                                message
                            }
                        };
                    }
                }
            });
        });
        this.numberRange = (/**
         * @param {?=} min
         * @param {?=} max
         * @param {?=} numberMinMessage
         * @param {?=} numberMaxMessage
         * @return {?}
         */
        (min, max, numberMinMessage = this.intl.numberMinMessage, numberMaxMessage = this.intl.numberMaxMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                /** @type {?} */
                const value = self.value;
                if (this.isNumber(self.value)) {
                    /** @type {?} */
                    let message;
                    if (this.isValidParam(min) && value < min) {
                        message = numberMinMessage.replace('$min', `${min}`);
                    }
                    if (this.isValidParam(max) && value > max) {
                        message = numberMaxMessage.replace('$max', `${max}`);
                    }
                    if (message) {
                        return {
                            stringLength: {
                                message
                            }
                        };
                    }
                }
            });
        });
        this.regex = (/**
         * @param {?} re
         * @param {?=} message
         * @return {?}
         */
        (re, message = this.intl.regexMessage) => {
            return (/**
             * @param {?} self
             * @return {?}
             */
            (self) => {
                /** @type {?} */
                const value = self.value;
                /** @type {?} */
                const match = re.test(value);
                re.lastIndex = 0;
                if (!match) {
                    return {
                        regex: { message }
                    };
                }
            });
        });
    }
}
UPValidatorService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
UPValidatorService.ctorParameters = () => [
    { type: UPValidatorIntl }
];
if (false) {
    /**
     * \@param message string
     * @type {?}
     */
    UPValidatorService.prototype.required;
    /** @type {?} */
    UPValidatorService.prototype.match;
    /** @type {?} */
    UPValidatorService.prototype.email;
    /** @type {?} */
    UPValidatorService.prototype.stringLength;
    /** @type {?} */
    UPValidatorService.prototype.isNumber;
    /** @type {?} */
    UPValidatorService.prototype.isValidParam;
    /** @type {?} */
    UPValidatorService.prototype.number;
    /** @type {?} */
    UPValidatorService.prototype.numberLength;
    /** @type {?} */
    UPValidatorService.prototype.numberRange;
    /** @type {?} */
    UPValidatorService.prototype.regex;
    /**
     * @type {?}
     * @private
     */
    UPValidatorService.prototype.intl;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/up-dynamic-form.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UPDynamicFormModule {
}
UPDynamicFormModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule,
                    CascadeSelectModule,
                    UPFileUploadModule
                ],
                declarations: [
                    UPDynamicFormComponent,
                    DynamicFormFieldComponent,
                    FieldControlInputComponent,
                    FieldControlTextareaComponent,
                    FieldControlSelectComponent,
                    FieldControlDatepickerComponent,
                    FieldControlRadioGroupComponent,
                    FieldControlcheckboxComponent,
                    FieldControlPathSelectComponent,
                    FieldControlAutoCompleteComponent,
                    FieldControlFileUploadComponent
                ],
                exports: [
                    UPDynamicFormComponent
                ],
                entryComponents: [
                    FieldControlInputComponent,
                    FieldControlTextareaComponent,
                    FieldControlSelectComponent,
                    FieldControlDatepickerComponent,
                    FieldControlRadioGroupComponent,
                    FieldControlcheckboxComponent,
                    FieldControlAutoCompleteComponent,
                    FieldControlFileUploadComponent,
                    FieldControlPathSelectComponent
                ],
                providers: [UPValidatorService, UPValidatorIntl]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/highlight.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HighlightDirective {
    /**
     * @param {?} el
     */
    constructor(el) {
        this.el = el;
    }
    /**
     * @return {?}
     */
    onMouseEnter() {
        this.highlight(this.highlightColor || '#c1efff');
    }
    /**
     * @return {?}
     */
    onMouseLeave() {
        this.highlight(undefined);
    }
    /**
     * @return {?}
     */
    onClick() {
        /** @type {?} */
        const siblings = this.el.nativeElement.parentNode.children;
        for (const item of siblings) {
            item.classList.remove('highlight');
        }
        this.el.nativeElement.classList.add('highlight');
    }
    /**
     * @private
     * @param {?} color
     * @return {?}
     */
    highlight(color) {
        this.el.nativeElement.style.backgroundColor = color;
    }
}
HighlightDirective.decorators = [
    { type: Directive, args: [{
                selector: '[upHighlight]'
            },] }
];
/** @nocollapse */
HighlightDirective.ctorParameters = () => [
    { type: ElementRef }
];
HighlightDirective.propDecorators = {
    highlightColor: [{ type: Input, args: ['highlightColor',] }],
    onMouseEnter: [{ type: HostListener, args: ['mouseenter',] }],
    onMouseLeave: [{ type: HostListener, args: ['mouseleave',] }],
    onClick: [{ type: HostListener, args: ['click', ['$event.target'],] }]
};
if (false) {
    /** @type {?} */
    HighlightDirective.prototype.highlightColor;
    /**
     * @type {?}
     * @private
     */
    HighlightDirective.prototype.el;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/loading/loading.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LoadingComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
LoadingComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-loading',
                template: "<div class=\"loading-container\">\n    <div class=\"loading-mask\"></div>\n    <div class=\"loading-indicator\">\n        <div class=\"spinner-container container1\">\n            <div class=\"circle1\"></div>\n            <div class=\"circle2\"></div>\n            <div class=\"circle3\"></div>\n            <div class=\"circle4\"></div>\n        </div>\n        <div class=\"spinner-container container2\">\n            <div class=\"circle1\"></div>\n            <div class=\"circle2\"></div>\n            <div class=\"circle3\"></div>\n            <div class=\"circle4\"></div>\n        </div>\n        <div class=\"spinner-container container3\">\n            <div class=\"circle1\"></div>\n            <div class=\"circle2\"></div>\n            <div class=\"circle3\"></div>\n            <div class=\"circle4\"></div>\n        </div>\n    </div>\n</div>",
                styles: [".loading-container{position:absolute;z-index:9999;left:0;top:0;right:0;bottom:0}.loading-mask{width:100%;height:100%;background:rgba(0,0,0,.3)}.loading-indicator{margin:auto;width:60px;height:60px;position:absolute;left:0;top:0;right:0;bottom:0}.container1>div,.container2>div,.container3>div{width:16px;height:16px;background-color:#3498db;border-radius:100%;position:absolute;-webkit-animation:1.2s ease-in-out infinite both bouncedelay;animation:1.2s ease-in-out infinite both bouncedelay}.loading-indicator .spinner-container{position:absolute;width:100%;height:100%}.container2{transform:rotateZ(45deg)}.container3{transform:rotateZ(90deg)}.circle1{top:0;left:0}.circle2{top:0;right:0}.circle3{right:0;bottom:0}.circle4{left:0;bottom:0}.container2 .circle1{-webkit-animation-delay:-1.1s;animation-delay:-1.1s}.container3 .circle1{-webkit-animation-delay:-1s;animation-delay:-1s}.container1 .circle2{-webkit-animation-delay:-.9s;animation-delay:-.9s}.container2 .circle2{-webkit-animation-delay:-.8s;animation-delay:-.8s}.container3 .circle2{-webkit-animation-delay:-.7s;animation-delay:-.7s}.container1 .circle3{-webkit-animation-delay:-.6s;animation-delay:-.6s}.container2 .circle3{-webkit-animation-delay:-.5s;animation-delay:-.5s}.container3 .circle3{-webkit-animation-delay:-.4s;animation-delay:-.4s}.container1 .circle4{-webkit-animation-delay:-.3s;animation-delay:-.3s}.container2 .circle4{-webkit-animation-delay:-.2s;animation-delay:-.2s}.container3 .circle4{-webkit-animation-delay:-.1s;animation-delay:-.1s}@-webkit-keyframes bouncedelay{0%,100%,80%{-webkit-transform:scale(0)}40%{-webkit-transform:scale(1)}}@keyframes bouncedelay{0%,100%,80%{transform:scale(0);-webkit-transform:scale(0)}40%{transform:scale(1);-webkit-transform:scale(1)}}"]
            }] }
];
/** @nocollapse */
LoadingComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/loading.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LoadingDirective {
    /**
     * @param {?} el
     * @param {?} renderer2
     * @param {?} viewContainerRef
     * @param {?} componentFactoryResolver
     */
    constructor(el, renderer2, viewContainerRef, componentFactoryResolver) {
        this.el = el;
        this.renderer2 = renderer2;
        this.viewContainerRef = viewContainerRef;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set appLoading(value) {
        if (value) {
            /** @type {?} */
            const factory = this.componentFactoryResolver.resolveComponentFactory(LoadingComponent);
            this.component = this.viewContainerRef.createComponent(factory);
        }
        else {
            if (this.component) {
                this.component.destroy();
            }
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
LoadingDirective.decorators = [
    { type: Directive, args: [{
                selector: '[upLoading]'
            },] }
];
/** @nocollapse */
LoadingDirective.ctorParameters = () => [
    { type: ElementRef },
    { type: Renderer2 },
    { type: ViewContainerRef },
    { type: ComponentFactoryResolver }
];
LoadingDirective.propDecorators = {
    appLoading: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    LoadingDirective.prototype.component;
    /**
     * @type {?}
     * @private
     */
    LoadingDirective.prototype.el;
    /**
     * @type {?}
     * @private
     */
    LoadingDirective.prototype.renderer2;
    /** @type {?} */
    LoadingDirective.prototype.viewContainerRef;
    /**
     * @type {?}
     * @private
     */
    LoadingDirective.prototype.componentFactoryResolver;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/shared.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SharedModule {
}
SharedModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule,
                    NotificationModule,
                    FormExtensionModule,
                    BreadcrumbModule,
                    NestedSelectionModule,
                    SatPopoverModule,
                    MatDatepickerModule,
                    MatMomentDatetimeModule,
                    MatDatetimepickerModule,
                    DynamicTableModule,
                    CascadeSelectModule,
                    UPDynamicFormModule,
                    UPFileUploadModule,
                    UPInlineEditModule
                ],
                declarations: [
                    RateComponent,
                    CustomInputComponent,
                    HighlightDirective,
                    LoadingComponent,
                    LoadingDirective
                ],
                exports: [
                    FormExtensionModule,
                    NotificationModule,
                    BreadcrumbModule,
                    NestedSelectionModule,
                    RateComponent,
                    UPInlineEditModule,
                    CustomInputComponent,
                    CascadeSelectComponent,
                    SatPopoverModule,
                    DynamicTableModule,
                    CascadeSelectModule,
                    UPDynamicFormModule,
                    UPFileUploadModule,
                    HighlightDirective,
                    LoadingDirective
                ],
                entryComponents: [
                    LoadingComponent
                ],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/mini-side-menu/mini-side-menu-status.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MiniSideMenuStatusService {
    constructor() {
        this.itemHoverChanged = new BehaviorSubject(null);
        this.itemSelectionChanged = new BehaviorSubject(null);
    }
    /**
     * @param {?} itemId
     * @return {?}
     */
    hasSubItemHover(itemId) {
        if (!this.itemHoverChanged.value) {
            return false;
        }
        /** @type {?} */
        const parentIds = this.itemHoverChanged.value.parentIds.replace(/\s*/g, '').split(',');
        return parentIds.indexOf(itemId) >= 0;
    }
    /**
     * @param {?} menuItem
     * @return {?}
     */
    updateMenuSelection(menuItem) {
        // if (this.itemSelectionChanged.value && this.itemSelectionChanged.value.id !== menuItem.id) {
        this.itemSelectionChanged.next(menuItem);
        // }
    }
}
MiniSideMenuStatusService.decorators = [
    { type: Injectable }
];
if (false) {
    /** @type {?} */
    MiniSideMenuStatusService.prototype.itemHoverChanged;
    /** @type {?} */
    MiniSideMenuStatusService.prototype.itemSelectionChanged;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/mini-side-menu/mini-side-menu.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MiniSideMenuComponent {
    /**
     * @param {?} router
     * @param {?} menuService
     * @param {?} statusService
     */
    constructor(router, menuService, statusService) {
        this.router = router;
        this.menuService = menuService;
        this.statusService = statusService;
        this.defaultActiveFirst = true;
        this._unsubscribe = new Subject();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.statusService.itemSelectionChanged.pipe(takeUntil$1(this._unsubscribe)).subscribe((/**
         * @param {?} item
         * @return {?}
         */
        item => {
            if (item && item.href) {
                this.cleanSelection(this.menuData);
                item.selected = true;
                this.selectItemById(this.menuData, this.getParentIds(item));
            }
        }));
        this.menuService.sideStatusChanged.pipe(filter((/**
         * @param {?} changed
         * @return {?}
         */
        changed => changed)), takeUntil$1(this._unsubscribe)).subscribe((/**
         * @return {?}
         */
        () => {
            this.updateContent();
        }));
    }
    /**
     * @return {?}
     */
    ngOnChanges() {
        this.updateContent();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._unsubscribe.next();
    }
    /**
     * @return {?}
     */
    updateContent() {
        this.cleanSelection(this.menuData);
        /** @type {?} */
        const activeMenu = this.findRouterMatch(this.menuData);
        if (activeMenu) {
            activeMenu.selected = true;
            this.selectItemById(this.menuData, this.getParentIds(activeMenu));
        }
        if (!activeMenu && this.defaultActiveFirst) {
            this.activeFirstRouter(this.menuData);
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    findRouterMatch(menuData) {
        if (!menuData) {
            return undefined;
        }
        /** @type {?} */
        let result;
        // let result: MenuItemModel = _.chain(menuData.children).filter(['href', this.router.url]).head().value();
        if (menuData.href === this.router.url) {
            result = menuData;
        }
        if (!result) {
            if (menuData.children && menuData.children.length > 0) {
                for (const item of menuData.children) {
                    /** @type {?} */
                    const res = this.findRouterMatch(item);
                    if (res) {
                        result = res;
                        break;
                    }
                }
            }
        }
        return result;
    }
    /**
     * @private
     * @param {?} activeMenu
     * @return {?}
     */
    getParentIds(activeMenu) {
        if (!activeMenu) {
            return [];
        }
        /** @type {?} */
        const parentIds = reverse(clone(activeMenu.parentIds).split(','));
        return drop(parentIds, parentIds.indexOf(this.menuData.id) + 1);
    }
    /**
     * @private
     * @param {?} menuItem
     * @param {?} ids
     * @return {?}
     */
    selectItemById(menuItem, ids) {
        if (!menuItem || !menuItem.children) {
            return;
        }
        for (const item of menuItem.children) {
            if (ids.indexOf(item.id) >= 0) {
                item.selected = true;
                this.selectItemById(item, ids);
            }
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    cleanSelection(menuData) {
        if (!menuData) {
            return;
        }
        menuData.selected = false;
        if (menuData.children && menuData.children.length > 0) {
            for (const item of menuData.children) {
                this.cleanSelection(item);
            }
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    activeFirstRouter(menuData) {
        if (menuData) {
            if (!menuData.children && menuData.href) {
                setTimeout((/**
                 * @return {?}
                 */
                () => this.router.navigate([menuData.href])), 0);
                menuData.selected = true;
                return;
            }
            if (menuData.children && menuData.children.length > 0) {
                menuData.selected = true;
                this.activeFirstRouter(menuData.children[0]);
            }
        }
    }
}
MiniSideMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-mini',
                template: "<mat-nav-list class=\"side-menu-mini\">\r\n    <up-side-menu-content-mini [dataItem]=\"menuData\" [level]=0></up-side-menu-content-mini>\r\n</mat-nav-list>\r\n",
                styles: [".side-menu-mini{width:72px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}.menu-list{min-width:180px;overflow:hidden}.mat-list-item.menu-item-title{background-color:#32404e!important;border:none;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}::ng-deep .sub-level.mat-list-item{background-color:#263238}::ng-deep .mat-list-item-content{padding-left:24px!important}"]
            }] }
];
/** @nocollapse */
MiniSideMenuComponent.ctorParameters = () => [
    { type: Router },
    { type: MenuService },
    { type: MiniSideMenuStatusService }
];
MiniSideMenuComponent.propDecorators = {
    defaultActiveFirst: [{ type: Input }],
    menuData: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    MiniSideMenuComponent.prototype.defaultActiveFirst;
    /** @type {?} */
    MiniSideMenuComponent.prototype.menuData;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuComponent.prototype._unsubscribe;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuComponent.prototype.router;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuComponent.prototype.menuService;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuComponent.prototype.statusService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/mini-side-menu/mini-side-menu-item/mini-side-menu-item.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MiniSideMenuItemComponent {
    /**
     * @param {?} overlay
     * @param {?} viewContainerRef
     * @param {?} universalService
     * @param {?} itemStatusService
     */
    constructor(overlay, viewContainerRef, universalService, itemStatusService) {
        this.overlay = overlay;
        this.viewContainerRef = viewContainerRef;
        this.universalService = universalService;
        this.itemStatusService = itemStatusService;
        this.menuListOut = new EventEmitter();
        this.isMenuListHover = false;
    }
    /**
     * @return {?}
     */
    get isFaIcon() {
        return this.menuItem.icon && this.menuItem.icon.startsWith('fa-');
    }
    /**
     * @return {?}
     */
    get isMatIcon() {
        return !this.universalService.getFontsetByPrefix(this.menuItem.icon);
    }
    /**
     * @return {?}
     */
    get fontSet() {
        return this.universalService.getFontsetByPrefix(this.menuItem.icon);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        /** @type {?} */
        const strategy = this.overlay.position()
            .connectedTo(this.viewContainerRef.element, { originX: 'end', originY: 'top' }, { overlayX: 'start', overlayY: 'top' });
        this.overlayRef = this.overlay.create({
            positionStrategy: strategy
        });
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        if (this.overlayPortal) {
            this.overlayPortal.viewContainerRef.clear();
        }
        if (this.overlayRef) {
            this.overlayRef.detach();
        }
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onMouseHover(item) {
        this.itemStatusService.itemHoverChanged.next(item);
        if (this.overlayRef) {
            this.overlayRef.detach();
            if (!this.overlayPortal) {
                this.overlayPortal = new TemplatePortal(this.overlayMenuList, this.viewContainerRef);
            }
            this.overlayRef.attach(this.overlayPortal);
        }
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onMouseLeave(item) {
        this.itemStatusService.itemHoverChanged.next(null);
        this.closeSubMenu(false);
    }
    /**
     * @return {?}
     */
    onMenuListHover() {
        this.isMenuListHover = true;
    }
    /**
     * @return {?}
     */
    onMenuListOut() {
        this.closeSubMenu(true);
    }
    /**
     * @return {?}
     */
    onSbuMenuOut() {
        this.closeSubMenu(true);
    }
    /**
     * @private
     * @param {?} connectSub
     * @return {?}
     */
    closeSubMenu(connectSub) {
        setTimeout((/**
         * @return {?}
         */
        () => {
            if (connectSub) {
                this.isMenuListHover = this.itemStatusService.hasSubItemHover(this.menuItem.id);
            }
            if (this.overlayRef && !this.isMenuListHover) {
                this.overlayRef.detach();
                if (connectSub) {
                    this.menuListOut.emit(this.menuItem.id);
                }
            }
        }), 1);
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onNaviStart(item) {
        this.itemStatusService.itemHoverChanged.next(null);
        this.closeSubMenu(true);
        if (item.href) {
            this.itemStatusService.updateMenuSelection(item);
        }
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onTitleClicked(item) {
        if (item.href) {
            this.onNaviStart(item);
        }
    }
}
MiniSideMenuItemComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-item-mini',
                template: "<a mat-list-item\r\n        [ngClass]=\"{'item-selected': menuItem.selected, 'sub-level': level > 0 }\"\r\n        [routerLink]=\"menuItem.href\"\r\n        (mouseover)=\"onMouseHover(menuItem)\"\r\n        (mouseleave)=\"onMouseLeave(menuItem)\"\r\n        (click)=\"onNaviStart(menuItem)\">\r\n    <mat-icon *ngIf=\"isMatIcon\">{{ menuItem.icon }}</mat-icon>\r\n    <mat-icon *ngIf=\"!isMatIcon\" style=\"padding:2px; font-size: 20px;\" [fontSet]=\"fontSet\" [fontIcon]=\"menuItem.icon\"></mat-icon>\r\n    <span *ngIf=\"level > 0\" style=\"padding-left: 10px\">{{ menuItem.name }}</span>\r\n</a>\r\n<ng-template #overlayMenuList>\r\n    <div class=\"fab-menu-panel menu-list\"\r\n         (mouseover)=\"onMenuListHover()\"\r\n         (mouseleave)=\"onMenuListOut()\">\r\n        <mat-nav-list *ngIf=\"level === 0\">\r\n            <a mat-list-item class=\"menu-item-title\" [routerLink]=\"menuItem.href\" (click)=\"onTitleClicked(menuItem)\">{{ menuItem.name }}</a>\r\n        </mat-nav-list>\r\n        <mat-nav-list *ngIf=\"menuItem.subnodeCnt > 0\">\r\n            <ng-container *ngFor=\"let subItem of menuItem.children\">\r\n                <up-side-menu-item-mini [menuItem]=\"subItem\" [level]=\"level + 1\" (menuListOut)=\"onSbuMenuOut()\"></up-side-menu-item-mini>\r\n            </ng-container>\r\n        </mat-nav-list>\r\n    </div>\r\n</ng-template>\r\n",
                styles: [".side-menu-mini{width:72px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}.menu-list{min-width:180px;overflow:hidden}.mat-list-item.menu-item-title{background-color:#32404e!important;border:none;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}::ng-deep .sub-level.mat-list-item{background-color:#263238}::ng-deep .mat-list-item-content{padding-left:24px!important}"]
            }] }
];
/** @nocollapse */
MiniSideMenuItemComponent.ctorParameters = () => [
    { type: Overlay },
    { type: ViewContainerRef },
    { type: UniversalService },
    { type: MiniSideMenuStatusService }
];
MiniSideMenuItemComponent.propDecorators = {
    menuItem: [{ type: Input }],
    level: [{ type: Input }],
    overlayMenuList: [{ type: ViewChild, args: ['overlayMenuList', { static: true },] }],
    menuListOut: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.menuItem;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.level;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.overlayMenuList;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.menuListOut;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.overlayRef;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.overlayPortal;
    /** @type {?} */
    MiniSideMenuItemComponent.prototype.isMenuListHover;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuItemComponent.prototype.overlay;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuItemComponent.prototype.viewContainerRef;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuItemComponent.prototype.universalService;
    /**
     * @type {?}
     * @private
     */
    MiniSideMenuItemComponent.prototype.itemStatusService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/mini-side-menu/mini-side-menu-content/mini-side-menu-content.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MiniSideMenuContentComponent {
    constructor() {
        this.level = 0;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        if (this.container) {
            this.container.clear();
        }
    }
}
MiniSideMenuContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-content-mini',
                template: "<div #sideMenuContent *ngIf=\"dataItem?.children\">\r\n    <div *ngFor=\"let item of dataItem.children\">\r\n        <up-side-menu-item-mini [menuItem]=\"item\" [level]=\"level\"></up-side-menu-item-mini>\r\n    </div>\r\n</div>\r\n",
                styles: [".side-menu-mini{width:72px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}.menu-list{min-width:180px;overflow:hidden}.mat-list-item.menu-item-title{background-color:#32404e!important;border:none;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}::ng-deep .sub-level.mat-list-item{background-color:#263238}::ng-deep .mat-list-item-content{padding-left:24px!important}"]
            }] }
];
MiniSideMenuContentComponent.propDecorators = {
    container: [{ type: ViewChild, args: ['sideMenuContent', { static: true },] }],
    dataItem: [{ type: Input }],
    level: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    MiniSideMenuContentComponent.prototype.container;
    /** @type {?} */
    MiniSideMenuContentComponent.prototype.dataItem;
    /** @type {?} */
    MiniSideMenuContentComponent.prototype.level;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/mini-side-menu/mini-side-menu.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MiniSideMenuModule {
}
MiniSideMenuModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SharedModule
                ],
                declarations: [
                    MiniSideMenuItemComponent,
                    MiniSideMenuContentComponent,
                    MiniSideMenuComponent
                ],
                providers: [
                    MiniSideMenuStatusService
                ],
                exports: [
                    MiniSideMenuComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/normal-side-menu/normal-side-menu.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NormalSideMenuComponent {
    /**
     * @param {?} router
     */
    constructor(router) {
        this.router = router;
        this.defaultActiveFirst = true;
    }
    /**
     * @return {?}
     */
    ngOnChanges() {
        this.updateContent();
    }
    /**
     * @return {?}
     */
    updateContent() {
        this.cleanExpanded(this.menuData);
        /** @type {?} */
        const activeMenu = this.findRouterMatch(this.menuData);
        if (activeMenu) {
            this.expandItemById(this.menuData, this.getParentIds(activeMenu));
        }
        if (!activeMenu && this.defaultActiveFirst) {
            this.activeFirstRouter(this.menuData);
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    findRouterMatch(menuData) {
        if (!menuData) {
            return undefined;
        }
        /** @type {?} */
        let result;
        // let result: MenuItemModel = _.chain(menuData.children).filter(['href', this.router.url]).head().value();
        if (menuData.href === this.router.url) {
            result = menuData;
        }
        if (!result) {
            if (menuData.children && menuData.children.length > 0) {
                for (const item of menuData.children) {
                    /** @type {?} */
                    const res = this.findRouterMatch(item);
                    if (res) {
                        result = res;
                        break;
                    }
                }
            }
        }
        return result;
    }
    /**
     * @private
     * @param {?} activeMenu
     * @return {?}
     */
    getParentIds(activeMenu) {
        if (!activeMenu) {
            return [];
        }
        /** @type {?} */
        const parentIds = reverse(clone(activeMenu.parentIds).split(','));
        return drop(parentIds, parentIds.indexOf(this.menuData.id) + 1);
    }
    /**
     * @private
     * @param {?} menuItem
     * @param {?} ids
     * @return {?}
     */
    expandItemById(menuItem, ids) {
        if (!menuItem || !menuItem.children) {
            return;
        }
        for (const item of menuItem.children) {
            if (ids.indexOf(item.id) >= 0) {
                item.expanded = true;
                this.expandItemById(item, ids);
            }
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    activeFirstRouter(menuData) {
        if (menuData) {
            if (!menuData.children && menuData.href) {
                setTimeout((/**
                 * @return {?}
                 */
                () => this.router.navigate([menuData.href])), 10);
                return;
            }
            else {
                if (menuData.children && menuData.children.length > 0) {
                    menuData.expanded = true;
                    this.activeFirstRouter(menuData.children[0]);
                }
            }
        }
    }
    /**
     * @private
     * @param {?} menuData
     * @return {?}
     */
    cleanExpanded(menuData) {
        if (!menuData) {
            return;
        }
        menuData.expanded = false;
        if (menuData.children && menuData.children.length > 0) {
            for (const item of menuData.children) {
                this.cleanExpanded(item);
            }
        }
    }
}
NormalSideMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-normal',
                template: "<mat-accordion [multi]=\"false\" displayMode=\"flat\">\r\n    <mat-nav-list class=\"side-menu-normal\">\r\n        <up-side-menu-content-normal [dataItem]=\"menuData\" [level]=0></up-side-menu-content-normal>\r\n    </mat-nav-list>\r\n</mat-accordion>\r\n",
                styles: [".side-menu-normal{width:300px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-expanded .mat-list-item{background-color:#263238}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}::ng-deep .mat-list-item-content{padding-left:24px!important}::ng-deep .level-1.mat-list-item .mat-list-item-content{padding-left:48px!important}::ng-deep .level-2.mat-list-item .mat-list-item-content{padding-left:72px!important}.level-2.mat-list-item,::ng-deep .level-1.mat-list-item{background-color:#263238}.mat-expansion-panel{box-shadow:none!important;background:#32404e}.mat-expansion-panel:hover{background:#3c4a57}.mat-expansion-panel-header:hover .mat-expansion-panel-header-title{font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif!important;color:#fff!important}.level-1.mat-expansion-panel,.level-2.mat-expansion-panel,.mat-expansion-panel .mat-expanded{background:#263238}.level-1.mat-expansion-panel:hover,.level-2.mat-expansion-panel:hover,.mat-expansion-panel .mat-expanded:hover{background:#3c4a57}.mat-expansion-panel-header-title{color:#cfd8dc;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;transition:color .3s}::ng-deep .level-1 .mat-expansion-panel-header-title{padding-left:24px!important}::ng-deep .level-2 .mat-expansion-panel-header-title{padding-left:48px!important}::ng-deep .mat-expansion-panel-body{padding:0!important}"]
            }] }
];
/** @nocollapse */
NormalSideMenuComponent.ctorParameters = () => [
    { type: Router }
];
NormalSideMenuComponent.propDecorators = {
    defaultActiveFirst: [{ type: Input }],
    menuData: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NormalSideMenuComponent.prototype.defaultActiveFirst;
    /** @type {?} */
    NormalSideMenuComponent.prototype.menuData;
    /**
     * @type {?}
     * @private
     */
    NormalSideMenuComponent.prototype.router;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/side-menu.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SideMenuComponent {
    constructor() {
        this.initMode = 'expand';
    }
    /**
     * @return {?}
     */
    get opened() {
        return this.drawer.opened;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.expanded = this.initMode === 'expand';
    }
    /**
     * @param {?} visible
     * @return {?}
     */
    setSideMenuVisible(visible) {
        if (visible) {
            setTimeout((/**
             * @return {?}
             */
            () => {
                this.drawer.open();
            }), 1);
        }
        else {
            setTimeout((/**
             * @return {?}
             */
            () => {
                this.drawer.close();
            }), 1);
        }
        // visible ? this.drawer.open() : this.drawer.close();
    }
    /**
     * @return {?}
     */
    expand() {
        if (this.expanded) {
            return;
        }
        if (this.drawer.opened) {
            this.drawer.close().then((/**
             * @return {?}
             */
            () => {
                this.expanded = true;
                this.drawer.open();
            }));
        }
        else {
            this.expanded = true;
        }
    }
    /**
     * @return {?}
     */
    collapse() {
        if (!this.expanded) {
            return;
        }
        if (this.drawer.opened) {
            this.drawer.close().then((/**
             * @return {?}
             */
            () => {
                this.expanded = false;
                this.drawer.open();
            }));
        }
        else {
            this.expanded = false;
        }
    }
    /**
     * @return {?}
     */
    toggleVisible() {
        this.drawer.toggle();
    }
    /**
     * @return {?}
     */
    toggle() {
        this.expanded ? this.collapse() : this.expand();
    }
    /**
     * @return {?}
     */
    updateContent() {
        if (this.miniSideMenu) {
            this.miniSideMenu.updateContent();
        }
        if (this.normalSideMenu) {
            this.normalSideMenu.updateContent();
        }
    }
}
SideMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu',
                template: "<mat-sidenav-container class=\"container\">\r\n    <mat-sidenav #drawer\r\n            mode=\"side\"\r\n            opened=\"sideMenuVisible\"\r\n            [ngStyle]=\"{ 'width.px': expanded ? 300 : 72 }\">\r\n        <up-side-menu-normal #normalSideMenu *ngIf=\"expanded\" [menuData]=\"sideMenuData\"></up-side-menu-normal>\r\n        <up-side-menu-mini #miniSideMenu *ngIf=\"!expanded\" [menuData]=\"sideMenuData\"></up-side-menu-mini>\r\n    </mat-sidenav>\r\n    <mat-sidenav-content>\r\n        <ng-content select=\"[content]\"></ng-content>\r\n    </mat-sidenav-content>\r\n</mat-sidenav-container>\r\n",
                styles: [".container{width:100%;height:100%}::ng-deep .mat-drawer-side{border:none!important}"]
            }] }
];
SideMenuComponent.propDecorators = {
    sideMenuData: [{ type: Input }],
    initMode: [{ type: Input }],
    drawer: [{ type: ViewChild, args: ['drawer', { static: true },] }],
    normalSideMenu: [{ type: ViewChild, args: ['normalSideMenu', { static: false },] }],
    miniSideMenu: [{ type: ViewChild, args: ['miniSideMenu', { static: false },] }]
};
if (false) {
    /** @type {?} */
    SideMenuComponent.prototype.sideMenuData;
    /** @type {?} */
    SideMenuComponent.prototype.initMode;
    /** @type {?} */
    SideMenuComponent.prototype.drawer;
    /** @type {?} */
    SideMenuComponent.prototype.normalSideMenu;
    /** @type {?} */
    SideMenuComponent.prototype.miniSideMenu;
    /** @type {?} */
    SideMenuComponent.prototype.expanded;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/normal-side-menu/normal-side-menu-item/normal-side-menu-item.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NormalSideMenuItemComponent {
    /**
     * @param {?} universalService
     */
    constructor(universalService) {
        this.universalService = universalService;
    }
    /**
     * @return {?}
     */
    get isFaIcon() {
        return this.item.icon && this.item.icon.startsWith('fa-');
    }
    /**
     * @return {?}
     */
    get isMatIcon() {
        return !this.universalService.getFontsetByPrefix(this.item.icon);
    }
    /**
     * @return {?}
     */
    get fontSet() {
        return this.universalService.getFontsetByPrefix(this.item.icon);
    }
}
NormalSideMenuItemComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-item-normal',
                template: "<ng-container>\r\n    <a mat-list-item [routerLink]=\"item.href\" routerLinkActive=\"item-selected\" [ngClass]=\"['level-' + level]\">\r\n        <mat-icon *ngIf=\"isMatIcon\">{{ item.icon }}</mat-icon>\r\n        <mat-icon *ngIf=\"!isMatIcon\" style=\"padding:2px; font-size: 20px;\" [fontSet]=\"fontSet\" [fontIcon]=\"item.icon\"></mat-icon>\r\n        <span style=\"padding-left: 10px\">{{ item.name }}</span>\r\n    </a>\r\n</ng-container>\r\n",
                styles: [".side-menu-normal{width:300px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-expanded .mat-list-item{background-color:#263238}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}::ng-deep .mat-list-item-content{padding-left:24px!important}::ng-deep .level-1.mat-list-item .mat-list-item-content{padding-left:48px!important}::ng-deep .level-2.mat-list-item .mat-list-item-content{padding-left:72px!important}.level-2.mat-list-item,::ng-deep .level-1.mat-list-item{background-color:#263238}.mat-expansion-panel{box-shadow:none!important;background:#32404e}.mat-expansion-panel:hover{background:#3c4a57}.mat-expansion-panel-header:hover .mat-expansion-panel-header-title{font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif!important;color:#fff!important}.level-1.mat-expansion-panel,.level-2.mat-expansion-panel,.mat-expansion-panel .mat-expanded{background:#263238}.level-1.mat-expansion-panel:hover,.level-2.mat-expansion-panel:hover,.mat-expansion-panel .mat-expanded:hover{background:#3c4a57}.mat-expansion-panel-header-title{color:#cfd8dc;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;transition:color .3s}::ng-deep .level-1 .mat-expansion-panel-header-title{padding-left:24px!important}::ng-deep .level-2 .mat-expansion-panel-header-title{padding-left:48px!important}::ng-deep .mat-expansion-panel-body{padding:0!important}"]
            }] }
];
/** @nocollapse */
NormalSideMenuItemComponent.ctorParameters = () => [
    { type: UniversalService }
];
NormalSideMenuItemComponent.propDecorators = {
    item: [{ type: Input }],
    level: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NormalSideMenuItemComponent.prototype.item;
    /** @type {?} */
    NormalSideMenuItemComponent.prototype.level;
    /**
     * @type {?}
     * @private
     */
    NormalSideMenuItemComponent.prototype.universalService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/normal-side-menu/normal-side-menu-content/normal-side-menu-content.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NormalSideMenuContentComponent {
    /**
     * @param {?} universalService
     */
    constructor(universalService) {
        this.universalService = universalService;
        this.level = 0;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        if (this.container) {
            this.container.clear();
        }
    }
    /**
     * @param {?} iconname
     * @return {?}
     */
    getFontset(iconname) {
        return this.universalService.getFontsetByPrefix(iconname);
    }
    /**
     * @param {?} iconName
     * @return {?}
     */
    isMatIcon(iconName) {
        return !this.universalService.getFontsetByPrefix(iconName);
    }
}
NormalSideMenuContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-side-menu-content-normal',
                template: "<div #sideMenuContent *ngIf=\"dataItem?.children\">\r\n    <div *ngFor=\"let item of dataItem.children\">\r\n        <div *ngIf=\"!item?.children; else expansion\">\r\n            <up-side-menu-item-normal [item]=\"item\" [level]=\"level\"></up-side-menu-item-normal>\r\n        </div>\r\n        <ng-template #expansion>\r\n            <mat-expansion-panel [ngClass]=\"'level-' + level\" [expanded]=\"item.expanded\">\r\n                <mat-expansion-panel-header collapsedHeight=\"64px\">\r\n                    <mat-panel-title>\r\n                        <mat-icon *ngIf=\"isMatIcon(item.icon)\">{{ item.icon }}</mat-icon>\r\n                        <mat-icon *ngIf=\"!isMatIcon(item.icon)\" style=\"padding:2px; font-size: 20px\" [fontSet]=\"getFontset(item.icon)\" [fontIcon]=\"item.icon\"></mat-icon>\r\n                        <span style=\"padding-left: 10px\">{{ item.name }}</span>\r\n                    </mat-panel-title>\r\n                </mat-expansion-panel-header>\r\n                <up-side-menu-content-normal [dataItem]=\"item\" [level]=\"level + 1\"></up-side-menu-content-normal>\r\n            </mat-expansion-panel>\r\n        </ng-template>\r\n    </div>\r\n</div>\r\n",
                styles: [".side-menu-normal{width:300px;height:100%;background-color:#32404e;overflow:hidden}.mat-nav-list{padding-top:0}.mat-list-item{background-color:#32404e;height:64px;padding:0;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;color:#cfd8dc;transition:color .3s}.mat-expanded .mat-list-item{background-color:#263238}.mat-list-item:hover{background-color:#3c4a57;color:#fff;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif}.mat-list-item.item-selected{background-color:#475360!important;color:#fff;font-weight:700}.mat-list-item.item-selected :after{height:100%;width:5px;background-color:#40c4ff;position:absolute;top:0;left:0;content:\" \"}::ng-deep .mat-list-item-content{padding-left:24px!important}::ng-deep .level-1.mat-list-item .mat-list-item-content{padding-left:48px!important}::ng-deep .level-2.mat-list-item .mat-list-item-content{padding-left:72px!important}.level-2.mat-list-item,::ng-deep .level-1.mat-list-item{background-color:#263238}.mat-expansion-panel{box-shadow:none!important;background:#32404e}.mat-expansion-panel:hover{background:#3c4a57}.mat-expansion-panel-header:hover .mat-expansion-panel-header-title{font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif!important;color:#fff!important}.level-1.mat-expansion-panel,.level-2.mat-expansion-panel,.mat-expansion-panel .mat-expanded{background:#263238}.level-1.mat-expansion-panel:hover,.level-2.mat-expansion-panel:hover,.mat-expansion-panel .mat-expanded:hover{background:#3c4a57}.mat-expansion-panel-header-title{color:#cfd8dc;font:700 15px/1.5 \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;transition:color .3s}::ng-deep .level-1 .mat-expansion-panel-header-title{padding-left:24px!important}::ng-deep .level-2 .mat-expansion-panel-header-title{padding-left:48px!important}::ng-deep .mat-expansion-panel-body{padding:0!important}"]
            }] }
];
/** @nocollapse */
NormalSideMenuContentComponent.ctorParameters = () => [
    { type: UniversalService }
];
NormalSideMenuContentComponent.propDecorators = {
    container: [{ type: ViewChild, args: ['sideMenuContent', { static: true },] }],
    dataItem: [{ type: Input }],
    level: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    NormalSideMenuContentComponent.prototype.container;
    /** @type {?} */
    NormalSideMenuContentComponent.prototype.dataItem;
    /** @type {?} */
    NormalSideMenuContentComponent.prototype.level;
    /**
     * @type {?}
     * @private
     */
    NormalSideMenuContentComponent.prototype.universalService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/normal-side-menu/normal-side-menu.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NormalSideMenuModule {
}
NormalSideMenuModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SharedModule
                ],
                declarations: [
                    NormalSideMenuItemComponent,
                    NormalSideMenuContentComponent,
                    NormalSideMenuComponent
                ],
                exports: [
                    NormalSideMenuComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/menu/side-menu/side-menu.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SideMenuModule {
}
SideMenuModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SharedModule,
                    NormalSideMenuModule,
                    MiniSideMenuModule
                ],
                declarations: [
                    SideMenuComponent
                ],
                exports: [
                    NormalSideMenuModule,
                    MiniSideMenuModule,
                    SideMenuComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/default/default-viewport.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DefaultViewportModule {
}
DefaultViewportModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SideMenuModule
                ],
                declarations: [
                    HeaderComponent,
                    DefaultViewportComponent
                ],
                exports: [
                    DefaultViewportComponent
                ],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/header/header.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HeaderComponent$1 {
    /**
     * @param {?} router
     * @param {?} menuService
     */
    constructor(router, menuService) {
        this.router = router;
        this.menuService = menuService;
        this.sideMenuToggle = new EventEmitter();
        this.notifyCenterOpen = new EventEmitter();
        this.activeMenuItem = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.menuService.activeTopMenuChanged.subscribe((/**
         * @param {?} menuItem
         * @return {?}
         */
        menuItem => {
            this.selectedTopMenuItem = menuItem;
        }));
    }
    /**
     * @return {?}
     */
    onNotifyCenterOpen() {
        this.notifyCenterOpen.emit();
    }
    /**
     * @return {?}
     */
    logoOnClick() {
        if (this.logoLinkUrl) {
            window.location.href = this.logoLinkUrl;
        }
    }
}
HeaderComponent$1.decorators = [
    { type: Component, args: [{
                selector: 'up-header-drop',
                template: "<mat-toolbar color=\"primary\" class=\"mat-elevation-z4\">\r\n    <div class=\"logo\">\r\n        <button type=\"button\" aria-label=\"LOGO\" mat-icon-button (click)=\"logoOnClick()\">\r\n            <img [src]=\"logoSource\" class=\"logo-img\"/>\r\n        </button>\r\n        <span class=\"logo-title\">{{ appTitle }}</span>\r\n    </div>\r\n\r\n    <ng-container *ngFor=\"let item of flatMenuItems\">\r\n        <ng-container *ngIf=\"item.href; else subMenuTemplate\">\r\n            <button mat-button\r\n                    [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n                    [routerLink]=\"item.href\">\r\n                <!--[matBadge]=\"item.badge\"-->\r\n                <mat-icon matBadgeColor=\"warn\" *ngIf=\"item.icon\">{{item.icon}}</mat-icon>{{ item.name }}\r\n            </button>\r\n        </ng-container>\r\n        <ng-template #subMenuTemplate>\r\n            <button mat-button\r\n                    [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n                    [matMenuTriggerFor]=\"flatMenu\">\r\n                <!--[matBadge]=\"item.badge\"-->\r\n                <mat-icon matBadgeColor=\"warn\" *ngIf=\"item.icon\">{{item.icon}}</mat-icon>{{ item.name }}\r\n            </button>\r\n            <mat-menu #flatMenu>\r\n                <up-header-drop-menu [parentMenu]=\"item\"></up-header-drop-menu>\r\n            </mat-menu>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <span class=\"header-separator\"></span>\r\n\r\n    <ng-container *ngFor=\"let item of iconMenuItems\">\r\n        <ng-container *ngIf=\"item.href; else subMenuTemplate\">\r\n            <button type=\"button\" mat-icon-button\r\n                    [id]=\"item.id\"\r\n                    [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n                    [routerLink]=\"item.href\">\r\n                <!--[matBadge]=\"item.badge\"-->\r\n                <mat-icon matBadgeColor=\"warn\" *ngIf=\"item.icon\">{{item.icon}}</mat-icon>\r\n            </button>\r\n        </ng-container>\r\n        <ng-template #subMenuTemplate>\r\n            <button type=\"button\" mat-icon-button\r\n                    [id]=\"item.id\"\r\n                    [ngClass]=\"{'item-selected': item.id == selectedTopMenuItem.id}\"\r\n                    [matMenuTriggerFor]=\"iconMenu\">\r\n                <!--[matBadge]=\"item.badge\"-->\r\n                <mat-icon matBadgeColor=\"warn\" *ngIf=\"item.icon\">{{item.icon}}</mat-icon>\r\n            </button>\r\n            <mat-menu #iconMenu>\r\n                <up-header-drop-menu [parentMenu]=\"item\"></up-header-drop-menu>\r\n            </mat-menu>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <span style=\"padding: 0 8px\"></span>\r\n\r\n    <button type=\"button\"\r\n            aria-label=\"User Image\"\r\n            mat-icon-button\r\n            class=\"badge-offset\"\r\n            matBadgeColor=\"warn\"\r\n            [matBadge]=\"''\"\r\n            (click)=\"onNotifyCenterOpen()\">\r\n        <img src=\"{{userImageUrl||'assets/images/examples/user_img.png'}}\"class=\"user-img\"/>\r\n    </button>\r\n    <span class=\"user-name\">{{ userName }}</span>\r\n</mat-toolbar>\r\n",
                styles: [".mat-toolbar{position:fixed;top:0;z-index:2;padding:0}.logo{width:calc(300px - 16px * 2);height:100%;align-items:center;display:flex;padding:0 16px}.logo-img{width:36px;height:36px}.logo-title{padding:0 16px}.header-separator{flex:1 1 auto}.user-img{width:36px;height:36px;border-radius:50%}.user-name{font:300 14px/20px \"Microsoft YaHei\",\"Helvetica Neue\",sans-serif;padding:0 16px 0 8px}.fab-menu-panel{width:340px;background:#fff;box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.item-selected{background-color:#303f9f;font-weight:700}.badge-offset .mat-badge-content{right:-7px!important;top:-7px!important}"]
            }] }
];
/** @nocollapse */
HeaderComponent$1.ctorParameters = () => [
    { type: Router },
    { type: MenuService }
];
HeaderComponent$1.propDecorators = {
    appTitle: [{ type: Input }],
    logoSource: [{ type: Input }],
    flatMenuItems: [{ type: Input }],
    iconMenuItems: [{ type: Input }],
    userName: [{ type: Input }],
    userImageUrl: [{ type: Input }],
    currentMainComponent: [{ type: Input }],
    logoLinkUrl: [{ type: Input }],
    sideMenuToggle: [{ type: Output }],
    notifyCenterOpen: [{ type: Output }],
    activeMenuItem: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    HeaderComponent$1.prototype.appTitle;
    /** @type {?} */
    HeaderComponent$1.prototype.logoSource;
    /** @type {?} */
    HeaderComponent$1.prototype.flatMenuItems;
    /** @type {?} */
    HeaderComponent$1.prototype.iconMenuItems;
    /** @type {?} */
    HeaderComponent$1.prototype.userName;
    /** @type {?} */
    HeaderComponent$1.prototype.userImageUrl;
    /** @type {?} */
    HeaderComponent$1.prototype.currentMainComponent;
    /** @type {?} */
    HeaderComponent$1.prototype.logoLinkUrl;
    /** @type {?} */
    HeaderComponent$1.prototype.sideMenuToggle;
    /** @type {?} */
    HeaderComponent$1.prototype.notifyCenterOpen;
    /** @type {?} */
    HeaderComponent$1.prototype.activeMenuItem;
    /** @type {?} */
    HeaderComponent$1.prototype.selectedTopMenuItem;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent$1.prototype.router;
    /**
     * @type {?}
     * @private
     */
    HeaderComponent$1.prototype.menuService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/navi-breadcrump/navi-breadcrump.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NaviBreadcrumpService {
    /**
     * @param {?} item
     * @return {?}
     */
    registerBreadcrumpSuffix(item) {
        this.breadcrumpSuffix = item;
    }
    /**
     * @return {?}
     */
    clearBreadcrumpSuffix() {
        this.breadcrumpSuffix = null;
    }
    /**
     * @return {?}
     */
    getBreadcrumpSuffix() {
        return this.breadcrumpSuffix;
    }
    /**
     * @return {?}
     */
    hasBreadcrumpSuffix() {
        return this.breadcrumpSuffix && this.breadcrumpSuffix.suffixList.length > 0;
    }
}
NaviBreadcrumpService.decorators = [
    { type: Injectable }
];
if (false) {
    /** @type {?} */
    NaviBreadcrumpService.prototype.breadcrumpSuffix;
}
/**
 * @record
 */
function BreadcrumpSuffixModel() { }
if (false) {
    /** @type {?} */
    BreadcrumpSuffixModel.prototype.parentRouter;
    /** @type {?} */
    BreadcrumpSuffixModel.prototype.suffixList;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/header-drop-viewport.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HeaderDropViewportComponent extends ViewportBase {
    /**
     * @param {?} universalService
     * @param {?} menuService
     * @param {?} fetchService
     * @param {?} naviBreadcrumpService
     */
    constructor(universalService, menuService, fetchService, naviBreadcrumpService) {
        super(universalService, menuService, fetchService);
        this.universalService = universalService;
        this.menuService = menuService;
        this.fetchService = fetchService;
        this.naviBreadcrumpService = naviBreadcrumpService;
        this.appTitle = '信达支撑平台';
        this.logoSource = 'assets/images/logo.png';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.onInit();
    }
    /**
     * @return {?}
     */
    openNotifyCenter() {
        this.noticeCenter.open();
    }
    /**
     * @param {?} component
     * @return {?}
     */
    onRouterOutletActivate(component) {
        super.onRouterOutletActivate(component);
        if (component['naviBreadcrumpSuffix']) {
            this.naviBreadcrumpService.registerBreadcrumpSuffix(component['naviBreadcrumpSuffix']);
        }
        else {
            this.naviBreadcrumpService.clearBreadcrumpSuffix();
        }
    }
}
HeaderDropViewportComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-viewport-header-drop',
                template: "<mat-drawer-container fullscreen [hasBackdrop]=\"true\">\r\n    <mat-drawer-content [ngClass]=\"{'blur-filter': noticeCenter.opened}\">\r\n        <up-header-drop #header\r\n                   [appTitle]=\"appTitle\"\r\n                   [logoSource]=\"logoSource\"\r\n                   [userName]=\"userName\"\r\n                   [userImageUrl]=\"userImageUrl\"\r\n                   [flatMenuItems]=\"topFlatMenuItems\"\r\n                   [iconMenuItems]=\"topIconMenuItems\"\r\n                   [currentMainComponent]=\"currentMainComponent\"\r\n                   [logoLinkUrl]=\"logoLinkUrl\"\r\n                   (notifyCenterOpen)=\"openNotifyCenter()\"></up-header-drop>\r\n        <mat-sidenav-container fullscreen>\r\n            <mat-sidenav-content  fixedInViewport=\"true\">\r\n                <!--<mat-progress-bar *ngIf=\"routeActivating\" class=\"loading-progress-bar\" color=\"accent\" mode=\"indeterminate\"></mat-progress-bar>-->\r\n                <div *ngIf=\"routeActivating\" class=\"loading-progress-spinner\">\r\n                    <mat-progress-spinner color=\"accent\" mode=\"indeterminate\" class=\"progress-spinner\"></mat-progress-spinner>\r\n                    <div class=\"progress-text\">\u9875\u9762\u521D\u59CB\u5316\uFF0C\u8BF7\u7A0D\u4FAF...</div>\r\n                </div>\r\n                <div [ngClass]=\"{'fix-navi-height': !hideNaviBreadcrump, 'no-navi-height': hideNaviBreadcrump, 'transitioning': routeActivating}\"\r\n                     style=\"opacity: 1; transition: all 200ms ease-in-out 0s;\">\r\n                    <div class=\"navi-breadcrump\" *ngIf=\"!hideNaviBreadcrump\">\r\n                        <up-navi-breadcrump></up-navi-breadcrump>\r\n                    </div>\r\n                    <router-outlet\r\n                            (deactivate)=\"onRouterOutletDeactivate($event)\"\r\n                            (activate)=\"onRouterOutletActivate($event)\">\r\n                    </router-outlet>\r\n                </div>\r\n            </mat-sidenav-content>\r\n        </mat-sidenav-container>\r\n    </mat-drawer-content>\r\n    <mat-drawer #noticeCenter\r\n                [mode]=\"'over'\"\r\n                [opened]=\"false\"\r\n                [position]=\"'end'\"\r\n                fixedInViewport=\"true\"\r\n                class=\"notify-center-filtered\">\r\n        <ng-content select=\"[notifyCenter]\"></ng-content>\r\n    </mat-drawer>\r\n</mat-drawer-container>\r\n\r\n\r\n",
                styles: [".mat-sidenav-container{height:calc(100% - 64px);margin-top:64px}.navi-breadcrump{padding:15px 0 0 15px}.fix-navi-height{height:calc(100% - 55px)}.no-navi-height{height:100%}.notify-center-filtered{width:500px;background:rgba(255,255,255,.8)}.blur-filter{-moz-filter:blur(3px);-webkit-filter:blur(3px);-o-filter:blur(3px);-ms-filter:blur(3px);filter:blur(3px)}.loading-progress-bar{position:absolute;top:0}.loading-progress-spinner{position:absolute;width:180px;height:120px;top:calc(50% - 60px);left:calc(50% - 90px)}.progress-spinner{margin:0 auto}.progress-text{color:rgba(0,0,0,.87);margin-top:15px;font-weight:700;text-align:center}.loading-block{position:absolute;width:100%;height:100%;top:0;left:0;background-color:#fff}.transitioning{opacity:.1!important}"]
            }] }
];
/** @nocollapse */
HeaderDropViewportComponent.ctorParameters = () => [
    { type: UniversalService },
    { type: MenuService },
    { type: FetchService },
    { type: NaviBreadcrumpService }
];
HeaderDropViewportComponent.propDecorators = {
    appTitle: [{ type: Input }],
    logoSource: [{ type: Input }],
    logoLinkUrl: [{ type: Input }],
    noticeCenter: [{ type: ViewChild, args: ['noticeCenter', { static: false },] }],
    drawer: [{ type: ViewChild, args: ['drawer', { static: true },] }],
    header: [{ type: ViewChild, args: ['header', { static: false },] }]
};
if (false) {
    /** @type {?} */
    HeaderDropViewportComponent.prototype.appTitle;
    /** @type {?} */
    HeaderDropViewportComponent.prototype.logoSource;
    /** @type {?} */
    HeaderDropViewportComponent.prototype.logoLinkUrl;
    /** @type {?} */
    HeaderDropViewportComponent.prototype.noticeCenter;
    /** @type {?} */
    HeaderDropViewportComponent.prototype.drawer;
    /** @type {?} */
    HeaderDropViewportComponent.prototype.header;
    /**
     * @type {?}
     * @protected
     */
    HeaderDropViewportComponent.prototype.universalService;
    /**
     * @type {?}
     * @protected
     */
    HeaderDropViewportComponent.prototype.menuService;
    /**
     * @type {?}
     * @protected
     */
    HeaderDropViewportComponent.prototype.fetchService;
    /**
     * @type {?}
     * @private
     */
    HeaderDropViewportComponent.prototype.naviBreadcrumpService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/drop-menu/drop-menu.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DropMenuComponent {
    /**
     * @param {?} menuService
     */
    constructor(menuService) {
        this.menuService = menuService;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.menuService.getSubMenuData(this.parentMenu.id).subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            this.menuItems = res.children;
        }));
    }
}
DropMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-header-drop-menu',
                template: "<ng-container *ngFor=\"let item of menuItems\">\r\n    <ng-container *ngIf=\"item.children?.length > 0; else linkTemplate\">\r\n        <button mat-menu-item\r\n                [matMenuTriggerFor]=\"submenu\">\r\n            <mat-icon *ngIf=\"item.icon\">{{item.icon}}</mat-icon>{{item.name}}\r\n        </button>\r\n        <mat-menu #submenu>\r\n            <up-header-drop-menu [parentMenu]=\"item\"></up-header-drop-menu>\r\n        </mat-menu>\r\n    </ng-container>\r\n    <ng-template #linkTemplate>\r\n        <button mat-menu-item\r\n                [routerLink]=\"item.href\"\r\n                routerLinkActive=\"item-selected\">\r\n            <mat-icon *ngIf=\"item.icon\">{{item.icon}}</mat-icon>{{item.name}}\r\n        </button>\r\n    </ng-template>\r\n</ng-container>\r\n"
            }] }
];
/** @nocollapse */
DropMenuComponent.ctorParameters = () => [
    { type: MenuService }
];
DropMenuComponent.propDecorators = {
    parentMenu: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    DropMenuComponent.prototype.parentMenu;
    /** @type {?} */
    DropMenuComponent.prototype.menuItems;
    /**
     * @type {?}
     * @private
     */
    DropMenuComponent.prototype.menuService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/navi-breadcrump/navi-breadcrump.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NaviBreadcrumpComponent {
    /**
     * @param {?} universalService
     * @param {?} menuService
     * @param {?} naviBreadcrumpService
     * @param {?} router
     */
    constructor(universalService, menuService, naviBreadcrumpService, router) {
        this.universalService = universalService;
        this.menuService = menuService;
        this.naviBreadcrumpService = naviBreadcrumpService;
        this.router = router;
        this.hasBreadcrumpSuffix = false;
    }
    /**
     * @return {?}
     */
    get selectedItem() {
        return this._selectedItem;
    }
    /**
     * @param {?} item
     * @return {?}
     */
    set selectedItem(item) {
        this._selectedItem = item;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.menuService.menuDataChanged.subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            /** @type {?} */
            const data = [];
            res.forEach((/**
             * @param {?} item
             * @return {?}
             */
            item => {
                data.push(new NaviBreadcrumpItem((item)));
            }));
            this.naviBreadcrumpItems = of(data);
            this.updateSelectedItem(this.universalService.getPreviousRoute());
        }));
        this.router.events.pipe(filter((/**
         * @param {?} event
         * @return {?}
         */
        event => event instanceof NavigationEnd))).subscribe((/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            this.updateSelectedItem(event.url);
        }));
    }
    /**
     * @param {?} item
     * @return {?}
     */
    onNaviActivate(item) {
        if (item.href) {
            setTimeout((/**
             * @return {?}
             */
            () => this.router.navigate([item.href])), 0);
        }
    }
    /**
     * @param {?} event
     * @return {?}
     */
    onSelectedTrigger(event) {
        if (!event.hasMenu && event.item.href && event.item.href !== this.universalService.getPreviousRoute()) {
            setTimeout((/**
             * @return {?}
             */
            () => this.router.navigate([event.item.href])), 0);
        }
    }
    /**
     * @private
     * @param {?} url
     * @return {?}
     */
    updateSelectedItem(url) {
        this.naviBreadcrumpItems.subscribe((/**
         * @param {?} data
         * @return {?}
         */
        data => {
            this.hasBreadcrumpSuffix = false;
            /** @type {?} */
            const item = filter$1(data, ['href', url])[0];
            if (!item && this.naviBreadcrumpService.hasBreadcrumpSuffix()) {
                this.hasBreadcrumpSuffix = true;
                /** @type {?} */
                const suffixModel = this.naviBreadcrumpService.getBreadcrumpSuffix();
                this.selectedItem = filter$1(data, ['href', suffixModel.parentRouter])[0];
                this.naviBreadcrumpSuffix = suffixModel.suffixList;
            }
            else {
                this.selectedItem = item;
            }
        }));
    }
}
NaviBreadcrumpComponent.decorators = [
    { type: Component, args: [{
                selector: 'up-navi-breadcrump',
                template: "<up-breadcrumb [dataSource]=\"naviBreadcrumpItems\"\r\n               rootLabel=\"\u83DC\u5355\"\r\n               [selectedItem]=\"selectedItem\"\r\n               (active)=\"onNaviActivate($event)\"\r\n               (selectedTrigger)=\"onSelectedTrigger($event)\"></up-breadcrumb>\r\n<ng-container *ngIf=\"hasBreadcrumpSuffix\">\r\n    <ng-container *ngFor=\"let item of naviBreadcrumpSuffix\">\r\n        <button mat-button disabled class=\"suffix-btn\">\r\n            <mat-icon>chevron_right</mat-icon>\r\n            <mat-icon *ngIf=\"item.icon\">{{item.icon}}</mat-icon>\r\n            {{item.label}}\r\n        </button>\r\n    </ng-container>\r\n</ng-container>\r\n\r\n",
                styles: [".suffix-btn{padding-left:0!important;color:rgba(0,0,0,.87)!important}"]
            }] }
];
/** @nocollapse */
NaviBreadcrumpComponent.ctorParameters = () => [
    { type: UniversalService },
    { type: MenuService },
    { type: NaviBreadcrumpService },
    { type: Router }
];
if (false) {
    /** @type {?} */
    NaviBreadcrumpComponent.prototype.naviBreadcrumpItems;
    /** @type {?} */
    NaviBreadcrumpComponent.prototype.hasBreadcrumpSuffix;
    /** @type {?} */
    NaviBreadcrumpComponent.prototype.naviBreadcrumpSuffix;
    /** @type {?} */
    NaviBreadcrumpComponent.prototype._selectedItem;
    /**
     * @type {?}
     * @private
     */
    NaviBreadcrumpComponent.prototype.universalService;
    /**
     * @type {?}
     * @private
     */
    NaviBreadcrumpComponent.prototype.menuService;
    /**
     * @type {?}
     * @private
     */
    NaviBreadcrumpComponent.prototype.naviBreadcrumpService;
    /**
     * @type {?}
     * @private
     */
    NaviBreadcrumpComponent.prototype.router;
}
class NaviBreadcrumpItem {
    /**
     * @param {?} menuItem
     */
    constructor(menuItem) {
        this.menuItem = menuItem;
    }
    /**
     * @return {?}
     */
    get id() {
        return this.menuItem.id;
    }
    /**
     * @return {?}
     */
    get name() {
        return this.menuItem.name;
    }
    /**
     * @return {?}
     */
    get pid() {
        return this.menuItem.parentId;
    }
    /**
     * @return {?}
     */
    get level() {
        return this.menuItem.parentIds.split(',').length;
    }
    /**
     * @return {?}
     */
    get href() {
        return this.menuItem.href;
    }
    /**
     * @return {?}
     */
    get sort() {
        return this.menuItem.sort;
    }
    /**
     * @return {?}
     */
    get childrenCnt() {
        return this.menuItem.subnodeCnt;
    }
    /**
     * @return {?}
     */
    get type() {
        return this.menuItem.type;
    }
    /**
     * @return {?}
     */
    get icon() {
        return this.menuItem.icon;
    }
}
if (false) {
    /**
     * @type {?}
     * @private
     */
    NaviBreadcrumpItem.prototype.menuItem;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/viewport/header-drop/header-drop-viewport.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HeaderDropViewportModule {
}
HeaderDropViewportModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SharedModule
                ],
                exports: [
                    HeaderDropViewportComponent
                ],
                declarations: [
                    HeaderDropViewportComponent,
                    HeaderComponent$1,
                    DropMenuComponent,
                    NaviBreadcrumpComponent
                ],
                providers: [
                    NaviBreadcrumpService
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/layout.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LayoutModule {
}
LayoutModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    SharedMaterialModule,
                    SideOverModule,
                    DetailOverlayModule,
                    DefaultViewportModule
                ],
                exports: [
                    DefaultViewportModule,
                    SideOverModule,
                    DetailOverlayModule,
                    HeaderDropViewportModule
                ],
                providers: [
                    MenuService
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/auth/auth.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import {parseCookieValue} from '@angular/common/src/cookie';
class AuthService {
    /**
     * @param {?} fetchService
     * @param {?} menuService
     */
    constructor(fetchService, menuService) {
        this.fetchService = fetchService;
        this.menuService = menuService;
        this.storage = localStorage;
    }
    /**
     * @param {?} account
     * @param {?} password
     * @return {?}
     */
    login(account, password) {
        return this.fetchService.post('login', { account, password }, { showNotify: false, errorNotifyOptions: { errorNotifyType: 'toast' } })
            .pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        response => {
            this.menuService.updateMenuData(response.menuList);
            this.updateUserProfile(response.token, response.userInfo);
            return true;
        })), catchError((/**
         * @param {?} error
         * @return {?}
         */
        error => {
            return this.handleError(error);
        })));
    }
    /**
     * @return {?}
     */
    logout() {
        this.setToken(null);
        this.setUserProfile(null);
    }
    /**
     * @return {?}
     */
    getUserProfile() {
        /** @type {?} */
        const profile = this.storage.getItem('userInfo');
        return profile ? JSON.parse(localStorage.getItem('userInfo')) : undefined;
    }
    /**
     * @return {?}
     */
    getUserName() {
        return this.getUserProfile() && this.getUserProfile().name;
    }
    /**
     * @return {?}
     */
    getUserImage() {
        return this.getUserProfile() && this.getUserProfile().image;
    }
    /**
     * @return {?}
     */
    getToken() {
        return this.storage.getItem('token');
    }
    /**
     * @return {?}
     */
    isLoggedIn() {
        return !!this.getUserProfile() && !!this.getToken();
    }
    /**
     * @private
     * @param {?} token
     * @return {?}
     */
    setToken(token) {
        if (token) {
            this.storage.setItem('token', token);
        }
        else {
            this.storage.removeItem('token');
        }
    }
    /**
     * @private
     * @param {?} profile
     * @return {?}
     */
    setUserProfile(profile) {
        if (profile) {
            this.storage.setItem('userInfo', JSON.stringify(profile));
        }
        else {
            this.storage.removeItem('userInfo');
        }
    }
    /**
     * @private
     * @param {?} token
     * @param {?} profileObject
     * @return {?}
     */
    updateUserProfile(token, profileObject) {
        this.setToken(token);
        this.setUserProfile(profileObject);
    }
    /**
     * @private
     * @param {?} error
     * @return {?}
     */
    handleError(error) {
        console.error(error);
        this.updateUserProfile(undefined, undefined);
        return of(false);
    }
}
AuthService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
AuthService.ctorParameters = () => [
    { type: FetchService },
    { type: MenuService }
];
if (false) {
    /** @type {?} */
    AuthService.prototype.storage;
    /**
     * @type {?}
     * @private
     */
    AuthService.prototype.fetchService;
    /**
     * @type {?}
     * @private
     */
    AuthService.prototype.menuService;
}
/**
 * @record
 */
function LoginResponseModel() { }
if (false) {
    /** @type {?} */
    LoginResponseModel.prototype.token;
    /** @type {?} */
    LoginResponseModel.prototype.menuList;
    /** @type {?} */
    LoginResponseModel.prototype.roleList;
    /** @type {?} */
    LoginResponseModel.prototype.userInfo;
}
/**
 * @record
 */
function UserProfileModel() { }
if (false) {
    /** @type {?} */
    UserProfileModel.prototype.id;
    /** @type {?} */
    UserProfileModel.prototype.account;
    /** @type {?} */
    UserProfileModel.prototype.name;
    /** @type {?} */
    UserProfileModel.prototype.image;
    /** @type {?} */
    UserProfileModel.prototype.phone;
    /* Skipping unhandled member: [key: string]: any;*/
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/route/auth-guard.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AuthGuard {
    /**
     * @param {?} authService
     * @param {?} universalService
     * @param {?} router
     */
    constructor(authService, universalService, router) {
        this.authService = authService;
        this.universalService = universalService;
        this.router = router;
    }
    /**
     * @return {?}
     */
    can() {
        if (this.authService.isLoggedIn()) {
            return true;
        }
        setTimeout((/**
         * @return {?}
         */
        () => this.router.navigate(['/login'])), 10);
        return false;
    }
    /**
     * @param {?} route
     * @param {?} state
     * @return {?}
     */
    canActivate(route, state) {
        this.universalService.pushRouteHistory(state.url);
        return this.can();
    }
    /**
     * @param {?} childRoute
     * @param {?} state
     * @return {?}
     */
    canActivateChild(childRoute, state) {
        this.universalService.pushRouteHistory(state.url);
        return this.can();
    }
    /**
     * @param {?} route
     * @return {?}
     */
    canLoad(route) {
        return this.can();
    }
}
AuthGuard.decorators = [
    { type: Injectable }
];
/** @nocollapse */
AuthGuard.ctorParameters = () => [
    { type: AuthService },
    { type: UniversalService },
    { type: Router }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    AuthGuard.prototype.authService;
    /**
     * @type {?}
     * @private
     */
    AuthGuard.prototype.universalService;
    /**
     * @type {?}
     * @private
     */
    AuthGuard.prototype.router;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/core.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import { UtilService, UniversalService } from './util/util';
class CoreModule {
}
CoreModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SharedMaterialModule,
                    LayoutModule
                ],
                declarations: [
                // AccessDirective
                ],
                exports: [
                    // AccessDirective
                    LayoutModule
                ],
                providers: [
                    UniversalService,
                    AuthService,
                    AuthGuard,
                    DeactivateGuard,
                    UtilService,
                    FetchService
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/auth/auth.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/net/base-interceptor.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class BaseInterceptor {
    /**
     * @param {?} router
     * @param {?} notifyService
     */
    constructor(router, notifyService) {
        this.router = router;
        this.notifyService = notifyService;
        // TODO: unsure for environment acquire
        this.baseUrl = ((/** @type {?} */ (window))).environment.apiBaseUrl;
    }
    /**
     * @param {?} req
     * @param {?} next
     * @return {?}
     */
    intercept(req, next) {
        /** @type {?} */
        let url = req.url;
        if (!url.startsWith('https://') && !url.startsWith('http://')) {
            /** @type {?} */
            const apiKey = url.split('/')[0];
            url = typeof this.baseUrl === 'string' ? `${this.baseUrl}${url}` : `${this.baseUrl[apiKey]}${url}`;
        }
        /** @type {?} */
        const newReq = req.clone({ url });
        if (url && url.indexOf('login') === -1) {
            // TODO: login url may be different, need to be more specific
            /** @type {?} */
            const token = localStorage.getItem('token');
            if (token) {
                newReq.headers = newReq.headers.set('token', token);
            }
        }
        // send cloned request with header to the next handler.
        return next.handle(newReq).pipe(mergeMap((/**
         * @param {?} response
         * @return {?}
         */
        response => {
            if (response instanceof HttpResponse) {
                return this.handleResponse(response);
            }
            return of(response);
        })), catchError((/**
         * @param {?} error
         * @return {?}
         */
        error => {
            return this.handleResponse(error);
        })));
    }
    // private redirectTo(url: string): void {
    //     setTimeout(() => this.router.navigateByUrl(url));
    // }
    /**
     * @private
     * @param {?} response
     * @return {?}
     */
    handleResponse(response) {
        if (response.status === 200) {
            // TODO: 预留200状态下的错误处理
            // TODO: 处理成功状态下的response body
            return of(response || new HttpResponse());
        }
        return this.handleResponseError(response);
    }
    /**
     * @private
     * @param {?} response
     * @return {?}
     */
    handleResponseError(response) {
        switch (response.status) {
            case 401: // 未登录状态码
                localStorage.removeItem('token');
                localStorage.removeItem('userInfo');
                this.notifyService.showToast('error', { data: { message: '请重新登录' } });
                // this.redirectTo('/login');
                return throwError(response);
            case 403:
                this.notifyService.showToast('error', { data: { message: '无权限访问' } });
                return throwError(response);
            case 404:
                this.notifyService.showToast('error', { data: { message: '资源不存在' } });
                return throwError(response);
            case 504:
                this.notifyService.showToast('error', { data: { message: '请求超时' } });
                return throwError(response);
            default:
                if (response instanceof HttpErrorResponse) {
                    // this.notifyService.showAlert({ data: { title: '错误',message:response.error['msg'] } });
                    return throwError(response);
                }
        }
        return of(response);
    }
}
BaseInterceptor.decorators = [
    { type: Injectable }
];
/** @nocollapse */
BaseInterceptor.ctorParameters = () => [
    { type: Router },
    { type: NotifyService }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    BaseInterceptor.prototype.baseUrl;
    /**
     * @type {?}
     * @private
     */
    BaseInterceptor.prototype.router;
    /**
     * @type {?}
     * @private
     */
    BaseInterceptor.prototype.notifyService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/net/net.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/route/reuse-strategy.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Interface for object which can store both:
 * An ActivatedRouteSnapshot, which is useful for determining whether or not you should attach a route (see this.shouldAttach)
 * A DetachedRouteHandle, which is offered up by this.retrieve, in the case that you do want to attach the stored route
 * @record
 */
function RouteStorageObject() { }
if (false) {
    /** @type {?} */
    RouteStorageObject.prototype.snapshot;
    /** @type {?} */
    RouteStorageObject.prototype.handle;
}
class ReuseStrategy {
    /**
     * @param {?=} routes
     */
    constructor(routes = []) {
        this.acceptedRoutes = [];
        /**
         * Object which will store RouteStorageObjects indexed by keys
         * The keys will all be a path (as in route.routeConfig.path)
         * This allows us to see if we've got a route stored for the requested path
         */
        this.storedRoutes = {};
        this.acceptedRoutes = routes;
    }
    /**
     * Decides when the route should be stored
     * If the route should be stored, I believe the boolean is indicating to a controller whether or not to fire this.store
     * _When_ it is called though does not particularly matter, just know that this determines whether or not we store the route
     * An idea of what to do here: check the route.routeConfig.path to see if it is a path you would like to store
     * @param {?} route This is, at least as I understand it, the route that the user is currently on, and we would like to know if we want to store it
     * @return {?} boolean indicating that we want to (true) or do not want to (false) store that route
     */
    shouldDetach(route) {
        return this.acceptedRoutes.indexOf(route.routeConfig.path) > -1;
    }
    /**
     * Constructs object of type `RouteStorageObject` to store, and then stores it for later attachment
     * @param {?} route This is stored for later comparison to requested routes, see `this.shouldAttach`
     * @param {?} handle Later to be retrieved by this.retrieve, and offered up to whatever controller is using this class
     * @return {?}
     */
    store(route, handle) {
        // routes are stored by path - the key is the path name, and the handle is stored under it so that you can only ever have one object stored for a single path
        this.storedRoutes[route.routeConfig.path] = {
            snapshot: route, handle
        };
    }
    /**
     * Determines whether or not there is a stored route and, if there is, whether or not it should be rendered in place of requested route
     * @param {?} route The route the user requested
     * @return {?} boolean indicating whether or not to render the stored route
     */
    shouldAttach(route) {
        // this will be true if the route has been stored before
        /** @type {?} */
        const canAttach = !!route.routeConfig && !!this.storedRoutes[route.routeConfig.path];
        // this decides whether the route already stored should be rendered in place of the requested route, and is the return value
        // at this point we already know that the paths match because the storedResults key is the route.routeConfig.path
        // so, if the route.params and route.queryParams also match, then we should reuse the component
        if (canAttach) {
            /** @type {?} */
            const paramsMatch = this.compareObjects(route.params, this.storedRoutes[route.routeConfig.path].snapshot.params);
            /** @type {?} */
            const queryParamsMatch = this.compareObjects(route.queryParams, this.storedRoutes[route.routeConfig.path].snapshot.queryParams);
            return paramsMatch && queryParamsMatch;
        }
        return false;
    }
    /**
     * Finds the locally stored instance of the requested route, if it exists, and returns it
     * @param {?} route New route the user has requested
     * @return {?} DetachedRouteHandle object which can be used to render the component
     */
    retrieve(route) {
        // return null if the path does not have a routerConfig OR if there is no stored route for that routerConfig
        if (!route.routeConfig || !this.storedRoutes[route.routeConfig.path]) {
            return undefined;
        }
        /** returns handle when the route.routeConfig.path is already stored */
        return this.storedRoutes[route.routeConfig.path].handle;
    }
    /**
     * Determines whether or not the current route should be reused
     * @param {?} future The route the user is going to, as triggered by the router
     * @param {?} curr The route the user is currently on
     * @return {?} boolean basically indicating true if the user intends to leave the current route
     */
    shouldReuseRoute(future, curr) {
        return future.routeConfig === curr.routeConfig;
    }
    /**
     * This nasty bugger finds out whether the objects are _traditionally_ equal to each other,
     * like you might assume someone else would have put this function in vanilla JS already
     * One thing to note is that it uses coercive comparison (==) on properties which both objects have, not strict comparison (===)
     * Another important note is that the method only tells you if `compare` has all equal parameters to `base`, not the other way around
     * @private
     * @param {?} base The base object which you would like to compare another object to
     * @param {?} compare The object to compare to base
     * @return {?} boolean indicating whether or not the objects have all the same properties and those properties are ==
     */
    compareObjects(base, compare) {
        // loop through all properties in base object
        for (const baseProperty of base.getKeys()) {
            // determine if comparison object has that property, if not: return false
            if (compare.hasOwnProperty(baseProperty)) {
                switch (typeof base[baseProperty]) {
                    // if one is object and other is not: return false
                    // if they are both objects, recursively call this comparison function
                    case 'object':
                        if (typeof compare[baseProperty] !== 'object' || !this.compareObjects(base[baseProperty], compare[baseProperty])) {
                            return false;
                        }
                        break;
                    // if one is function and other is not: return false
                    // if both are functions, compare function.toString() results
                    case 'function':
                        if (typeof compare[baseProperty] !== 'function' || base[baseProperty].toString() !== compare[baseProperty].toString()) {
                            return false;
                        }
                        break;
                    // otherwise, see if they are equal using coercive comparison
                    default:
                        if (base[baseProperty] !== compare[baseProperty]) {
                            return false;
                        }
                }
            }
            else {
                return false;
            }
        }
        // returns true only after false HAS NOT BEEN returned through all loops
        return true;
    }
}
if (false) {
    /**
     * @type {?}
     * @private
     */
    ReuseStrategy.prototype.acceptedRoutes;
    /**
     * Object which will store RouteStorageObjects indexed by keys
     * The keys will all be a path (as in route.routeConfig.path)
     * This allows us to see if we've got a route stored for the requested path
     * @type {?}
     */
    ReuseStrategy.prototype.storedRoutes;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/route/route.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/layout/layout.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/util/util.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/core/core.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/cascade-select/cascade-select.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/dynamic-form/dynamic-form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/file-upload/file-upload.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/breadcrumb/breadcrumb.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/nested-multiple-selection/nested-selection.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/components/notification/notification.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/directives/form/form.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: lib/shared/shared.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: public_api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: utility-platform.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AuthGuard, AuthService, BaseInterceptor, BreadcrumbComponent, BreadcrumbModule, CascadeSelectModule, CascadeSelectService, CascadeSelectToggleComponent, CoreModule, DeactivateGuard, DefaultViewportComponent, DefaultViewportModule, DetailOverlayComponent, DetailOverlayModule, EmptyStringValidatorDirective, ExtensionValidators, FetchService, FieldErrorDirective, FileUploadComponent, FormExtensionModule, HeaderDropViewportComponent, HeaderDropViewportModule, IdentityCardValidatorDirective, IsInLengthRangeValidatorDirective, IsInNumberRangeValidatorDirective, IsNumberValidatorDirective, LayoutModule, MenuService, NaviBreadcrumpService, NestedMultipleSelectionComponent, NestedSelectionDatasource, NestedSelectionModule, NotificationModule, NotifyService, RateComponent, RealNameValidatorDirective, ReuseStrategy, SelectedModel, SharedMaterialModule, SharedModule, SideOverComponent, SideOverModule, UPDynamicFormComponent, UPDynamicFormModule, UPFileUploadModule, UPValidatorIntl, UPValidatorService, UniversalService, UpCascadeSelectInputDirective, UtilService, WhiteSpaceValidatorDirective, BreadcrumbNestedMenuComponent as ɵa, NestedMultipleSelectionBase as ɵb, FieldControlcheckboxComponent as ɵba, FieldControlPathSelectComponent as ɵbb, FieldControlAutoCompleteComponent as ɵbc, FieldControlFileUploadComponent as ɵbd, CustomInputComponent as ɵbe, HighlightDirective as ɵbf, LoadingComponent as ɵbg, LoadingDirective as ɵbh, NormalSideMenuModule as ɵbi, NormalSideMenuItemComponent as ɵbj, NormalSideMenuContentComponent as ɵbk, NormalSideMenuComponent as ɵbl, MiniSideMenuModule as ɵbm, MiniSideMenuItemComponent as ɵbn, MiniSideMenuStatusService as ɵbo, MiniSideMenuContentComponent as ɵbp, MiniSideMenuComponent as ɵbq, SideMenuComponent as ɵbr, HeaderComponent as ɵbs, ViewportBase as ɵbt, HeaderComponent$1 as ɵbu, DropMenuComponent as ɵbv, NaviBreadcrumpComponent as ɵbw, _NestedMultipleSelectionMixinBase as ɵc, SideMenuModule as ɵd, PipesModule as ɵe, InnerHtmlPipe as ɵf, NotifyTipComponent as ɵg, NotifyPopupComponent as ɵh, NestedMultipleMenuComponent as ɵi, DynamicTableModule as ɵj, DynamicTableComponent as ɵk, DynamicTableInputsComponent as ɵl, DynamicTableToolbarComponent as ɵm, UpCascadeSelectContentComponent as ɵn, CascadeSelectComponent as ɵo, CascadeSelectHistoryComponent as ɵp, CascadeSelectSearchResultsComponent as ɵq, CascadeSelectOverlayComponent as ɵr, UPInlineEditModule as ɵs, InlineEditComponent as ɵt, DynamicFormFieldComponent as ɵu, FieldControlInputComponent as ɵv, FieldControlTextareaComponent as ɵw, FieldControlSelectComponent as ɵx, FieldControlDatepickerComponent as ɵy, FieldControlRadioGroupComponent as ɵz };
//# sourceMappingURL=utility-platform.js.map
